package com.gic.enterprise.constant;
/**
 * 未开票收据生成类型
 * @ClassName: BuyTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 3:28 PM 
 */
public enum  BuyTypeEnum {
    /**
     * 短信套餐包购买
     */
    BUY_SHORT_MESSAGE_PACKAGE(2, "短信套餐包购买", "BUY_SHORT_MESSAGE_PACKAGE"),
    /**
     * 商户余额充值
     */
    BALANCE_RECHARGE(1, "商户余额充值", "BALANCE_RECHARGE");

    private int code;
    private String message;
    private String type;

    private BuyTypeEnum(int code, String message, String type) {
        this.code = code;
        this.message = message;
        this.type = type;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (BuyTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public static String getTypeByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (BuyTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getType();
            }
        }
        return "未知";
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getType() {
        return type;
    }
}
