package com.gic.enterprise.constant;
/**
 * Excel文件下载扩展类型
 * @ClassName: ExcelExtensionEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/6 9:41 AM 
 */
public enum ExcelExtensionEnum {
    EXCEL_2007(1, ".xlsx"),
    EXCEL_2003(2, ".xls"),
    CSV(3, ".csv");


    private int code;

    private String extension;

    private ExcelExtensionEnum(int code, String extension) {
        this.code = code;
        this.extension = extension;
    }

    /**
     * 根据code获取枚举对象，默认返回CSV
     * @Title: getByCode 
     * @Description:
     * @author guojuxing
     * @param code 
     * @return  com.gic.download.constants.ExcelExtensionEnum 
     */
    public static ExcelExtensionEnum getByCode(Integer code) {
        if (code == null) {
            return ExcelExtensionEnum.CSV;
        }
        for (ExcelExtensionEnum extensionEnum : values()) {
            if (code.intValue() == extensionEnum.getCode()) {
                return extensionEnum;
            }
        }
        return ExcelExtensionEnum.CSV;
    }

    public static String getExtensionByCode(Integer code) {
        if (code == null) {
            return ".csv";
        }
        for (ExcelExtensionEnum extensionEnum : values()) {
            if (code.intValue() == extensionEnum.getCode()) {
                return extensionEnum.getExtension();
            }
        }
        return ".csv";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getExtension() {
        return extension;
    }

    public void setExtension(String extension) {
        this.extension = extension;
    }
}
