package com.gic.enterprise.constant;

/**
 * 商城模式
 * @ClassName: MallModeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 1:45 PM 
 */
public enum MallModeEnum {
    /**
     * 微商城模式
     */
    MICRO_MALL(1, "微商城模式"),
    /**
     * 智慧零售模式
     */
    SMART_RETAIL(2, "智慧零售模式"),
    ;

    private int code;
    private String msg;

    MallModeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static boolean isContain(Integer code) {
        if (code == null) {
            return false;
        }
        for (MallModeEnum modeEnum : values()) {
            if (code.intValue() == modeEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    /**
     * 与微盟code进行匹配 0 微盟微商城  1 微盟智慧零售
     * @Title: mapToWm 
     * @Description:
     * @author guojuxing
     * @param code 
     * @return  int 
     */
    public static int mapToWm(Integer code) {
        if (code.intValue() == Constants.ONE) {
            return 0;
        } else if (code.intValue() == Constants.TWO) {
            return 1;
        }
        return 0;
    }

    public int getCode() {
        return code;
    }

    public MallModeEnum setCode(int code) {
        this.code = code;
        return this;
    }

    public String getMsg() {
        return msg;
    }

    public MallModeEnum setMsg(String msg) {
        this.msg = msg;
        return this;
    }
}
