package com.gic.enterprise.constant;

/**
 * 小程序客服页面udesk的系统字段
 * @ClassName: WechatServiceFieldEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/20 4:04 PM 
 */
public enum WechatServiceFieldEnum {
    /**
     * 姓名
     */
    NAME(1, "姓名", 1),
    /**
     * 性别
     */
    GENDER(2, "性别", 1),
    /**
     * 手机号码
     */
    PHONE(3, "手机号码", 1),
    /**
     * 年龄
     */
    AGE(4, "年龄", 1),
    /**
     * 生日
     */
    BIRTHDAY(5, "生日",1 ),
    /**
     * 常驻城市
     */
    CITY(6, "常驻城市", 1),
    /**
     * 用户信息
     */
    USER_INFO(7, "用户信息", 1),
    /**
     * 最近消费时间
     */
    LAST_CONSUME_TIME(8, "最近消费时间", 1),
    /**
     * 会员卡号
     */
    MEMBER_CARD(9, "会员卡号", 2),
    /**
     * 会员卡等级
     */
    MEMBER_GRADE(10, "会员卡等级", 2),
    /**
     * 积分余额
     */
    INTEGRAL_BALANCE(11, "积分余额", 2),
    /**
     * 订单号
     */
    ORDER_NUM(12, "订单号", 3),
    /**
     * 支付时间
     */
    PAY_TIME(13, "支付时间", 3),
    /**
     * 下单时间
     */
    ORDER_TIME(14, "下单时间", 3),
    /**
     * 订单商品链接
     */
    ORDER_GOODS_LINK(15, "订单商品链接", 3),
    /**
     * 物流单号
     */
    SHOPMENT_NUMBER(16, "物流单号",3 )
    ;

    WechatServiceFieldEnum(int code, String message, int fieldType) {
        this.code = code;
        this.message = message;
        this.fieldType = fieldType;
    }

    private int code;
    private String message;
    /**
     * 1:用户信息 2：会员卡信息 3：物流信息
     */
    private int fieldType;

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public int getFieldType() {
        return fieldType;
    }

    public WechatServiceFieldEnum setFieldType(int fieldType) {
        this.fieldType = fieldType;
        return this;
    }
}
