package com.gic.enterprise.constant.applet;

/** @Description: 
 * @author taogs
 * @Date 20:09 2020/9/9
 * @Param 
 * @return 
*/
public enum AppletPageOrderByEnum {
    /**
     * 根据创建时间正序
     */
    CREATE_TIME_ASC(1, " order by create_time "),
    /**
     * 创建时间倒序
     */
    CREATE_TIME_DESC(2, " order by create_time desc "),
    /**
     * 更新时间正序
     */
    UPDATE_TIME_ASC(3, " order by update_time "),
    /**
     * 更新时间倒序
     */
    UPDATE_TIME_DESC(4, " order by update_time desc ");

    private int code;
    private String orderBySql;

    private AppletPageOrderByEnum(int code, String orderBySql) {
        this.code = code;
        this.orderBySql = orderBySql;
    }

    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (AppletPageOrderByEnum orderByEnum : values()) {
            if (code.intValue() == orderByEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public static String getOrderBySqlByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (AppletPageOrderByEnum orderByEnum : values()) {
            if (code.intValue() == orderByEnum.getCode()) {
                return orderByEnum.getOrderBySql();
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getOrderBySql() {
        return orderBySql;
    }

    public void setOrderBySql(String orderBySql) {
        this.orderBySql = orderBySql;
    }
}
