package com.gic.enterprise.constant.applet;

/**进入条件
 * @Description:
 * @author taogs
 * @Date 20:17 2020/9/9
 * @Param
 * @return
*/
public enum EntryConditionEnum {
    /**
     * 不限
     */
    ALL(0, "不限"),
    /**
     * 开卡会员
     */
    OPEN_MEMBERSHIP(1, "开卡会员"),
    /**
     * 认证会员
     */
    CERTIFIED_MEMBER(2, "认证会员");

    private int code;
    private String message;

    private EntryConditionEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    /**
     * 是否是枚举内的code
     * @param code
     * @return
     */
    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (EntryConditionEnum conditionEnum : values()) {
            if (code.intValue() == conditionEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
