package com.gic.enterprise.constant.applet;
/**
 * 公众号自定义菜单类型
 * @ClassName: WeChatMenuTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/28 1:55 PM 
 */
public enum WeChatMenuTypeEnum {
    /**
     * 消息
     */
    MESSAGE(1, "消息", 1),
    /**
     * 外链
     */
    OUT_LINK(2, "外链", 1),
    /**
     * 内链
     */
    INSIDE_LINK(3, "内链", 2),
    /**
     * 小程序链接
     */
    APPLET_LINK(4, "小程序链接", 2);

    private int code;
    private String message;
    private int type;

    private WeChatMenuTypeEnum(int code, String message, int type) {
        this.code = code;
        this.message = message;
        this.type = type;
    }

    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (WeChatMenuTypeEnum menuTypeEnum : values()) {
            if (code.intValue() == menuTypeEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    /**
     * 需要设置配置code
     * @param code
     * @return
     */
    public static boolean isNeedMenuCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (WeChatMenuTypeEnum menuTypeEnum : values()) {
            if (code.intValue() == menuTypeEnum.getCode() && menuTypeEnum.getType() == 2) {
                return true;
            }
        }
        return false;
    }

    public static WeChatMenuTypeEnum getByCode(int code) {
        for (WeChatMenuTypeEnum menuTypeEnum : values()) {
            if (menuTypeEnum.getCode() == code) {
                return menuTypeEnum;
            }
        }
        return null;
    }


    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
