package com.gic.enterprise.constant.billing;
/**
 * 账户自动续订短信套餐包开关
 * @ClassName: AutoRechargeEnum 
 * @Description:    
 * @author guojuxing   
 * @date 2019/8/21 10:24 AM  
 */
public enum AutoRechargeEnum {
    /**
     * 服务号
     */
    AUTO(1, "自动续订"),
    /**
     * 服务号
     */
    NO_AUTO(0, "手动充");

    private int code;
    private String message;

    private AutoRechargeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (AutoRechargeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public static AutoRechargeEnum getEnumByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (AutoRechargeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
