package com.gic.enterprise.constant.billing;
/**
 * 我的套餐包状态
 * @ClassName: SmsPackageStatusEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/21 3:04 PM 
 */
public enum SmsPackageStatusEnum {
    /**
     * 待使用
     */
    TO_BE_USE(1, "待使用"),
    /**
     * 使用中
     */
    USING(2, "使用中"),
    /**
     * 无余量
     */
    NO_MARGIN(3, "无余量"),
    /**
     * 已过期
     */
    EXPIRED(4, "已过期"),
    ;

    private int code;
    private String message;

    private SmsPackageStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (SmsPackageStatusEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public static SmsPackageStatusEnum getEnumByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (SmsPackageStatusEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
