package com.gic.enterprise.constant.union;
/**
 * 联合商户资源授权状态
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 2:03 PM 
 */
public enum UnionEnterpriseAuthDetailStatusEnum {
    /**
     * 未授权
     */
    NO_AUTH(1, "未授权"),
    /**
     * 资源处理中
     */
    RESOURCE_DEALING(2, "资源处理中"),
    /**
     * 已授权
     */
    HAS_AUTH(3, "已授权"),
    /**
     * 授权失败
     */
    AUTH_FAIL(4, "授权失败"),
    /**
     * 部分失败
     */
    AUTH_PART_FAIL(5, "部分失败"),
    /**
     * 等待解除
     */
    TO_RELIEVE(6, "等待解除"),
    /**
     * 资源解除中
     */
    RELIEVING(7, "资源解除中"),
    /**
     * 已解除联合
     */
    HAS_RELIEVE(8, "已解除联合"),
    /**
     * 解除失败
     */
    RELIEVE_FAIL(9, "解除失败");

    private Integer code;
    private String message;

    UnionEnterpriseAuthDetailStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public UnionEnterpriseAuthDetailStatusEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public UnionEnterpriseAuthDetailStatusEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
