package com.gic.enterprise.constant.union;
/**
 * 联合商户资源种类
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 2:03 PM 
 */
public enum UnionEnterpriseAuthResTypeEnum {
    /**
     * 有效
     */
    USER_AREA(1, "用户域资源"),
    /**
     * 门店资源
     */
    STORE(2, "门店资源"),
    /**
     * 商品资源
     */
    GOODS(3, "商品资源");

    private Integer code;
    private String message;

    UnionEnterpriseAuthResTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessage(Integer code) {
        for (UnionEnterpriseAuthResTypeEnum type : values()) {
            if (type.getCode().equals(code)) {
                return type.getMessage();
            }
        }
        return "--";
    }

    public Integer getCode() {
        return code;
    }

    public UnionEnterpriseAuthResTypeEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public UnionEnterpriseAuthResTypeEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
