package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 小程序装修配置
 * @ClassName: AppletDecorationConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/31 9:23 AM 
 */
public class AppletDecorationConfigDTO implements Serializable{
    private static final long serialVersionUID = 6066863361454403565L;

    /**
     *
     */
    private Integer configId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 会员中心页面卡范围,会员卡ID，改成单选
     */
    private String memberCardArea;

    /**
     * 会员码，默认与卡显示一样，可多选，英文逗号隔开
     */
    private String memberCode;

    /**
     * 会员特权，默认与卡显示一样，单选
     */
    private String memberPrivilege;

    /**
     * 数据资产范围：积分、卡券包、零售订单、商城订单 json
     */
    private String dataAssetArea;

    /**
     * 数据资产范围：积分、卡券包、零售订单、商城订单 对象信息，里面的每个字段就是对应的数据资产项，与dataAssetArea数据一致
     */
    private AppletDataAssetAreaDTO appletDataAssetArea;

    /**
     * 开卡认证关联,会员卡ID，英文逗号隔开
     */
    private String openCardAuth;

    /**
     * GPS智能判定卡 1：开启 0 ：关闭
     */
    private Integer gpsDecisionCard;

    /**
     * 小程序的key
     */
    private String appId;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberCardArea() {
        if (memberCardArea != null) {
            //改成单选
            return memberCardArea.split(",")[0];
        }
        return memberCardArea;
    }

    public void setMemberCardArea(String memberCardArea) {
        this.memberCardArea = memberCardArea;
    }

    public String getDataAssetArea() {
        return dataAssetArea;
    }

    public void setDataAssetArea(String dataAssetArea) {
        this.dataAssetArea = dataAssetArea;
    }

    public String getOpenCardAuth() {
        return openCardAuth;
    }

    public void setOpenCardAuth(String openCardAuth) {
        this.openCardAuth = openCardAuth;
    }

    public Integer getGpsDecisionCard() {
        return gpsDecisionCard;
    }

    public void setGpsDecisionCard(Integer gpsDecisionCard) {
        this.gpsDecisionCard = gpsDecisionCard;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public AppletDataAssetAreaDTO getAppletDataAssetArea() {
        return appletDataAssetArea;
    }

    public void setAppletDataAssetArea(AppletDataAssetAreaDTO appletDataAssetArea) {
        this.appletDataAssetArea = appletDataAssetArea;
    }

    public String getMemberCode() {
        if (memberCode == null) {
            //如果是空的，则默认卡显示数据
            return getMemberCardArea();
        }
        return memberCode;
    }

    public AppletDecorationConfigDTO setMemberCode(String memberCode) {
        this.memberCode = memberCode;
        return this;
    }

    public String getMemberPrivilege() {
        if (memberPrivilege == null) {
            return getMemberCardArea();
        }
        return memberPrivilege;
    }

    public AppletDecorationConfigDTO setMemberPrivilege(String memberPrivilege) {
        this.memberPrivilege = memberPrivilege;
        return this;
    }

    @Override
    public String toString() {
        return "AppletDecorationConfigDTO{" +
                "configId=" + configId +
                ", enterpriseId=" + enterpriseId +
                ", memberCardArea='" + memberCardArea + '\'' +
                ", memberCode='" + memberCode + '\'' +
                ", memberPrivilege='" + memberPrivilege + '\'' +
                ", dataAssetArea='" + dataAssetArea + '\'' +
                ", appletDataAssetArea=" + appletDataAssetArea +
                ", openCardAuth='" + openCardAuth + '\'' +
                ", gpsDecisionCard=" + gpsDecisionCard +
                ", appId='" + appId + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
