package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;
/**
 * 支付信息
 * @ClassName: BillingPayInfoDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 11:37 AM 
 */
public class BillingPayInfoDTO implements Serializable{
    private static final long serialVersionUID = -6345149211985605905L;
    /**
     *
     */
    private Integer payInfoId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 支付流水号
     */
    private String serialNumber;

    /**
     * 支付方式 1微信 2支付宝 3.线下支付  4余额支付
     */
    private Integer payType;

    /**
     * 实付金额
     */
    private Double totalFeePaid;

    /**
     * 支付创建时间
     */
    private String timeStart;

    /**
     * 支付完成时间  （到账时间）
     */
    private String timeEnd;

    /**
     * 业务结果 1成功 2失败
     */
    private Integer resultCode;

    /**
     * 交易返回错误编码
     */
    private String errCode;

    /**
     * 交易返回错误信息
     */
    private String errCodeDes;

    /**
     * 二维码链接
     */
    private String codeUrl;

    /**
     * 预支付交易会话标识
     */
    private String prepayId;

    /**
     * 发票状态 1：已开具   0：未开具
     */
    private Integer invoiceStatus;

    /**
     *
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 购买类型 1:商户余额充值 2:短信套餐包购买
     */
    private Integer buyType;
    /**
     * 订单流水号
     */
    private String orderSerialNumber;
    private String authCode;
    private String requestCode;
    private String productDescription;
    private Integer authCodeId;

    public Integer getPayInfoId() {
        return payInfoId;
    }

    public void setPayInfoId(Integer payInfoId) {
        this.payInfoId = payInfoId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public String getTimeStart() {
        return timeStart;
    }

    public void setTimeStart(String timeStart) {
        this.timeStart = timeStart;
    }

    public String getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }

    public Integer getResultCode() {
        return resultCode;
    }

    public void setResultCode(Integer resultCode) {
        this.resultCode = resultCode;
    }

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

    public String getErrCodeDes() {
        return errCodeDes;
    }

    public void setErrCodeDes(String errCodeDes) {
        this.errCodeDes = errCodeDes;
    }

    public String getCodeUrl() {
        return codeUrl;
    }

    public void setCodeUrl(String codeUrl) {
        this.codeUrl = codeUrl;
    }

    public String getPrepayId() {
        return prepayId;
    }

    public void setPrepayId(String prepayId) {
        this.prepayId = prepayId;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getBuyType() {
        return buyType;
    }

    public void setBuyType(Integer buyType) {
        this.buyType = buyType;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setRequestCode(String requestCode) {
        this.requestCode = requestCode;
    }

    public String getRequestCode() {
        return requestCode;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public String getProductDescription() {
        return productDescription;
    }

    public void setAuthCodeId(Integer authCodeId) {
        this.authCodeId = authCodeId;
    }

    public Integer getAuthCodeId() {
        return authCodeId;
    }

    @Override
    public String toString() {
        return "BillingPayInfoDTO{" +
                "payInfoId=" + payInfoId +
                ", enterpriseId=" + enterpriseId +
                ", serialNumber='" + serialNumber + '\'' +
                ", payType=" + payType +
                ", totalFeePaid=" + totalFeePaid +
                ", timeStart='" + timeStart + '\'' +
                ", timeEnd='" + timeEnd + '\'' +
                ", resultCode=" + resultCode +
                ", errCode='" + errCode + '\'' +
                ", errCodeDes='" + errCodeDes + '\'' +
                ", codeUrl='" + codeUrl + '\'' +
                ", prepayId='" + prepayId + '\'' +
                ", invoiceStatus=" + invoiceStatus +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", buyType=" + buyType +
                ", orderSerialNumber='" + orderSerialNumber + '\'' +
                ", authCode='" + authCode + '\'' +
                ", requestCode='" + requestCode + '\'' +
                ", productDescription='" + productDescription + '\'' +
                ", authCodeId=" + authCodeId +
                '}';
    }
}
