package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 15:04
 */
public class DoubleCallingRecordDTO implements Serializable {
    public interface DoubleCallingRecordValid {
    }
    private static final long serialVersionUID = -3293668019710813759L;
    /**
     *
     */
    private Integer doubleCallingRecordId;

    /**
     * 支付流水号
     */
    private String paySerialNumber;

    /**
     * 主叫
     */
    @NotBlank(message = "主叫名不能为空", groups = DoubleCallingRecordValid.class)
    private String callerName;

    /**
     * 主叫
     */
    @NotBlank(message = "主叫电话不能为空", groups = DoubleCallingRecordValid.class)
    private String callerPhone;

    /**
     * 费用 单位：元
     */
    @NotNull(message = "费用不能为空", groups = DoubleCallingRecordValid.class)
    private Double fee;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    /**
     * 被叫
     */
    private String calledName;

    /**
     * 被叫
     */
    @NotBlank(message = "被叫电话")
    private String calledPhone;

    /**
     *
     */
    @NotBlank(message = "应用场景")
    private String appCode;

    /**
     *
     */
    private String appName;

    /**
     * 语音时长 单位 秒
     */
    @NotBlank(message = "计费语音时长不能为空", groups = DoubleCallingRecordValid.class)
    private String voiceTime;

    /**
     *
     */
    @NotNull(message = "商户id不能为空", groups = DoubleCallingRecordValid.class)
    private Integer enterpriseId;

    /**
     * 门店id
     */
    @NotNull(message = "门店id不能为空", groups = DoubleCallingRecordValid.class)
    private Integer storeId;

    /**
     * 门店名
     */
    @NotBlank(message = "门店名不能为空", groups = DoubleCallingRecordValid.class)
    private String storeName;

    /**
     * 门店分组id
     */
    @NotNull(message = "门店分组id不能为空", groups = DoubleCallingRecordValid.class)
    private Integer storeGroupId;

    /**
     * 门店分组名
     */
    @NotBlank(message = "门店分组名不能为空", groups = DoubleCallingRecordValid.class)
    private String storeGroupName;

    /**
     * 呼叫时间
     */
    @NotNull(message = "呼叫时间不能为空", groups = DoubleCallingRecordValid.class)
    private Date callTime;

    /**
     * 说明
     */
    @NotBlank(message = "说明不能为空", groups = DoubleCallingRecordValid.class)
    private String remark;

    public Integer getDoubleCallingRecordId() {
        return doubleCallingRecordId;
    }

    public void setDoubleCallingRecordId(Integer doubleCallingRecordId) {
        this.doubleCallingRecordId = doubleCallingRecordId;
    }

    public String getPaySerialNumber() {
        return paySerialNumber;
    }

    public void setPaySerialNumber(String paySerialNumber) {
        this.paySerialNumber = paySerialNumber;
    }

    public String getCallerName() {
        return callerName;
    }

    public void setCallerName(String callerName) {
        this.callerName = callerName;
    }

    public String getCallerPhone() {
        return callerPhone;
    }

    public void setCallerPhone(String callerPhone) {
        this.callerPhone = callerPhone;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public String getCalledName() {
        return calledName;
    }

    public void setCalledName(String calledName) {
        this.calledName = calledName;
    }

    public String getCalledPhone() {
        return calledPhone;
    }

    public void setCalledPhone(String calledPhone) {
        this.calledPhone = calledPhone;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getVoiceTime() {
        return voiceTime;
    }

    public void setVoiceTime(String voiceTime) {
        this.voiceTime = voiceTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Date getCallTime() {
        return callTime;
    }

    public void setCallTime(Date callTime) {
        this.callTime = callTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "DoubleCallingRecordDTO{" +
                "doubleCallingRecordId=" + doubleCallingRecordId +
                ", paySerialNumber='" + paySerialNumber + '\'' +
                ", callerName='" + callerName + '\'' +
                ", callerPhone='" + callerPhone + '\'' +
                ", fee=" + fee +
                ", status=" + status +
                ", createTime=" + createTime +
                ", deductionTime=" + deductionTime +
                ", calledName='" + calledName + '\'' +
                ", calledPhone='" + calledPhone + '\'' +
                ", appCode='" + appCode + '\'' +
                ", appName='" + appName + '\'' +
                ", voiceTime='" + voiceTime + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", storeId=" + storeId +
                ", storeName='" + storeName + '\'' +
                ", storeGroupId=" + storeGroupId +
                ", storeGroupName='" + storeGroupName + '\'' +
                ", callTime=" + callTime +
                ", remark='" + remark + '\'' +
                '}';
    }
}
