package com.gic.enterprise.dto;

import com.gic.enterprise.constant.ExcelExtensionEnum;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class HiveDataDownloadDTO implements Serializable {
    public interface hiveData{

    }

    @NotNull(message = "企业id不能为空", groups = hiveData.class)
    private Integer enterpriseId;
    /**表名**/
    @NotNull(message = "表名不能为空", groups = hiveData.class)
    private String tableName;
    /**查询条件**/
    @NotEmpty(message = "查询字段不能为空", groups = hiveData.class)
    private List<HiveQueryCondition> queryConditionList;
    /**申请人用户id*/
    @NotNull(message = "申请人不能为空", groups = hiveData.class)
    private Integer applyUserId;
    /**数据源（频道页），用  "-" 隔开上级和本级**/
    private String dataContent;
    /**报告类型 1：完整数据， 2：脱敏数据， 3：二维码***/
    @NotNull(message = "报告类型不能为空", groups = hiveData.class)
    private Integer dataType;
    /**可以尝试用request.getHeader("Referer")获取dataUrl**/
    private String dataUrl;
    /**下载文件名*/
    @NotNull(message = "文件名称不能为空", groups = hiveData.class)
    private String fileName;
    /**文件扩展 1.xlsx  2.xls  3.csv**/
    @NotNull(message = "文件类型不能为空", groups = hiveData.class)
    private Integer excelExtension;
    /**待下载数据的开始时间**/
    private String reportStartTime;
    /**待下载数据的截止时间**/
    private String reportEndTime;
    /**脱敏字段*/
    private List<String> desenField = new ArrayList<>();


    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(Integer applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getDataContent() {
        return dataContent;
    }

    public void setDataContent(String dataContent) {
        this.dataContent = dataContent;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public String getDataUrl() {
        return dataUrl;
    }

    public void setDataUrl(String dataUrl) {
        this.dataUrl = dataUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getReportStartTime() {
        return reportStartTime;
    }

    public void setReportStartTime(String reportStartTime) {
        this.reportStartTime = reportStartTime;
    }

    public String getReportEndTime() {
        return reportEndTime;
    }

    public void setReportEndTime(String reportEndTime) {
        this.reportEndTime = reportEndTime;
    }

    public List<String> getDesenField() {
        return desenField;
    }

    public void setDesenField(List<String> desenField) {
        this.desenField = desenField;
    }

    public Integer getExcelExtension() {
        return excelExtension;
    }

    public void setExcelExtension(Integer excelExtension) {
        this.excelExtension = excelExtension;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public List<HiveQueryCondition> getQueryConditionList() {
        return queryConditionList;
    }

    public void setQueryConditionList(List<HiveQueryCondition> queryConditionList) {
        this.queryConditionList = queryConditionList;
    }
}
