package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 13:38
 */
public class LinkDTO implements Serializable, Comparable<LinkDTO> {
    private static final long serialVersionUID = 8127976924425687086L;

    /**
     * 主键
     */
    private Integer linkId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 父节点ID
     */
    private Integer parentId;

    /**
     * 状态（0.有效 1.失效）
     */
    private Integer deleteFlag;

    /**
     * 节点类型（0:层级节点无使用意义, 1:普通链接, 2:门店选择, 3:商品分类, 4:商品选择, 5:H5链接, 6:自定义链接 , 7第三方小程序）,8积分商城-卡券，9积分商城-礼品 10：商品分类链接 11：商城自定义页面12:裂变纺13:悦时
     */
    private Integer type;

    /**
     * 链接对象 1:h5   2:小程序
     */
    private Integer objectType;

    /**
     * 链接名称
     */
    private String name;

    /**
     * h5 链接内容
     */
    private String h5Content;

    /**
     * 小程序 链接内容
     */
    private String appletContent;

    /**
     * 进入条件0不限1开卡会员2认证会员
     */
    private Integer conditions;
    /**
     * 是否自定义1是0否
     */
    private Integer isCustom;

    /**
     * 1全部商户  2部分商户
     */
    private Integer enterpriseType;

    private List<LinkDTO> childList;
    private List<Integer> enterpriseList;

    public Integer getLinkId() {
        return linkId;
    }

    public void setLinkId(Integer linkId) {
        this.linkId = linkId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public LinkDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getH5Content() {
        return h5Content;
    }

    public void setH5Content(String h5Content) {
        this.h5Content = h5Content;
    }

    public String getAppletContent() {
        return appletContent;
    }

    public void setAppletContent(String appletContent) {
        this.appletContent = appletContent;
    }

    public Integer getConditions() {
        return conditions;
    }

    public void setConditions(Integer conditions) {
        this.conditions = conditions;
    }

    public Integer getIsCustom() {
        return isCustom;
    }

    public void setIsCustom(Integer isCustom) {
        this.isCustom = isCustom;
    }

    public Integer getEnterpriseType() {
        return enterpriseType;
    }

    public void setEnterpriseType(Integer enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public List<LinkDTO> getChildList() {
        return childList;
    }

    public void setChildList(List<LinkDTO> childList) {
        this.childList = childList;
    }

    public List<Integer> getEnterpriseList() {
        return enterpriseList;
    }

    public void setEnterpriseList(List<Integer> enterpriseList) {
        this.enterpriseList = enterpriseList;
    }

    @Override
    public int compareTo(LinkDTO o) {
        return (int)(this.createTime.getTime() - o.createTime.getTime());
    }

    @Override
    public String toString() {
        return "LinkDTO{" +
                "linkId=" + linkId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", parentId=" + parentId +
                ", deleteFlag=" + deleteFlag +
                ", type=" + type +
                ", objectType=" + objectType +
                ", name='" + name + '\'' +
                ", h5Content='" + h5Content + '\'' +
                ", appletContent='" + appletContent + '\'' +
                ", conditions=" + conditions +
                ", isCustom=" + isCustom +
                ", enterpriseType=" + enterpriseType +
                ", childList=" + childList +
                ", enterpriseList=" + enterpriseList +
                '}';
    }
}
