package com.gic.enterprise.dto;

import java.io.Serializable;

/**
 * @ClassName PstnCallBillDTO
 * @Description 腾讯PSTN回拨话单信息
 * @Author ChenJie
 * @Date 2019/1/3 16:40
 */
public class PstnCallBillDTO implements Serializable {

    private static final long serialVersionUID = -5236370235201356223L;
    /**
     * 	必选	如：65766
     */
    private String appId;
    /**
     * 	必选	回拨请求响应中返回的 callId
     */
    private String callId;
    /**
     * 	必选	回拨请求时请求携带的 requestId，原样返回
     */
    private String requestId;
    /**
     * 	必选	主叫号码
     */
    private String src;
    /**
     * 	必选	被叫号码
     */
    private String dst;
    /**
     * 	必选	主叫呼叫开始时间
     */
    private String startSrcCallTime;
    /**
     * 	必选	主叫响铃开始时间
     */
    private String startSrcRingTime;
    /**
     * 	必选	主叫接听时间
     */
    private String srcAcceptTime;
    /**
     * 必选	被叫呼叫开始时间
     */
    private String startDstCallTime;
    /**
     * 	必选	被叫响铃开始时间
     */
    private String startDstRingTime;
    /**
     * 必选	被叫接听时间
     */
    private String dstAcceptTime;
    /**
     * 必选	用户挂机通话结束时间
     */
    private String endCallTime;
    /**
     * 必选	通话最后状态：0：未知状态 1：正常通话2：主叫未接 3：主叫接听，被叫未接 4：主叫未接通 5：被叫未接通
     */
    private Integer callEndStatus;
    /**
     * 	必选	通话计费时间(单位秒)
     */
    private Integer duration;
    /**
     * 可选	通话类型(1: VOIP 2:IP TO PSTN 3: PSTN TO PSTN)，如果话单中没有该字段，默认值为回拨 3 (PSTN TO PSTN)
     */
    private Integer callType;
    /**
     * 	可选	同回拨请求中的 bizId，如果回拨请求中带 bizId 会有该字段返回
     */
    private String bizId;
    /**
     * 	可选	订单 ID，最大长度不超过 64 个字节，对于一些有订单状态 App 相关应用（如达人帮接入 App 应用)，该字段只在帐单中带上，其它回调不附带该字段
     */
    private String orderId;

    private Integer enterpriseId;
    private Double fee;

    private Integer storeId;
    private String storeName;
    private Integer storeGroupId;
    private String storeGroupName;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCallId() {
        return callId;
    }

    public void setCallId(String callId) {
        this.callId = callId;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    public String getDst() {
        return dst;
    }

    public void setDst(String dst) {
        this.dst = dst;
    }

    public String getStartSrcCallTime() {
        return startSrcCallTime;
    }

    public void setStartSrcCallTime(String startSrcCallTime) {
        this.startSrcCallTime = startSrcCallTime;
    }

    public String getStartSrcRingTime() {
        return startSrcRingTime;
    }

    public void setStartSrcRingTime(String startSrcRingTime) {
        this.startSrcRingTime = startSrcRingTime;
    }

    public String getSrcAcceptTime() {
        return srcAcceptTime;
    }

    public void setSrcAcceptTime(String srcAcceptTime) {
        this.srcAcceptTime = srcAcceptTime;
    }

    public String getStartDstCallTime() {
        return startDstCallTime;
    }

    public void setStartDstCallTime(String startDstCallTime) {
        this.startDstCallTime = startDstCallTime;
    }

    public String getStartDstRingTime() {
        return startDstRingTime;
    }

    public void setStartDstRingTime(String startDstRingTime) {
        this.startDstRingTime = startDstRingTime;
    }

    public String getDstAcceptTime() {
        return dstAcceptTime;
    }

    public void setDstAcceptTime(String dstAcceptTime) {
        this.dstAcceptTime = dstAcceptTime;
    }

    public String getEndCallTime() {
        return endCallTime;
    }

    public void setEndCallTime(String endCallTime) {
        this.endCallTime = endCallTime;
    }

    public Integer getCallEndStatus() {
        return callEndStatus;
    }

    public void setCallEndStatus(Integer callEndStatus) {
        this.callEndStatus = callEndStatus;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public Integer getCallType() {
        return callType;
    }

    public void setCallType(Integer callType) {
        this.callType = callType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Double getFee() {
        return fee;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    @Override
    public String toString() {
        return "PstnCallBillDTO{" +
                "appId='" + appId + '\'' +
                ", callId='" + callId + '\'' +
                ", requestId='" + requestId + '\'' +
                ", src='" + src + '\'' +
                ", dst='" + dst + '\'' +
                ", startSrcCallTime='" + startSrcCallTime + '\'' +
                ", startSrcRingTime='" + startSrcRingTime + '\'' +
                ", srcAcceptTime='" + srcAcceptTime + '\'' +
                ", startDstCallTime='" + startDstCallTime + '\'' +
                ", startDstRingTime='" + startDstRingTime + '\'' +
                ", dstAcceptTime='" + dstAcceptTime + '\'' +
                ", endCallTime='" + endCallTime + '\'' +
                ", callEndStatus=" + callEndStatus +
                ", duration=" + duration +
                ", callType=" + callType +
                ", bizId='" + bizId + '\'' +
                ", orderId='" + orderId + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", fee=" + fee +
                ", storeId=" + storeId +
                ", storeName='" + storeName + '\'' +
                ", storeGroupId=" + storeGroupId +
                ", storeGroupName='" + storeGroupName + '\'' +
                '}';
    }
}