package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/27 14:30
 */
public class RefundDTO implements Serializable {
    private static final long serialVersionUID = 50655175647639624L;


    public interface RefundValid{}
    public interface GetRefundValid{}

    /**
     * 商户id
     */
    @NotNull(message = "商户id不能为空", groups = {RefundValid.class, GetRefundValid.class})
    private Integer enterpriseId;
    /**
     * 订单号
     */
    @NotBlank(message = "订单号不能为空", groups = {RefundValid.class, GetRefundValid.class})
    private String orderSerialNumber;
    /**
     * 商户退款单号
     */
    @NotBlank(message = "商户退款单号不能为空", groups = {RefundValid.class, GetRefundValid.class})
    private String refundSerialNumber;
    /**
     * 订单金额
     */
    private Double orderFee;
    /**
     * 退款金额
     */
    @NotNull(message = "退款金额不能为空", groups = RefundValid.class)
    private Double refundFee;
    /**
     * 退款原因
     */
    @NotBlank(message = "退款原因不能为空", groups = RefundValid.class)
    private String refundReason;

    @NotBlank(message = "请求方标识不能为空", groups = {RefundValid.class, GetRefundValid.class})
    private String requestCode;

    @NotNull(message = "购买类型不能为空", groups = {RefundValid.class})
    private Integer buyProductType;

    private String refundPayNumber;

    private Date timeEnd;

    public void setTimeEnd(Date timeEnd) {
        this.timeEnd = timeEnd;
    }

    public Date getTimeEnd() {
        return timeEnd;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public String getRefundSerialNumber() {
        return refundSerialNumber;
    }

    public void setRefundSerialNumber(String refundSerialNumber) {
        this.refundSerialNumber = refundSerialNumber;
    }

    public Double getOrderFee() {
        return orderFee;
    }

    public void setOrderFee(Double orderFee) {
        this.orderFee = orderFee;
    }

    public Double getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(Double refundFee) {
        this.refundFee = refundFee;
    }

    public String getRefundReason() {
        return refundReason;
    }

    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    public String getRequestCode() {
        return requestCode;
    }

    public void setRequestCode(String requestCode) {
        this.requestCode = requestCode;
    }

    public String getRefundPayNumber() {
        return refundPayNumber;
    }

    public void setRefundPayNumber(String refundPayNumber) {
        this.refundPayNumber = refundPayNumber;
    }
    public Integer getBuyProductType() {
        return buyProductType;
    }

    public void setBuyProductType(Integer buyProductType) {
        this.buyProductType = buyProductType;
    }

    @Override
    public String toString() {
        return "RefundDTO{" +
                "enterpriseId=" + enterpriseId +
                ", orderSerialNumber='" + orderSerialNumber + '\'' +
                ", refundSerialNumber='" + refundSerialNumber + '\'' +
                ", orderFee=" + orderFee +
                ", refundFee=" + refundFee +
                ", refundReason='" + refundReason + '\'' +
                ", requestCode='" + requestCode + '\'' +
                ", buyProductType=" + buyProductType +
                ", refundPayNumber='" + refundPayNumber + '\'' +
                ", timeEnd=" + timeEnd +
                '}';
    }
}
