package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 16:30
 */
public class TodoItemDTO implements Serializable {
    private static final long serialVersionUID = 4045622084431661140L;

    public interface SaveValidView{}

    /**
     *
     */
    private Integer todoItemId;

    /**
     *
     */
    @NotNull(message = "商户id不能为空", groups = SaveValidView.class)
    private Integer enterpriseId;

    /**
     *
     */
    @NotNull(message = "用户id不能为空", groups = SaveValidView.class)
    private Integer userId;

    /**
     * 事项内容
     */
    @NotBlank(message = "事项内容不能为空", groups = SaveValidView.class)
    private String itemContent;

    /**
     * 0:待处理   1:未完成
     */
    private Integer finish;

    /**
     * 事项类型 （字典的code）
     */
    @NotBlank(message = "事项类型不能为空", groups = SaveValidView.class)
    private String itemType;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Integer deleteFlag;

    /**
     * 跳转的url 不加域名  比如：  /damo-system/user/approve?id=1
     *
     */
    @NotBlank(message = "url不能为空", groups = SaveValidView.class)
    private String itemInfoUrl;

    private String itemTypeName;

    public void setItemTypeName(String itemTypeName) {
        this.itemTypeName = itemTypeName;
    }

    public String getItemTypeName() {
        return itemTypeName;
    }

    public Integer getTodoItemId() {
        return todoItemId;
    }

    public void setTodoItemId(Integer todoItemId) {
        this.todoItemId = todoItemId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getItemContent() {
        return itemContent;
    }

    public void setItemContent(String itemContent) {
        this.itemContent = itemContent;
    }

    public Integer getFinish() {
        return finish;
    }

    public void setFinish(Integer finish) {
        this.finish = finish;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TodoItemDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public String getItemInfoUrl() {
        return itemInfoUrl;
    }

    public void setItemInfoUrl(String itemInfoUrl) {
        this.itemInfoUrl = itemInfoUrl;
    }

    @Override
    public String toString() {
        return "TodoItemDTO{" +
                "todoItemId=" + todoItemId +
                ", enterpriseId=" + enterpriseId +
                ", userId=" + userId +
                ", itemContent='" + itemContent + '\'' +
                ", finish=" + finish +
                ", itemType='" + itemType + '\'' +
                ", finishTime=" + finishTime +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", status=" + deleteFlag +
                ", itemInfoUrl='" + itemInfoUrl + '\'' +
                ", itemTypeName='" + itemTypeName + '\'' +
                '}';
    }
}
