package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 15:30
 */
public class VoiceCodeRecordDTO implements Serializable {
    private static final long serialVersionUID = 1332535228285655934L;

    public interface SaveValid{}
    /**
     *
     */
    private Integer voiceCodeRecordId;

    /**
     * 支付流水号
     */
    private String paySerialNumber;
    /**
     *
     */
    private Integer status;

    /**
     * 发送时间
     */
    @NotNull(message = "发送时间不能为空", groups = SaveValid.class)
    private Date sendTime;

    /**
     * 接收号码
     */
    @NotBlank(message = "接收号码不能为空", groups = SaveValid.class)
    private String receivePhone;

    /**
     * 语音时长
     */
    @NotBlank(message = "语音时长不能为空", groups = SaveValid.class)
    private String voiceTime;

    /**
     * 应用
     */
    @NotBlank(message = "应用不能为空", groups = SaveValid.class)
    private String appCode;

    /**
     * 应用name
     */
    private String appName;

    /**
     * 费用
     */
    @NotNull(message = "费用不能为空", groups = SaveValid.class)
    private Double fee;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    @NotNull(message = "商户id不能为空", groups = SaveValid.class)
    private Integer enterpriseId;

    private Date deductionTime;

    /**
     * 会员姓名
     */
    private String memberName;

    /**
     * 门店id
     */
    private Integer storeId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店分组id
     */
    private Integer storeGroupId;

    /**
     * 门店分组名称
     */
    private String storeGroupName;

    public Integer getVoiceCodeRecordId() {
        return voiceCodeRecordId;
    }

    public void setVoiceCodeRecordId(Integer voiceCodeRecordId) {
        this.voiceCodeRecordId = voiceCodeRecordId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public String getVoiceTime() {
        return voiceTime;
    }

    public void setVoiceTime(String voiceTime) {
        this.voiceTime = voiceTime;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPaySerialNumber() {
        return paySerialNumber;
    }

    public void setPaySerialNumber(String paySerialNumber) {
        this.paySerialNumber = paySerialNumber;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    @Override
    public String toString() {
        return "VoiceCodeRecordDTO{" +
                "voiceCodeRecordId=" + voiceCodeRecordId +
                ", paySerialNumber='" + paySerialNumber + '\'' +
                ", status=" + status +
                ", sendTime=" + sendTime +
                ", receivePhone='" + receivePhone + '\'' +
                ", voiceTime='" + voiceTime + '\'' +
                ", appCode='" + appCode + '\'' +
                ", appName='" + appName + '\'' +
                ", fee=" + fee +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", enterpriseId=" + enterpriseId +
                ", deductionTime=" + deductionTime +
                ", memberName='" + memberName + '\'' +
                ", storeId=" + storeId +
                ", storeName='" + storeName + '\'' +
                ", storeGroupId=" + storeGroupId +
                ", storeGroupName='" + storeGroupName + '\'' +
                '}';
    }
}
