package com.gic.enterprise.dto.market;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName: LicenseDTO 
 * @Description:    license
 * @author guojuxing 
 * @date 2019/9/30 9:31 AM 
 */
public class LicenseDTO implements Serializable{
    private static final long serialVersionUID = 7263611081756158008L;

    /**
     * id(服务id,license的id,拓展包id)
     */
    private String serveId;

    /**
     * 名称
     */
    private String serveName;

    /**
     *
     */
    private String serveInfo;
    /**
     * 订单项原价
     */
    private BigDecimal totalAmount;

    /**
     * 销售价
     */
    private BigDecimal saleAmount;

    /**
     * 订单项实付金额
     */
    private BigDecimal payAmount;
    /**
     * 订单项优惠详情{200:优惠券}
     */
    private String discountDetail;

    /**
     * 支付详情{100:现金}
     */
    private String payDetail;

    /**购买数量*/
    private Integer serveQuantity;
    private String skuId;
    private String skuVersion;
    private String skuPeriod;
    private Integer skuPeriodDay;
    private String skuInfo;
    private String licenseUnit;
    /**已购买数量*/
    private Integer alreadyBuyQuantity;

    private ServeLicenseDTO licenseDetail;

    private Boolean licenseEditFlag;

    public String getServeId() {
        return serveId;
    }

    public void setServeId(String serveId) {
        this.serveId = serveId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getSkuId() {
        return skuId;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public String getServeInfo() {
        return serveInfo;
    }

    public void setServeInfo(String serveInfo) {
        this.serveInfo = serveInfo;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getSaleAmount() {
        return saleAmount;
    }

    public void setSaleAmount(BigDecimal saleAmount) {
        this.saleAmount = saleAmount;
    }

    public BigDecimal getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    public String getDiscountDetail() {
        return discountDetail;
    }

    public void setDiscountDetail(String discountDetail) {
        this.discountDetail = discountDetail;
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail;
    }

    public String getSkuVersion() {
        return skuVersion;
    }

    public void setSkuVersion(String skuVersion) {
        this.skuVersion = skuVersion;
    }

    public String getSkuPeriod() {
        return skuPeriod;
    }

    public void setSkuPeriod(String skuPeriod) {
        this.skuPeriod = skuPeriod;
    }

    public Integer getSkuPeriodDay() {
        return skuPeriodDay;
    }

    public void setSkuPeriodDay(Integer skuPeriodDay) {
        this.skuPeriodDay = skuPeriodDay;
    }

    public String getSkuInfo() {
        return skuInfo;
    }

    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    public String getLicenseUnit() {
        return licenseUnit;
    }

    public void setLicenseUnit(String licenseUnit) {
        this.licenseUnit = licenseUnit;
    }

    public Integer getAlreadyBuyQuantity() {
        return alreadyBuyQuantity;
    }

    public void setAlreadyBuyQuantity(Integer alreadyBuyQuantity) {
        this.alreadyBuyQuantity = alreadyBuyQuantity;
    }

    public Integer getServeQuantity() {
        return serveQuantity;
    }

    public void setServeQuantity(Integer serveQuantity) {
        this.serveQuantity = serveQuantity;
    }

    public Boolean isLicenseEditFlag() {
        return licenseEditFlag;
    }

    public LicenseDTO setLicenseEditFlag(Boolean licenseEditFlag) {
        this.licenseEditFlag = licenseEditFlag;
        return this;
    }

    public ServeLicenseDTO getLicenseDetail() {
        return licenseDetail;
    }

    public LicenseDTO setLicenseDetail(ServeLicenseDTO licenseDetail) {
        this.licenseDetail = licenseDetail;
        return this;
    }

    @Override
    public String toString() {
        return "LicenseDTO{" +
                "serveId='" + serveId + '\'' +
                ", serveName='" + serveName + '\'' +
                ", serveInfo='" + serveInfo + '\'' +
                ", totalAmount=" + totalAmount +
                ", saleAmount=" + saleAmount +
                ", payAmount=" + payAmount +
                ", discountDetail='" + discountDetail + '\'' +
                ", payDetail='" + payDetail + '\'' +
                ", serveQuantity=" + serveQuantity +
                ", skuId='" + skuId + '\'' +
                ", skuVersion='" + skuVersion + '\'' +
                ", skuPeriod='" + skuPeriod + '\'' +
                ", skuPeriodDay=" + skuPeriodDay +
                ", skuInfo='" + skuInfo + '\'' +
                ", licenseUnit='" + licenseUnit + '\'' +
                ", alreadyBuyQuantity=" + alreadyBuyQuantity +
                ", licenseDetail=" + licenseDetail +
                ", licenseEditFlag=" + licenseEditFlag +
                '}';
    }
}
