package com.gic.enterprise.dto.market;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * license 详情
 * @ClassName: ServeLicenseDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/23 1:54 PM 
 */
public class ServeLicenseDTO implements Serializable{
    private static final long serialVersionUID = -8500185445615084852L;

    /**
     * 主键
     */
    private Long licenseId;

    /**
     * 名称
     */
    private String licenseName;

    /**
     * 单位
     */
    private String licenseUnit;

    /**
     * 服务商
     */
    private Long isvId;

    /**
     * 图片
     */
    private String imageUrl;

    /**
     * 图片ID(用于删除)
     */
    private String imageFileId;

    /**
     * 应用ID
     */
    private Long applicationId;

    /**
     * 服务ID
     */
    private Long serveId;

    /**
     * 审核状态(-1: 未审核; 0:审核失败;1:已审核)
     */
    private Integer auditStatus;

    /**
     * 审核拒绝原因
     */
    private String refuseReason;

    /**
     * 服务状态(0:未上架; 1: 已上架)
     */
    private Integer licenseStatus;

    /**
     * 简介
     */
    private String licenseIntro;

    /**
     * 适用版本 1通用 2部分版本
     */
    private Integer versionType;

    /**
     * 最小数量
     */
    private Integer minQuantity;

    /**
     * 最大数量
     */
    private Integer maxQuantity;

    /**
     * 计价方式1单价 2区间价 3阶梯价
     */
    private Integer priceType;

    /**
     * 单价
     */
    private BigDecimal unitPrice;

    /**
     * 价格详情[{min:1,max:100,price:100}...]
     */
    private String priceDetail;

    /**
     * 0gic 1好办
     */
    private Integer appType;

    private Integer deleteFlag;
    private Date createTime;
    private Date updateTime;

    private String licenseCode;

    /**
     * 应用名称
     */
    private String serveName;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用分类名称
     */
    private String appCategoryName;

    /**
     * 应用图片
     */
    private String applicationUrl;

    /**
     * 服务商账号
     */
    private String isvAccount;

    /**
     * 服务商名称
     */
    private String isvName;

    /**
     * 服务图片
     */
    private String serveImageUrl;

    /**购买数量*/
    private Integer buyQuantity;
    /**购买价格*/
    private BigDecimal buyPrice;
    /**是否已购*/
    private Boolean isBuy = false;
    /**已购数量*/
    private Integer validQuantity = 0;

    public Long getLicenseId() {
        return licenseId;
    }

    public ServeLicenseDTO setLicenseId(Long licenseId) {
        this.licenseId = licenseId;
        return this;
    }

    public String getLicenseName() {
        return licenseName;
    }

    public ServeLicenseDTO setLicenseName(String licenseName) {
        this.licenseName = licenseName;
        return this;
    }

    public String getLicenseUnit() {
        return licenseUnit;
    }

    public ServeLicenseDTO setLicenseUnit(String licenseUnit) {
        this.licenseUnit = licenseUnit;
        return this;
    }

    public Long getIsvId() {
        return isvId;
    }

    public ServeLicenseDTO setIsvId(Long isvId) {
        this.isvId = isvId;
        return this;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public ServeLicenseDTO setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
        return this;
    }

    public String getImageFileId() {
        return imageFileId;
    }

    public ServeLicenseDTO setImageFileId(String imageFileId) {
        this.imageFileId = imageFileId;
        return this;
    }

    public Long getApplicationId() {
        return applicationId;
    }

    public ServeLicenseDTO setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
        return this;
    }

    public Long getServeId() {
        return serveId;
    }

    public ServeLicenseDTO setServeId(Long serveId) {
        this.serveId = serveId;
        return this;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public ServeLicenseDTO setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
        return this;
    }

    public String getRefuseReason() {
        return refuseReason;
    }

    public ServeLicenseDTO setRefuseReason(String refuseReason) {
        this.refuseReason = refuseReason;
        return this;
    }

    public Integer getLicenseStatus() {
        return licenseStatus;
    }

    public ServeLicenseDTO setLicenseStatus(Integer licenseStatus) {
        this.licenseStatus = licenseStatus;
        return this;
    }

    public String getLicenseIntro() {
        return licenseIntro;
    }

    public ServeLicenseDTO setLicenseIntro(String licenseIntro) {
        this.licenseIntro = licenseIntro;
        return this;
    }

    public Integer getVersionType() {
        return versionType;
    }

    public ServeLicenseDTO setVersionType(Integer versionType) {
        this.versionType = versionType;
        return this;
    }

    public Integer getMinQuantity() {
        return minQuantity;
    }

    public ServeLicenseDTO setMinQuantity(Integer minQuantity) {
        this.minQuantity = minQuantity;
        return this;
    }

    public Integer getMaxQuantity() {
        return maxQuantity;
    }

    public ServeLicenseDTO setMaxQuantity(Integer maxQuantity) {
        this.maxQuantity = maxQuantity;
        return this;
    }

    public Integer getPriceType() {
        return priceType;
    }

    public ServeLicenseDTO setPriceType(Integer priceType) {
        this.priceType = priceType;
        return this;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public ServeLicenseDTO setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
        return this;
    }

    public String getPriceDetail() {
        return priceDetail;
    }

    public ServeLicenseDTO setPriceDetail(String priceDetail) {
        this.priceDetail = priceDetail;
        return this;
    }

    public Integer getAppType() {
        return appType;
    }

    public ServeLicenseDTO setAppType(Integer appType) {
        this.appType = appType;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public ServeLicenseDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ServeLicenseDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public ServeLicenseDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getLicenseCode() {
        return licenseCode;
    }

    public ServeLicenseDTO setLicenseCode(String licenseCode) {
        this.licenseCode = licenseCode;
        return this;
    }

    public String getServeName() {
        return serveName;
    }

    public ServeLicenseDTO setServeName(String serveName) {
        this.serveName = serveName;
        return this;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public ServeLicenseDTO setApplicationName(String applicationName) {
        this.applicationName = applicationName;
        return this;
    }

    public String getAppCategoryName() {
        return appCategoryName;
    }

    public ServeLicenseDTO setAppCategoryName(String appCategoryName) {
        this.appCategoryName = appCategoryName;
        return this;
    }

    public String getApplicationUrl() {
        return applicationUrl;
    }

    public ServeLicenseDTO setApplicationUrl(String applicationUrl) {
        this.applicationUrl = applicationUrl;
        return this;
    }

    public String getIsvAccount() {
        return isvAccount;
    }

    public ServeLicenseDTO setIsvAccount(String isvAccount) {
        this.isvAccount = isvAccount;
        return this;
    }

    public String getIsvName() {
        return isvName;
    }

    public ServeLicenseDTO setIsvName(String isvName) {
        this.isvName = isvName;
        return this;
    }

    public String getServeImageUrl() {
        return serveImageUrl;
    }

    public ServeLicenseDTO setServeImageUrl(String serveImageUrl) {
        this.serveImageUrl = serveImageUrl;
        return this;
    }

    public Integer getBuyQuantity() {
        return buyQuantity;
    }

    public ServeLicenseDTO setBuyQuantity(Integer buyQuantity) {
        this.buyQuantity = buyQuantity;
        return this;
    }

    public BigDecimal getBuyPrice() {
        return buyPrice;
    }

    public ServeLicenseDTO setBuyPrice(BigDecimal buyPrice) {
        this.buyPrice = buyPrice;
        return this;
    }

    public Boolean isBuy() {
        return isBuy;
    }

    public ServeLicenseDTO setBuy(Boolean buy) {
        isBuy = buy;
        return this;
    }

    public Integer getValidQuantity() {
        return validQuantity;
    }

    public ServeLicenseDTO setValidQuantity(Integer validQuantity) {
        this.validQuantity = validQuantity;
        return this;
    }

    @Override
    public String toString() {
        return "ServeLicenseDTO{" +
                "licenseId=" + licenseId +
                ", licenseName='" + licenseName + '\'' +
                ", licenseUnit='" + licenseUnit + '\'' +
                ", isvId=" + isvId +
                ", imageUrl='" + imageUrl + '\'' +
                ", imageFileId='" + imageFileId + '\'' +
                ", applicationId=" + applicationId +
                ", serveId=" + serveId +
                ", auditStatus=" + auditStatus +
                ", refuseReason='" + refuseReason + '\'' +
                ", licenseStatus=" + licenseStatus +
                ", licenseIntro='" + licenseIntro + '\'' +
                ", versionType=" + versionType +
                ", minQuantity=" + minQuantity +
                ", maxQuantity=" + maxQuantity +
                ", priceType=" + priceType +
                ", unitPrice=" + unitPrice +
                ", priceDetail='" + priceDetail + '\'' +
                ", appType=" + appType +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", licenseCode='" + licenseCode + '\'' +
                ", serveName='" + serveName + '\'' +
                ", applicationName='" + applicationName + '\'' +
                ", appCategoryName='" + appCategoryName + '\'' +
                ", applicationUrl='" + applicationUrl + '\'' +
                ", isvAccount='" + isvAccount + '\'' +
                ", isvName='" + isvName + '\'' +
                ", serveImageUrl='" + serveImageUrl + '\'' +
                ", buyQuantity=" + buyQuantity +
                ", buyPrice=" + buyPrice +
                ", isBuy=" + isBuy +
                ", validQuantity=" + validQuantity +
                '}';
    }
}
