package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;

/**
 * 平台规则配置：场景
 * @ClassName: RuleClassifySceneDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/3 2:46 PM 
 */
public class RuleClassifySceneDTO implements Serializable{
    private static final long serialVersionUID = 2944424324223164756L;

    /**
     *
     */
    private Integer ruleId;

    /**
     * 场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 场景描述
     */
    private String ruleDesc;

    /**
     * 场景备注
     */
    private String remark;

    /**
     * 场景手动输入名称
     */
    private String marketName;

    /**
     * 营销场景ID/code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;

    /**
     * 父级id
     */
    private Integer parentRuleId;

    /**
     * 层级:1:规则 2:分类 3:场景
     */
    private Integer ruleLevel;

    /**
     * 规则链id：_2_3_格式数据
     */
    private String ruleChain;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getRuleId() {
        return ruleId;
    }

    public RuleClassifySceneDTO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleClassifySceneDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getRuleDesc() {
        return ruleDesc;
    }

    public RuleClassifySceneDTO setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public RuleClassifySceneDTO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public String getMarketScene() {
        return marketScene;
    }

    public RuleClassifySceneDTO setMarketScene(String marketScene) {
        this.marketScene = marketScene;
        return this;
    }

    public Integer getMarketObject() {
        return marketObject;
    }

    public RuleClassifySceneDTO setMarketObject(Integer marketObject) {
        this.marketObject = marketObject;
        return this;
    }

    public Integer getParentRuleId() {
        return parentRuleId;
    }

    public RuleClassifySceneDTO setParentRuleId(Integer parentRuleId) {
        this.parentRuleId = parentRuleId;
        return this;
    }

    public Integer getRuleLevel() {
        return ruleLevel;
    }

    public RuleClassifySceneDTO setRuleLevel(Integer ruleLevel) {
        this.ruleLevel = ruleLevel;
        return this;
    }

    public String getRuleChain() {
        return ruleChain;
    }

    public RuleClassifySceneDTO setRuleChain(String ruleChain) {
        this.ruleChain = ruleChain;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public RuleClassifySceneDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public RuleClassifySceneDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public RuleClassifySceneDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getMarketName() {
        return marketName;
    }

    public RuleClassifySceneDTO setMarketName(String marketName) {
        this.marketName = marketName;
        return this;
    }

    @Override
    public String toString() {
        return "RuleClassifySceneDTO{" +
                "ruleId=" + ruleId +
                ", ruleName='" + ruleName + '\'' +
                ", ruleDesc='" + ruleDesc + '\'' +
                ", remark='" + remark + '\'' +
                ", marketName='" + marketName + '\'' +
                ", marketScene='" + marketScene + '\'' +
                ", marketObject=" + marketObject +
                ", parentRuleId=" + parentRuleId +
                ", ruleLevel=" + ruleLevel +
                ", ruleChain='" + ruleChain + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
