package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;

/**
 * 平台规则配置：规则类型
 * @ClassName: RuleDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/3 2:43 PM 
 */
public class RuleDTO implements Serializable{
    private static final long serialVersionUID = 5568436339396966487L;

    /**
     *
     */
    private Integer ruleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 规则类型:应用名称
     */
    private String appName;

    /**
     * 规则类型:应用code
     */
    private String appCode;

    /**
     * 父级id
     */
    private Integer parentRuleId;

    /**
     * 层级:1:规则 2:分类 3:场景
     */
    private Integer ruleLevel;

    /**
     * 规则链id：_2_3_格式数据
     */
    private String ruleChain;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getRuleId() {
        return ruleId;
    }

    public RuleDTO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getAppName() {
        return appName;
    }

    public RuleDTO setAppName(String appName) {
        this.appName = appName;
        return this;
    }

    public String getAppCode() {
        return appCode;
    }

    public RuleDTO setAppCode(String appCode) {
        this.appCode = appCode;
        return this;
    }

    public Integer getParentRuleId() {
        return parentRuleId;
    }

    public RuleDTO setParentRuleId(Integer parentRuleId) {
        this.parentRuleId = parentRuleId;
        return this;
    }

    public Integer getRuleLevel() {
        return ruleLevel;
    }

    public RuleDTO setRuleLevel(Integer ruleLevel) {
        this.ruleLevel = ruleLevel;
        return this;
    }

    public String getRuleChain() {
        return ruleChain;
    }

    public RuleDTO setRuleChain(String ruleChain) {
        this.ruleChain = ruleChain;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public RuleDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public RuleDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public RuleDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "RuleDTO{" +
                "ruleId=" + ruleId +
                ", ruleName='" + ruleName + '\'' +
                ", appName='" + appName + '\'' +
                ", appCode='" + appCode + '\'' +
                ", parentRuleId=" + parentRuleId +
                ", ruleLevel=" + ruleLevel +
                ", ruleChain='" + ruleChain + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
