package com.gic.enterprise.dto.union;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 自有商户列表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 3:31 PM 
 */
public class OwnEnterpriseAuthListDTO implements Serializable{
    private static final long serialVersionUID = -3910274283656104847L;

    private String userName;

    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    private String enterpriseName;

    private String companyName;

    private String address;

    private String logo;

    /**
     * 自有商户ID
     */
    private Integer enterpriseId;

    /**
     * 联合商户记录主键
     */
    private Integer unionEnterpriseAuthId;

    /**
     * 1:有效 2:解除中 3: 已解除联合
     */
    private Integer statusFlag;

    /**
     * 最新解除时间（最后一项资源收回完毕时间
     */
    private Date lastRelieveTime;

    /**
     * 最新联合完成时间（最后一项资源授权完毕时间
     */
    private Date lastUnionTime;

    /**
     * 具体资源授权信息
     */
    private List<UnionEnterpriseAuthResDetailDTO> unionEnterpriseResourceList;

    public String getUserName() {
        return userName;
    }

    public OwnEnterpriseAuthListDTO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public OwnEnterpriseAuthListDTO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public OwnEnterpriseAuthListDTO setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public OwnEnterpriseAuthListDTO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public OwnEnterpriseAuthListDTO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public OwnEnterpriseAuthListDTO setAddress(String address) {
        this.address = address;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public OwnEnterpriseAuthListDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public OwnEnterpriseAuthListDTO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public OwnEnterpriseAuthListDTO setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
        return this;
    }

    public Date getLastRelieveTime() {
        return lastRelieveTime;
    }

    public OwnEnterpriseAuthListDTO setLastRelieveTime(Date lastRelieveTime) {
        this.lastRelieveTime = lastRelieveTime;
        return this;
    }

    public Date getLastUnionTime() {
        return lastUnionTime;
    }

    public OwnEnterpriseAuthListDTO setLastUnionTime(Date lastUnionTime) {
        this.lastUnionTime = lastUnionTime;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public OwnEnterpriseAuthListDTO setLogo(String logo) {
        this.logo = logo;
        return this;
    }

    public List<UnionEnterpriseAuthResDetailDTO> getUnionEnterpriseResourceList() {
        return unionEnterpriseResourceList;
    }

    public OwnEnterpriseAuthListDTO setUnionEnterpriseResourceList(List<UnionEnterpriseAuthResDetailDTO> unionEnterpriseResourceList) {
        this.unionEnterpriseResourceList = unionEnterpriseResourceList;
        return this;
    }

    @Override
    public String toString() {
        return "OwnEnterpriseAuthListDTO{" +
                "userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", address='" + address + '\'' +
                ", logo='" + logo + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                ", statusFlag=" + statusFlag +
                ", lastRelieveTime=" + lastRelieveTime +
                ", lastUnionTime=" + lastUnionTime +
                ", unionEnterpriseResourceList=" + unionEnterpriseResourceList +
                '}';
    }
}
