package com.gic.enterprise.dto.union;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 应用策略
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/5 10:01 AM 
 */
public class UnionEnterpriseAuthAppDTO implements Serializable{
    private static final long serialVersionUID = 5065082149450392146L;
    /**
     * id
     */
    private Integer unionEnterpriseAuthAppId;

    /**
     * 联合商户授权主键ID，关联字段
     */
    @NotNull(message = "联合商户主键不能为空")
    private Integer unionEnterpriseAuthId;

    /**
     * 策略名称
     */
    @NotBlank(message = "策略名称不能为空")
    private String strategyName;

    /**
     * 应用ID，多选，英文逗号隔开
     */
    @NotBlank(message = "应用不能为空")
    private String appId;

    /**
     * 0:不授予 1:授予
     */
    @NotNull(message = "授予标志不能为空")
    private Integer appAuthStatus;

    /**
     * 所选资源组中的用户域中的域资源（mcu,fcu,acu,scu），json数组格式
     */
    private String authData;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    public Integer getUnionEnterpriseAuthAppId() {
        return unionEnterpriseAuthAppId;
    }

    public UnionEnterpriseAuthAppDTO setUnionEnterpriseAuthAppId(Integer unionEnterpriseAuthAppId) {
        this.unionEnterpriseAuthAppId = unionEnterpriseAuthAppId;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public UnionEnterpriseAuthAppDTO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public String getStrategyName() {
        return strategyName;
    }

    public UnionEnterpriseAuthAppDTO setStrategyName(String strategyName) {
        this.strategyName = strategyName;
        return this;
    }

    public String getAppId() {
        return appId;
    }

    public UnionEnterpriseAuthAppDTO setAppId(String appId) {
        this.appId = appId;
        return this;
    }

    public Integer getAppAuthStatus() {
        return appAuthStatus;
    }

    public UnionEnterpriseAuthAppDTO setAppAuthStatus(Integer appAuthStatus) {
        this.appAuthStatus = appAuthStatus;
        return this;
    }

    public String getAuthData() {
        return authData;
    }

    public UnionEnterpriseAuthAppDTO setAuthData(String authData) {
        this.authData = authData;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UnionEnterpriseAuthAppDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public UnionEnterpriseAuthAppDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public UnionEnterpriseAuthAppDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthAppDTO{" +
                "unionEnterpriseAuthAppId=" + unionEnterpriseAuthAppId +
                ", unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                ", strategyName='" + strategyName + '\'' +
                ", appId='" + appId + '\'' +
                ", appAuthStatus=" + appAuthStatus +
                ", authData='" + authData + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteFlag=" + deleteFlag +
                '}';
    }
}