package com.gic.enterprise.dto.union;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

/**
 * 联合商户列表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/4 2:04 PM 
 */
public class UnionEnterpriseAuthListDTO implements Serializable{
    private static final long serialVersionUID = 6966464635507244406L;

    private String userName;

    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    private String enterpriseName;

    private String companyName;

    private String address;

    /**
     * 联合商户ID
     */
    private Integer enterpriseId;

    /**
     * 联合商户记录主键
     */
    private Integer unionEnterpriseAuthId;

    /**
     * 1:有效 2:解除中 3: 已解除联合
     */
    private Integer statusFlag;

    /**
     * 解除时间
     */
    private Date relieveTime;

    /**
     * 最新解除时间（最后一项资源收回完毕时间）
     */
    private Date lastRelieveTime;

    /**
     * 解除生效时间，保留X个自然日后开始解除资源
     */
    private Integer relieveEffectDate;

    /**
     * 将解除时间时间yyyy-MM-dd
     */
    private String startRelieveTime;

    /**
     * 具体资源授权信息
     */
    private List<UnionEnterpriseAuthResDetailDTO> unionEnterpriseResourceList;

    public String getUserName() {
        return userName;
    }

    public UnionEnterpriseAuthListDTO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public UnionEnterpriseAuthListDTO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public UnionEnterpriseAuthListDTO setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public UnionEnterpriseAuthListDTO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public UnionEnterpriseAuthListDTO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public UnionEnterpriseAuthListDTO setAddress(String address) {
        this.address = address;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UnionEnterpriseAuthListDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public UnionEnterpriseAuthListDTO setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
        return this;
    }

    public Date getRelieveTime() {
        return relieveTime;
    }

    public UnionEnterpriseAuthListDTO setRelieveTime(Date relieveTime) {
        this.relieveTime = relieveTime;
        return this;
    }

    public Date getLastRelieveTime() {
        return lastRelieveTime;
    }

    public UnionEnterpriseAuthListDTO setLastRelieveTime(Date lastRelieveTime) {
        this.lastRelieveTime = lastRelieveTime;
        return this;
    }

    public Integer getRelieveEffectDate() {
        return relieveEffectDate;
    }

    public UnionEnterpriseAuthListDTO setRelieveEffectDate(Integer relieveEffectDate) {
        this.relieveEffectDate = relieveEffectDate;
        return this;
    }

    public String getStartRelieveTime() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        if (relieveTime != null && relieveEffectDate != null) {
            Calendar calendar = Calendar.getInstance();
            calendar.setTime(relieveTime);
            calendar.add(Calendar.DAY_OF_YEAR, relieveEffectDate);

            return sdf.format(calendar.getTime());
        }
        return startRelieveTime;
    }

    public UnionEnterpriseAuthListDTO setStartRelieveTime(String startRelieveTime) {
        this.startRelieveTime = startRelieveTime;
        return this;
    }

    public List<UnionEnterpriseAuthResDetailDTO> getUnionEnterpriseResourceList() {
        return unionEnterpriseResourceList;
    }

    public UnionEnterpriseAuthListDTO setUnionEnterpriseResourceList(List<UnionEnterpriseAuthResDetailDTO> unionEnterpriseResourceList) {
        this.unionEnterpriseResourceList = unionEnterpriseResourceList;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public UnionEnterpriseAuthListDTO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthListDTO{" +
                "userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", address='" + address + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                ", statusFlag=" + statusFlag +
                ", relieveTime=" + relieveTime +
                ", lastRelieveTime=" + lastRelieveTime +
                ", relieveEffectDate=" + relieveEffectDate +
                ", startRelieveTime='" + startRelieveTime + '\'' +
                ", unionEnterpriseResourceList=" + unionEnterpriseResourceList +
                '}';
    }
}
