package com.gic.enterprise.dto.union;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
/**
 * 联合商户授权资源
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 7:51 PM 
 */
public class UnionEnterpriseAuthResDTO implements Serializable{
    private static final long serialVersionUID = 2861920176711536732L;

    /**
     * 自有商户ID
     */
    @NotNull(message = "自有商户不能为空")
    private Integer ownEnterpriseId;

    /**
     * 联合商户ID
     */
    @NotNull(message = "联合商户不能为空")
    private Integer unionEnterpriseId;

    /**
     * 资源组ID
     */
    @NotNull(message = "资源组不能为空")
    private Integer resourceGroupId;

    /**
     * 受审组，多选，英文逗号隔开
     */
    private String auditeeGroup;

    /**
     * 账号分组，多选，英文逗号隔开
     */
    private String accountGroup;

    /**
     * 数据加密字段 1：用户手机号、卡号 2:用户收获地址 。多选，英文逗号隔开
     */
    private String dataEncryField;

    /**
     * 用户修改权限 1：用户归属修改权限 2:用户等级修改权限 3:用户积分修改权限 4:用户手机号修改权限 。多选，英文逗号隔开
     */
    private String userEditAuth;

    /**
     * 白名单用户授权 1:是 0:否
     */
    private Integer whiteListAuth;

    public Integer getOwnEnterpriseId() {
        return ownEnterpriseId;
    }

    public UnionEnterpriseAuthResDTO setOwnEnterpriseId(Integer ownEnterpriseId) {
        this.ownEnterpriseId = ownEnterpriseId;
        return this;
    }

    public Integer getUnionEnterpriseId() {
        return unionEnterpriseId;
    }

    public UnionEnterpriseAuthResDTO setUnionEnterpriseId(Integer unionEnterpriseId) {
        this.unionEnterpriseId = unionEnterpriseId;
        return this;
    }

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public UnionEnterpriseAuthResDTO setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getAuditeeGroup() {
        return auditeeGroup;
    }

    public UnionEnterpriseAuthResDTO setAuditeeGroup(String auditeeGroup) {
        this.auditeeGroup = auditeeGroup;
        return this;
    }

    public String getAccountGroup() {
        return accountGroup;
    }

    public UnionEnterpriseAuthResDTO setAccountGroup(String accountGroup) {
        this.accountGroup = accountGroup;
        return this;
    }

    public String getDataEncryField() {
        return dataEncryField;
    }

    public UnionEnterpriseAuthResDTO setDataEncryField(String dataEncryField) {
        this.dataEncryField = dataEncryField;
        return this;
    }

    public String getUserEditAuth() {
        return userEditAuth;
    }

    public UnionEnterpriseAuthResDTO setUserEditAuth(String userEditAuth) {
        this.userEditAuth = userEditAuth;
        return this;
    }

    public Integer getWhiteListAuth() {
        return whiteListAuth;
    }

    public UnionEnterpriseAuthResDTO setWhiteListAuth(Integer whiteListAuth) {
        this.whiteListAuth = whiteListAuth;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthResDTO{" +
                "ownEnterpriseId=" + ownEnterpriseId +
                ", unionEnterpriseId=" + unionEnterpriseId +
                ", resourceGroupId=" + resourceGroupId +
                ", auditeeGroup='" + auditeeGroup + '\'' +
                ", accountGroup='" + accountGroup + '\'' +
                ", dataEncryField='" + dataEncryField + '\'' +
                ", userEditAuth='" + userEditAuth + '\'' +
                ", whiteListAuth=" + whiteListAuth +
                '}';
    }
}
