package com.gic.enterprise.dto.union;

import java.io.Serializable;
import java.util.Date;

/**
 * 联合商户资源详情
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 8:35 PM 
 */
public class UnionEnterpriseAuthResDetailDTO implements Serializable{
    private static final long serialVersionUID = -4919487387076228142L;
    /**
     * id
     */
    private Integer unionEnterpriseAuthResDetailId;

    /**
     * 联合商户授权主键ID，关联字段
     */
    private Integer unionEnterpriseAuthId;

    /**
     * 1:用户域资源 2:门店资源 3:商品资源
     */
    private Integer resourceType;

    /**
     * 授权状态 1:未授权 2:资源处理中 3:已授权 4:授权失败 5:部分失败 6:等待解除 7:资源解除中 8:已解除联合
     */
    private Integer authStatus;

    /**
     * 授权备注
     */
    private String remark;

    /**
     * 资源授权的key值，只保留最新授权的key值.用于重新授权
     */
    private String authKey;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    public Integer getUnionEnterpriseAuthResDetailId() {
        return unionEnterpriseAuthResDetailId;
    }

    public UnionEnterpriseAuthResDetailDTO setUnionEnterpriseAuthResDetailId(Integer unionEnterpriseAuthResDetailId) {
        this.unionEnterpriseAuthResDetailId = unionEnterpriseAuthResDetailId;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public UnionEnterpriseAuthResDetailDTO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public Integer getResourceType() {
        return resourceType;
    }

    public UnionEnterpriseAuthResDetailDTO setResourceType(Integer resourceType) {
        this.resourceType = resourceType;
        return this;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public UnionEnterpriseAuthResDetailDTO setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public UnionEnterpriseAuthResDetailDTO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public String getAuthKey() {
        return authKey;
    }

    public UnionEnterpriseAuthResDetailDTO setAuthKey(String authKey) {
        this.authKey = authKey;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UnionEnterpriseAuthResDetailDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public UnionEnterpriseAuthResDetailDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public UnionEnterpriseAuthResDetailDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthResDetailDTO{" +
                "unionEnterpriseAuthResDetailId=" + unionEnterpriseAuthResDetailId +
                ", unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                ", resourceType=" + resourceType +
                ", authStatus=" + authStatus +
                ", remark='" + remark + '\'' +
                ", authKey='" + authKey + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteFlag=" + deleteFlag +
                '}';
    }
}