package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.AppletWechatMenuDTO;

import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * 自定义菜单接口
 * @ClassName: AppletWechatMenuApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/28 10:50 AM 
 */
public interface AppletWechatMenuApiService {

    /**
     * save
     * @Title: save
     * @Description: 
     * @author taogs 
     * @param dto
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws  Exception
     */
    @Deprecated
    ServiceResponse<Integer> save(AppletWechatMenuDTO dto) throws Exception;

    /**
     * 新增（校验参数之后）
     * @Title: saveOfHasValid 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveOfHasValid(AppletWechatMenuDTO dto);

    /**
     * deleteWechatMenu
     * @Title: deleteWechatMenu
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param appKey
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> deleteWechatMenu(Integer enterpriseId, String appKey);

    /**
     * 编辑
     * @Title: edit 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
     * @throws Exception
      */
    @Deprecated
    ServiceResponse<String> edit(AppletWechatMenuDTO dto) throws Exception;

    /**
     * 删除
     * @Title: deleteByMenuId 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    @Deprecated
    ServiceResponse<String> deleteByMenuId(Integer menuId);

    /**
     * 排序
     * @Title: sort 
     * @Description:
      * @author guojuxing
     * @param menuId
     * @param sort 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    @Deprecated
    ServiceResponse<String> sort(Integer menuId, Integer sort);

    /**
     * 查询列表数据
     * @Title: listAll 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appKey  公众号key
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.AppletWechatMenuDTO>> 
      */
    ServiceResponse<List<AppletWechatMenuDTO>> listAll(Integer enterpriseId, String appKey);

    /**
     * 组装微信自定义菜单json
     * @Title: getWeChatMenuJson 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appKey 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    ServiceResponse<String> getWeChatMenuJson(Integer enterpriseId, String appKey);

    /**
     * 详情
     * @Title: getDetail 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AppletWechatMenuDTO> 
      */
    ServiceResponse<AppletWechatMenuDTO> getDetail(Integer menuId);
}
