package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.AuditLogDTO;
import com.gic.enterprise.qo.AuditLogQO;

/**
 * 审批日志
 * @ClassName: AuditLogApiService
 * @Description:
 * @author zhiwj
 * @date 2019-10-24 19:05
 */
public interface AuditLogApiService {

    /**
     * 发起申请
     * @Title: apply
     * @Description:
     * @author zhiwj
     * @param auditLogDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> apply(AuditLogDTO auditLogDTO);

    /**
     * 审批
     * @Title: audit
     * @Description:
     * @author zhiwj
     * @param auditLogDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<AuditLogDTO> audit(AuditLogDTO auditLogDTO);

    /**
     * 查询审批详情
     * @Title: getAudit
     * @Description:
     * @author zhiwj
     * @param auditLogId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AuditLogDTO>
     * @throws
     */
    ServiceResponse<AuditLogDTO> getAuditLog(Integer auditLogId);

    /**
     * 查询日志列表
     * @Title: listAuditLog
     * @Description:
     * @author zhiwj
     * @param auditLogQO
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.AuditLogDTO>>
     * @throws
     */
    ServiceResponse<Page<AuditLogDTO>> listAuditLog(AuditLogQO auditLogQO);

    /**
     * 关闭
     * @param auditLogId
     * @return
     */
    ServiceResponse<Void> closeAuditLog(Integer auditLogId);
}
