package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BillingOrderDTO;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.dto.SmsPackageOrderItemDTO;

/**
 * 订单
 * @ClassName: OrderApiService
 * @Description:
 * @author zhiwj
 * @date 2019/8/14 15:27
 */
public interface BillingOrderApiService {

    /**
     * saveSmsOrderBuyNow 
     * @Title: saveSmsOrderBuyNow
     * @Description: 
     * @author taogs 
     * @param billingOrderDTO
     * @param smsPackageOrderItemDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> saveSmsOrderBuyNow(BillingOrderDTO billingOrderDTO, SmsPackageOrderItemDTO smsPackageOrderItemDTO);
    /**
     * paySmsPackageOrder
     * @Title: paySmsPackageOrder
     * @Description: 
     * @author taogs 
 * @param enterpriseId
 * @param orderId
 * @param payType
 * @param authCode
 * @param userName
 * @param userId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingPayInfoDTO>
     * @throws 
     */
    ServiceResponse<BillingPayInfoDTO> paySmsPackageOrder(Integer enterpriseId, Integer orderId, Integer payType, String authCode, String userName, Integer userId);

    /**
     * listOrder
     * @Title: listOrder
     * @Description: 
     * @author taogs 
 * @param startTime
 * @param endTime
 * @param orderStatus
 * @param search
 * @param pageNum
 * @param pageSize
 * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.BillingOrderDTO>>
     * @throws 
     */
    ServiceResponse<Page<BillingOrderDTO>> listOrder(String startTime, String endTime, Integer orderStatus,
                                                     String search, int pageNum, int pageSize, Integer enterpriseId);

    /**
     * 通过id查询订单详情
     * @Title: getOrderById
     * @Description: 
     * @author zhiwj 
     * @param orderId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingOrderDTO>
     * @throws 
     */
    ServiceResponse<BillingOrderDTO> getOrderById(Integer orderId);

    /**
     * 通过流水号查询订单详情
     * @Title: getOrderBySerialNumber
     * @Description: 
     * @author zhiwj 
     * @param serialNumber
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingOrderDTO>
     * @throws 
     */
    ServiceResponse<BillingOrderDTO> getOrderBySerialNumber(String serialNumber);
    
    /**
     * 取消申请
     * @Title: cancelOrderApproval
     * @Description: 
     * @author zhiwj 
     * @param orderId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> cancelOrderApproval(Integer orderId);
}
