package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BillingRechargeRecordDTO;
import com.gic.enterprise.qo.RechargeRecordQO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/15 17:11
 */
public interface BillingRechargeRecordApiService {

    /**
     * listRechargeRecord 
     * @Title: listRechargeRecord
     * @Description: 
     * @author taogs 
     * @param rechargeRecordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.BillingRechargeRecordDTO>>
     * @throws 
     */
    ServiceResponse<Page<BillingRechargeRecordDTO>> listRechargeRecord(RechargeRecordQO rechargeRecordQO);

   /**
    * getRechargeRecord 
    * @Title: getRechargeRecord
    * @Description: 
    * @author taogs 
    * @param rechargeRecordId
    * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingRechargeRecordDTO>
    * @throws 
    */
    ServiceResponse<BillingRechargeRecordDTO> getRechargeRecord(Integer rechargeRecordId);

    /**
     * getRechargeRecordForApproval
     * @Title: getRechargeRecordForApproval
     * @Description: 
     * @author taogs 
 * @param serialNumber
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingRechargeRecordDTO>
     * @throws 
     */
    ServiceResponse<BillingRechargeRecordDTO> getRechargeRecordForApproval(String serialNumber);

    /**
     *  取消
     * @Title: cancelRechargeApproval
     * @Description:
     * @author zhiwj
     * @param rechargeRecordId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingRechargeRecordDTO>
     * @throws
     */
    ServiceResponse<Integer> cancelRechargeApproval(Integer rechargeRecordId);
}
