package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BlackListDTO;

import java.util.List;

/**
 * 达摩情报销商户黑名单
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 3:41 PM 
 */
public interface BlackListApiService {

    /**
     * 新增黑名单
     * @return
     */
    ServiceResponse<Void> saveBlackList(Integer enterpriseId);

    /**
     * 解除黑名单
     * @param blackListId
     * @return
     */
    ServiceResponse<Void> deleteBlackList(Integer blackListId);

    /**
     * 分页查询
     * @param search 商户名称/公司名称
     * @param pageNum 默认1
     * @param pageSize 默认20
     * @return
     */
    ServiceResponse<Page<BlackListDTO>> pageBlackList(String search, Integer pageNum, Integer pageSize);

    /**
     * 查询黑名单的商户列表
     * @return
     */
    ServiceResponse<List<Integer>> getBlankListEnterprise();
}
