package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.CustomGuideDTO;
import com.gic.enterprise.dto.GuideTypeDTO;

import java.util.List;
import java.util.Map;
/**
 *
 * @ClassName: CustomGuideApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:23
 */
public interface CustomGuideApiService {
    /**
     * getMaxVersion
     * @Title: getMaxVersion
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> getMaxVersion(Integer enterpriseId, String appid);
    /**
     * listGuide
     * @Title: listGuide
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.CustomGuideDTO>>
     * @throws
     */
    ServiceResponse<List<CustomGuideDTO>> listGuide(Integer enterpriseId, String appid);
    /**
     * listGuide
     * @Title: listGuide
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param version
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.CustomGuideDTO>>
     * @throws
     */
    ServiceResponse<List<CustomGuideDTO>> listGuide(Integer enterpriseId, Integer version, String appid);
    /**
     * saveGuide
     * @Title: saveGuide
     * @Description:
     * @author taogs
     * @param listGuide
     * @param isNeedNewVersion
     * @param enterpriseId
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveGuide(List<CustomGuideDTO> listGuide, boolean isNeedNewVersion, Integer enterpriseId, String appid);
    /**
     * listGuideType
     * @Title: listGuideType
     * @Description:
     * @author taogs
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.GuideTypeDTO>>
     * @throws
     */
    ServiceResponse<List<GuideTypeDTO>> listGuideType();
    /**
     * getExtJson
     * @Title: getExtJson
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    ServiceResponse<Map<String, Object>> getExtJson(Integer enterpriseId, String appid);
}
