package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;

import java.util.Map;

public interface CustomSettingApiService {
    /**
     * save
     * @Title: save
     * @Description:   保存
     * @author taogs 
     * @param tableName
     * @param params
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.String>
     * @throws 
     */
    ServiceResponse<String> save(String tableName, String params);

    /**
     * getDetail
     * @Title: getDetail
     * @Description:   查询详情
     * @author taogs
     * @param tableName
     * @param searchParams
     * @return com.gic.api.base.commons.ServiceResponse<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    ServiceResponse<Map<String, Object>> getDetail(String tableName, String searchParams);

    /**
     * getDetail
     * @Title: getDetail
     * @Description:   查询详情
     * @author taogs
     * @param tableName
     * @param searchParamMap
     * @return com.gic.api.base.commons.ServiceResponse<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    ServiceResponse<Map<String, Object>> getDetail(String tableName, Map<String, Object> searchParamMap);

    /**
     * getDetail
     * @Title: getDetail
     * @Description:   查询详情
     * @author taogs
     * @param tableName
     * @param fieldKey
     * @param value
     * @return com.gic.api.base.commons.ServiceResponse<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    ServiceResponse<Map<String, Object>> getDetail(String tableName, String fieldKey, Object value);

    /**
     * getDetail
     * @Title: getDetail
     * @Description:   查询详情
     * @author taogs
     * @param tableName
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    ServiceResponse<Map<String, Object>> getDetailByPrimaryKey(String tableName, String id);


    /**
     * page
     * @Title: page
     * @Description: 
     * @author taogs 
     * @param tableName
     * @param searchParams
     * @param currentPage
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<java.util.Map<java.lang.String,java.lang.Object>>>
     * @throws 
     */
    ServiceResponse<Page<Map>> page(String tableName, String searchParams, Integer currentPage, Integer pageSize);

    /**
     * page
     * @Title: page
     * @Description:
     * @author taogs
     * @param tableName
     * @param searchParamMap
     * @param currentPage
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<java.util.Map<java.lang.String,java.lang.Object>>>
     * @throws
     */
    ServiceResponse<Page<Map>> page(String tableName, Map<String, Object> searchParamMap, Integer currentPage, Integer pageSize);

    /**
     * delete
     * @Title: delete
     * @Description:   删除
     * @author taogs
     * @param tableName
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> delete(String tableName, String id);
}
