package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.CustomStoreDTO;
/**
 *
 * @ClassName: CustomStoreApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:23
 */
public interface CustomStoreApiService {
    /**
     * saveCustomStore
     * @Title: saveCustomStore
     * @Description:
     * @author taogs
     * @param customStoreDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveCustomStore(CustomStoreDTO customStoreDTO);
    /**
     * pageCustomStore
     * @Title: pageCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param search
     * @param appid
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.CustomStoreDTO>>
     * @throws
     */
    ServiceResponse<Page<CustomStoreDTO>> pageCustomStore(Integer enterpriseId, String search, String appid, Integer pageNum, Integer pageSize);
    /**
     * deleteCustomStore
     * @Title: deleteCustomStore
     * @Description:
     * @author taogs
     * @param customStoreId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> deleteCustomStore(Integer customStoreId);
    /**
     * getCustomStore
     * @Title: getCustomStore
     * @Description:
     * @author taogs
     * @param customStoreId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.CustomStoreDTO>
     * @throws
     */
    ServiceResponse<CustomStoreDTO> getCustomStore(Integer customStoreId);
    /**
     * openCustomStore
     * @Title: openCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @param customStoreId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> openCustomStore(Integer enterpriseId, String appid, Integer customStoreId);
    /**
     * closeCustomStore
     * @Title: closeCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> closeCustomStore(Integer enterpriseId, String appid);
    /**
     * closeCustomStore
     * @Title: closeCustomStore
     * @Description:
     * @author taogs
     * @param customStoreId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> closeCustomStore(Integer customStoreId);
    /**
     * getCustomStore
     * @Title: getCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.CustomStoreDTO>
     * @throws
     */
    ServiceResponse<CustomStoreDTO> getCustomStore(Integer enterpriseId, String appid);
    /**
     * customSettingHasCommpleted
     * @Title: customSettingHasCommpleted
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> customSettingHasCommpleted(Integer enterpriseId);
}
