package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.EnterpriseWhiteListDTO;
/**
 *
 * @ClassName: EnterpriseWhiteListApiService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:31
 */
public interface EnterpriseWhiteListApiService {


    /**
     * 新增商户白名单
     * @Title: saveEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> saveEnterpriseWhiteList(Integer enterpriseId);

    /**
     * 解除白名单
     * @Title: removeEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> removeEnterpriseWhiteList(Integer enterpriseId);

    /**
     * pageEnterpriseWhiteList 
     * @Title: pageEnterpriseWhiteList
     * @Description: 
     * @author taogs 
     * @param search
     * @param currentPage
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.EnterpriseWhiteListDTO>>
     * @throws 
     */
    ServiceResponse<Page<EnterpriseWhiteListDTO>> pageEnterpriseWhiteList(String search, Integer currentPage, Integer pageSize);

    /**
     * existEnterpriseWhiteList 
     * @Title: existEnterpriseWhiteList
     * @Description: 
     * @author taogs 
 * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Boolean>
     * @throws 
     */
    ServiceResponse<Boolean> existEnterpriseWhiteList(Integer enterpriseId);

    /**
     * 账户余额
     * @Title: getEnterpriseBalance 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Double> 
     */
    ServiceResponse<Double> getEnterpriseBalance(Integer enterpriseId);
}
