package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.AutoRechargeSmsPackageDTO;
import com.gic.enterprise.dto.EnterpriseSmsPackageDTO;
import com.gic.enterprise.dto.PackageDTO;
import com.gic.enterprise.dto.SmsPackageDTO;

import java.text.ParseException;
import java.util.List;
/**
 *
 * @ClassName: PackageApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:25
 */
public interface PackageApiService {

    
    /**
     * listAllPackage 
     * @Title: listAllPackage
     * @Description: 
     * @author taogs 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.PackageDTO>>
     * @throws 
     */
    ServiceResponse<List<PackageDTO>> listAllPackage();

    
    /**
     * listAllSmsPackage 
     * @Title: listAllSmsPackage
     * @Description: 
     * @author taogs 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.SmsPackageDTO>>
     * @throws 
     */
    ServiceResponse<List<SmsPackageDTO>> listAllSmsPackage();

    /**
     * pageEnterpriseSmsPackage 
     * @Title: pageEnterpriseSmsPackage
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param search
     * @param status
     * @param startDate
     * @param endDate
     * @param currentPage
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.EnterpriseSmsPackageDTO>>
     * @throws 
     */
    ServiceResponse<Page<EnterpriseSmsPackageDTO>> pageEnterpriseSmsPackage(Integer enterpriseId, String search, Integer status,
                                                                            String startDate, String endDate, int currentPage, int pageSize);


    /**
     * listAutoRechargeSmsPackage 
     * @Title: listAutoRechargeSmsPackage
     * @Description: 
     * @author taogs 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.AutoRechargeSmsPackageDTO>>
     * @throws 
     */
    ServiceResponse<List<AutoRechargeSmsPackageDTO>> listAutoRechargeSmsPackage();
}
