package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.ProductMarketDTO;
import com.gic.enterprise.qo.ProductMarketQO;

import javax.validation.constraints.NotNull;

/**
 * 达摩产品情报站
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/17 5:11 PM 
 */
public interface ProductMarketApiService {
    /**
     *
     * @param productMarketDTO
     * @return
     */
    ServiceResponse<Void> saveProductMarket(ProductMarketDTO productMarketDTO);

    /**
     * 更新情报
     * @param productMarketDTO
     * @return
     */
    ServiceResponse<Void> updateProductMarket(ProductMarketDTO productMarketDTO);

    /**
     * 删除情报
     * @param productMarketId
     * @return
     */
    ServiceResponse<Void> deleteProductMarket(Integer productMarketId);

    /**
     * 查询情报
     * @param productMarketId
     * @return
     */
    ServiceResponse<ProductMarketDTO> getProductMarket(@NotNull Integer productMarketId);

    /**
     * 分页查询
     * @param params
     * @return
     */
    ServiceResponse<Page<ProductMarketDTO>> pageProductMarket(ProductMarketQO params);

    /**
     * 首页前端是否需要弹窗
     * @param enterpriseId
     * @param userId
     * @return
     */
    ServiceResponse<Boolean> isNeedToPopup(Integer enterpriseId, Integer userId);
}
