package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.ProjectDTO;

import java.util.List;

/**
 * 受审项目
 * @ClassName: ProjectApiService
 * @Description: 受审项目
 * @author zhiwj
 * @date 2019-09-17 9:36
 */
public interface ProjectApiService {

    /**
     * 新增或修改受审项目
     * @Title: saveOrUpdateProject
     * @Description:
     * @author zhiwj
     * @param projectDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveOrUpdateProject(ProjectDTO projectDTO);

    /**
     * 删除项目f
     * @Title: delProject
     * @Description:
     * @author zhiwj
     * @param projectId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> delProject(Integer projectId);

    /**
     * 查询列表
     * @Title: listProject
     * @Description:
     * @author zhiwj
     * @param projectDTO
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.ProjectDTO>>
     * @throws
     */
    ServiceResponse<Page<ProjectDTO>> listProject(ProjectDTO projectDTO, Integer pageNum, Integer pageSize);
    
    /**
     * 查询所有的项目及下面的审批项
     * @Title: listAllProject
     * @Description: 
     * @author zhiwj 
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.ProjectDTO>>
     * @throws 
     */
    ServiceResponse<List<ProjectDTO>> listAllProject();

    /**
     * setProjectSort
     * @Title: setProjectSort
     * @Description:
     * @author zhiwj
     * @param projectId
     * @param seq
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> setProjectSort(Integer projectId, Integer seq);
    
    /**
     * setProjectItemSort
     * @Title: setProjectItemSort
     * @Description: 
     * @author zhiwj 
     * @param projectItemId
     * @param seq
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> setProjectItemSort(Integer projectItemId, Integer seq);
}
