package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.ProjectItemDTO;
import com.gic.enterprise.qo.ProjectItemQO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 10:51
 */
public interface ProjectItemApiService {

    /**
     * 保存审批项
     * @Title: saveOrUpdateProjectItem
     * @Description:
     * @author zhiwj
     * @param projectItemDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveOrUpdateProjectItem(ProjectItemDTO projectItemDTO);

    /**
     * 删除审批项
     * @Title: delProjectItem
     * @Description: 
     * @author zhiwj 
     * @param projectItemId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> delProjectItem(Integer projectItemId);

    /**
     * 查询列表
     * @Title: listProjectItem
     * @Description:
     * @author zhiwj
     * @param projectItemQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.ProjectItemDTO>>
     * @throws
     */
    ServiceResponse<Page<ProjectItemDTO>> listProjectItem(ProjectItemQO projectItemQO);

    /**
     * 查询审批项
     * @Title: getById
     * @Description:
     * @author zhiwj
     * @param projectItemId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.ProjectItemDTO>
     * @throws
     */
    ServiceResponse<ProjectItemDTO> getById(Integer projectItemId);

    /** getByProjectItemCode
     * @Title: getByProjectItemCode
     * @Description:
     * @author zhiwj
     * @param projectItemCode
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.ProjectItemDTO>
     * @throws
     */
    ServiceResponse<ProjectItemDTO> getByProjectItemCode(String projectItemCode);
}
