package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.PushMessageDTO;
import com.gic.enterprise.dto.PushTypeDTO;
import com.gic.enterprise.dto.UserMessageDTO;

import java.util.Date;
/**
 *
 * @ClassName: PushMessageApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:25
 */
public interface PushMessageApiService {

    /**
     * 保存通知类型 
     * @Title: 保存通知类型
     * @Description: 
     * @author taogs 
 * @param pushTypeDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> savePushType(PushTypeDTO pushTypeDTO);


    /**
     * 分页查询 
     * @Title: 分页查询
     * @Description: 
     * @author taogs 
     * @param search
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.PushTypeDTO>>
     * @throws 
     */
    ServiceResponse<Page<PushTypeDTO>> pagePushType(String search, int pageNum, int pageSize);


    /**
     * getPushTypeById 
     * @Title: getPushTypeById
     * @Description: 
     * @author taogs 
     * @param pushTypeId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.PushTypeDTO>
     * @throws 
     */
    ServiceResponse<PushTypeDTO> getPushTypeById(Integer pushTypeId);

    /**
     * deletePushType 
     * @Title: deletePushType
     * @Description: 
     * @author taogs 
     * @param pushTypeId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> deletePushType(Integer pushTypeId);

    /**
     * savePushMessage 
     * @Title: savePushMessage
     * @Description: 
     * @author taogs 
     * @param pushMessageDTO
     * @param saveType
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> savePushMessage(PushMessageDTO pushMessageDTO, int saveType);

    /**
     * pagePushMessage 
     * @Title: pagePushMessage
     * @Description: 
     * @author taogs 
     * @param search
     * @param pushStatus
     * @param startTime
     * @param endTime
     * @param pageNum
     * @param pageSize
     * @param pushClassifyId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.PushMessageDTO>>
     * @throws 
     */
    ServiceResponse<Page<PushMessageDTO>> pagePushMessage(String search, Integer pushStatus, Date startTime,
                                                          Date endTime, Integer pageNum, Integer pageSize, Integer pushClassifyId);


    /**
     * getPushMessageById 
     * @Title: getPushMessageById
     * @Description: 
     * @author taogs 
     * @param messageId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.PushMessageDTO>
     * @throws 
     */
    ServiceResponse<PushMessageDTO> getPushMessageById(Integer messageId);
    /**
     * getUserMessageDetail 
     * @Title: getUserMessageDetail
     * @Description: 
     * @author taogs 
     * @param messageId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.UserMessageDTO>
     * @throws 
     */
    ServiceResponse<UserMessageDTO> getUserMessageDetail(Integer messageId);

    /**
     * deletePushMessage 
     * @Title: deletePushMessage
     * @Description: 
     * @author taogs 
     * @param messageId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> deletePushMessage(Integer messageId);

    /**
     * pushMessageTask 
     * @Title: pushMessageTask
     * @Description: 
     * @author taogs 
     * @param param
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> pushMessageTask(String param);

    /**
     * consumeMessageTask 
     * @Title: consumeMessageTask
     * @Description: 
     * @author taogs 
     * @param param
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> consumeMessageTask(String param);

    /**
     * pageUserMessage 
     * @Title: pageUserMessage
     * @Description: 
     * @author taogs 
     * @param userId
     * @param search
     * @param status
     * @param startTime
     * @param endTime
     * @param pushClassifyId
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.UserMessageDTO>>
     * @throws 
     */
    ServiceResponse<Page<UserMessageDTO>> pageUserMessage(Integer userId, String search, Integer status,
                                                          Date startTime, Date endTime, Integer pushClassifyId,
                                                          Integer pageNum, Integer pageSize);

    
   /**
    * 撤销消息
    * @Title: 撤销消息
    * @Description: 
    * @author taogs 
    * @param messageId
    * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
    * @throws 
    */
    ServiceResponse<Void> recallMessage(Integer messageId);

    
    /**
     * 消息总数
     * @Title: 消息总数
     * @Description:
     * @author taogs
     * @param userId
     * @param search
     * @param status
     * @param startTime
     * @param endTime
     * @param pushClassifyId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> totalUserMessage(Integer userId, String search, Integer status,
                                              Date startTime, Date endTime, Integer pushClassifyId);

   /**
    * 消息推送接口
    * @Title: 消息推送接口
    * @Description:
    * @author taogs
     * @param enterpriseId
     * @param userId
     * @param classify
     * @param title
     * @param content
    * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
    * @throws
    */
    ServiceResponse<Integer> pushUserMessage(Integer enterpriseId, Integer userId, String classify, String title, String content);


    
    /**
     * 商户下所有管理员推送
     * @Title: 商户下所有管理员推送
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param classify
     * @param title
     * @param content
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> pushMessage(Integer enterpriseId, String classify, String title, String content);

    /**
     * 标记为已读
     * @Title: 标记为已读
     * @Description: 
     * @author taogs 
     * @param userId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> readAll(Integer userId);

   /**
    * readMessage
    * @Title: readMessage
    * @Description: 
    * @author taogs 
 * @param messageId
    * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
    * @throws 
    */
    ServiceResponse<Integer> readMessage(Integer messageId);

}
