package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.*;

import java.util.List;
/**
 *
 * @ClassName: QrCodeApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:26
 */
public interface QrCodeApiService {
    
    /**
     * listQrCodeScenesClassify
     * @Title: listQrCodeScenesClassify
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.QrcodeScenesClassifyDTO>>
     * @throws 
     */
    ServiceResponse<List<QrcodeScenesClassifyDTO>> listQrCodeScenesClassify(Integer enterpriseId);
    /**
     * saveQrCodeScenesClassify
     * @Title: saveQrCodeScenesClassify
     * @Description:
     * @author taogs
     * @param classifyDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveQrCodeScenesClassify(QrcodeScenesClassifyDTO classifyDTO);
    /**
     * getQrcodeScenesClassify
     * @Title: getQrcodeScenesClassify
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.QrcodeScenesClassifyDTO>
     * @throws
     */
    ServiceResponse<QrcodeScenesClassifyDTO> getQrcodeScenesClassify(Integer id);
    /**
     * deleteQrcodeScenesClassify
     * @Title: deleteQrcodeScenesClassify
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> deleteQrcodeScenesClassify(Integer id);

    
    /**
     * saveQrCodeScenes
     * @Title: saveQrCodeScenes
     * @Description: 
     * @author taogs 
     * @param qrcodeScenesDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> saveQrCodeScenes(QrcodeScenesDTO qrcodeScenesDTO);
    /**
     * pageQrCodeScenes
     * @Title: pageQrCodeScenes
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param search
     * @param classifyId
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.QrcodeScenesDTO>>
     * @throws
     */
    ServiceResponse<Page<QrcodeScenesDTO>> pageQrCodeScenes(Integer enterpriseId, String search,
                                                            Integer classifyId, int pageNum, int pageSize);
    /**
     * getQrcodeScenesById
     * @Title: getQrcodeScenesById
     * @Description:
     * @author taogs
     * @param scenedId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.QrcodeScenesDTO>
     * @throws
     */
    ServiceResponse<QrcodeScenesDTO> getQrcodeScenesById(Integer scenedId);
    /**
     * openScenesStatus
     * @Title: openScenesStatus
     * @Description:
     * @author taogs
     * @param scenesId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> openScenesStatus(Integer scenesId);
    /**
     * closeScenesStatus
     * @Title: closeScenesStatus
     * @Description:
     * @author taogs
     * @param scenesId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> closeScenesStatus(Integer scenesId);
    /**
     * deleteScenes
     * @Title: deleteScenes
     * @Description:
     * @author taogs
     * @param scenesId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> deleteScenes(Integer scenesId);
    /**
     * saveScenesValue
     * @Title: saveScenesValue
     * @Description:
     * @author taogs
     * @param qrcodeScenesValueDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveScenesValue(QrcodeScenesValueDTO qrcodeScenesValueDTO);
    /**
     * pageQrCodeScenesValue
     * @Title: pageQrCodeScenesValue
     * @Description:
     * @author taogs
     * @param search
     * @param scenesId
     * @param enterpriseId
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.QrcodeScenesValueDTO>>
     * @throws
     */
    ServiceResponse<Page<QrcodeScenesValueDTO>> pageQrCodeScenesValue(String search, Integer scenesId,
                                                                      Integer enterpriseId, int pageNum, int pageSize);
    /**
     * deleteQrcodeScenesValue
     * @Title: deleteQrcodeScenesValue
     * @Description:
     * @author taogs
     * @param valueId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> deleteQrcodeScenesValue(Integer valueId);
    /**
     * saveQrcodeDownload
     * @Title: saveQrcodeDownload
     * @Description:
     * @author taogs
     * @param qrcodeDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveQrcodeDownload(QrcodeDTO qrcodeDTO);
    /**
     * getQrcodeDownload
     * @Title: getQrcodeDownload
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.QrcodeDTO>
     * @throws
     */
    ServiceResponse<QrcodeDTO> getQrcodeDownload(Integer id);
    /**
     * getQrCodeValueById
     * @Title: getQrCodeValueById
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.QrCodeValueDTO>
     * @throws
     */
    ServiceResponse<QrCodeValueDTO> getQrCodeValueById(String id);
}
