package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 10:12
 */
public interface RiskModeApiService {

    /**
     * 查询风险模式剩余时间
     * @Title: getRiskModeRemainingTime
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param userId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Long>
     * @throws
     */
    ServiceResponse<Long> getRiskModeRemainingTime(Integer enterpriseId, Integer userId);

    /**
     * 校验风险模式
     * @Title: checkRiskMode
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param userId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Long>
     * @throws
     */
    ServiceResponse<Void> checkRiskMode(Integer enterpriseId, Integer userId);

    /**
     * 审批的回调
     * @Title: auditCallback
     * @Description:
     * @author zhiwj
     * @param json
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> auditCallback(String json);

    /**
     * 申请风险模式
     * @Title: applyRiskMode
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param userId
     * @param duration
     * @param applyReason
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Void> applyRiskMode(Integer enterpriseId, Integer userId, Integer duration, String applyReason);

}
