package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.TableSettingDTO;
import com.gic.enterprise.dto.TableSettingFieldDTO;

import java.util.List;

public interface TableSettingApiService {
    /**
     * saveTableSetting
     * @Title: saveTableSetting
     * @Description:   保存表配置
     * @author taogs
     * @param tableSettingDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<String> saveTableSetting(TableSettingDTO tableSettingDTO);

    /**
     * pageTableSetting
     * @Title: pageTableSetting
     * @Description:   查询表配置
     * @author taogs
     * @param search
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.TableSettingDTO>>
     * @throws
     */
    ServiceResponse<Page<TableSettingDTO>> pageTableSetting(String search, Integer pageNum, Integer pageSize);

    /**
     * getTableSetting
     * @Title: getTableSetting
     * @Description:  获取表详情
     * @author taogs
     * @param tableId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.TableSettingDTO>
     * @throws
     */
    ServiceResponse<TableSettingDTO> getTableSetting(Integer tableId);
    /**
     * delTableSetting
     * @Title: delTableSetting
     * @Description:  删除表配置
     * @author taogs
     * @param tableId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delTableSetting(Integer tableId);

    /**
     * saveTableField
     * @Title: saveTableField
     * @Description:   保存字段
     * @author taogs
     * @param fieldDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveTableField(TableSettingFieldDTO fieldDTO);

    /**
     * listTableField
     * @Title: listTableField
     * @Description:  查询表字段
     * @author taogs
     * @param tableId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.TableSettingFieldDTO>>
     * @throws
     */
    ServiceResponse<List<TableSettingFieldDTO>> listTableField(Integer tableId);

    /**
     * delField
     * @Title: delField
     * @Description:  删除字段
     * @author taogs
     * @param fieldId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delField(Integer fieldId);
}
