package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletCustomPage;
import com.gic.enterprise.qo.AppletPageQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabAppletCustomPageMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:36
 */
public interface TabAppletCustomPageMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletCustomPage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletCustomPage record);

    /**
     * 根据主键查询
     *
     * @param pageId 主键
     * @return 实体对象
     */
    TabAppletCustomPage selectByPrimaryKey(Integer pageId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletCustomPage record);

    /**
     * 根据主键更新记录，包括二进制大对象
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeyWithBlobs(TabAppletCustomPage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletCustomPage record);

    /**
     * 根据参数查询
     * @Title: listByParams 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletCustomPage> 
      */
    List<TabAppletCustomPage> listByParams(AppletPageQO params);

    /**
     * 关闭状态
     * @Title: disableFetch 
     * @Description:
      * @author guojuxing 
     * @param enterpriseId
     * @param appType 1：小程序 2：服务号
     * @param appId 小程序/服务号的ID
     * @param pageType  AppletPageTypeEnum枚举
     * @return  int 
      */
    int disableFetch(@Param("enterpriseId") Integer enterpriseId, @Param("appType") Integer appType,
            @Param("appId") String appId, @Param("pageType") Integer pageType);

    /**
     * 查询发布状态的记录
     * @Title: getOnlyOnePage 
     * @Description:
      * @author guojuxing 
     * @param enterpriseId
     * @param appType 1：小程序 2：服务号
     * @param appId 小程序/服务号的ID
     * @param pageType  AppletPageTypeEnum枚举
     * @return  com.gic.enterprise.entity.TabAppletCustomPage 
      */
    List<TabAppletCustomPage> listEnablePage(@Param("enterpriseId") Integer enterpriseId, @Param("appType") Integer appType,
            @Param("appId") String appId, @Param("pageType") Integer pageType);
    /**
     * count
     * @Title: count
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appType
     * @param appId
     * @param pageType
     * @return int
     * @throws
     */
    int count(@Param("enterpriseId") Integer enterpriseId, @Param("appType") Integer appType,
            @Param("appId") String appId, @Param("pageType") Integer pageType);
    /**
     * getDefault
     * @Title: getDefault
     * @Description:
     * @author taogs
     * @param pageType
     * @return com.gic.enterprise.entity.TabAppletCustomPage
     * @throws
     */
    TabAppletCustomPage getDefault(@Param("pageType") Integer pageType);
    /**
     * deleteFetch
     * @Title: deleteFetch
     * @Description:
     * @author taogs
     * @param pageIdList
     * @return void
     * @throws
     */
    void deleteFetch(@Param("list") List<Integer> pageIdList);
}