package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletDecorationConfig;
import org.apache.ibatis.annotations.Param;
/**
 *
 * @ClassName: TabAppletDecorationConfigMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:36
 */
public interface TabAppletDecorationConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletDecorationConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletDecorationConfig record);

    /**
     * 根据主键查询
     *
     * @param configId 主键
     * @return 实体对象
     */
    TabAppletDecorationConfig selectByPrimaryKey(Integer configId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletDecorationConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletDecorationConfig record);

    /**
     * getByAppId
     * @Title: getByAppId
     * @Description: 
     * @author taogs 
 * @param appId
 * @param enterpriseId
     * @return com.gic.enterprise.entity.TabAppletDecorationConfig
     * @throws 
     */
    TabAppletDecorationConfig getByAppId(@Param("appId") String appId, @Param("enterpriseId") Integer enterpriseId);
}