package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletServiceConfig;
import com.gic.enterprise.qo.AppletServiceConfigQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: TabAppletServiceConfigMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:36
 */
public interface TabAppletServiceConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletServiceConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletServiceConfig record);

    /**
     * 根据主键查询
     *
     * @param appletServiceId 主键
     * @return 实体对象
     */
    TabAppletServiceConfig selectByPrimaryKey(Integer appletServiceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletServiceConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletServiceConfig record);
    /**
     * insertList
     * @Title: insertList
     * @Description:
     * @author taogs
     * @param configList
     * @return void
     * @throws
     */
    void insertList(@Param("list") List<TabAppletServiceConfig> configList);
    /**
     * list
     * @Title: list
     * @Description:
     * @author taogs
     * @param appletServiceConfigQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabAppletServiceConfig>
     * @throws
     */
    Page<TabAppletServiceConfig> list(AppletServiceConfigQO appletServiceConfigQO);
    /**
     * delByAppIdList
     * @Title: delByAppIdList
     * @Description:
     * @author taogs
     * @param appIdList
     * @param enterpriseId
     * @param type
     * @return void
     * @throws
     */
    void delByAppIdList(@Param("appIdList") List<String> appIdList, @Param("enterpriseId") Integer enterpriseId, @Param("type") Integer type);
    /**
     * getAppByAppId
     * @Title: getAppByAppId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appId
     * @return com.gic.enterprise.entity.TabAppletServiceConfig
     * @throws
     */
    TabAppletServiceConfig getAppByAppId(@Param("enterpriseId") Integer enterpriseId, @Param("appId") String appId);
    /**
     * getByConfigId
     * @Title: getByConfigId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param configId
     * @return com.gic.enterprise.entity.TabAppletServiceConfig
     * @throws
     */
    TabAppletServiceConfig getByConfigId(@Param("enterpriseId") Integer enterpriseId, @Param("configId") Long configId);
    /**
     * updateTime
     * @Title: updateTime
     * @Description:
     * @author taogs
     * @param appId
     * @param type
     * @param date
     * @return void
     * @throws
     */
    void updateTime(@Param("appId") String appId, @Param("type") int type, @Param("updateTime") Date date);
    /**
     * delByConfigIdList
     * @Title: delByConfigIdList
     * @Description:
     * @author taogs
     * @param configIdList
     * @param enterpriseId
     * @param type
     * @return void
     * @throws
     */
    void delByConfigIdList(@Param("ids") List<Long> configIdList, @Param("enterpriseId") Integer enterpriseId, @Param("type") int type);
}