package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletWechatMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabAppletWechatMenuMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:36
 */
public interface TabAppletWechatMenuMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletWechatMenu record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletWechatMenu record);

    /**
     * 根据主键查询
     *
     * @param menuId 主键
     * @return 实体对象
     */
    TabAppletWechatMenu selectByPrimaryKey(Integer menuId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletWechatMenu record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletWechatMenu record);

    /**
     * listByParentId
     * @Title: listByParentId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param parentId 父级ID
     * @param appKey  公众号key
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletWechatMenu> 
      */
    List<TabAppletWechatMenu> listByParentId(@Param("enterpriseId") Integer enterpriseId,
            @Param("parentId") Integer parentId, @Param("appKey") String appKey);

    /**
     * 用于判断名称是否重复
     * @Title: countByMenuName 
     * @Description: 
      * @author guojuxing 
     * @param menuId
     * @param menuName
     * @param enterpriseId
     * @param appKey 
     * @return  int 
      */
    int countByMenuName(@Param("menuId") Integer menuId, @Param("menuName") String menuName,
            @Param("enterpriseId") Integer enterpriseId, @Param("appKey") String appKey);

    /**
     * 查询
     * @Title: listAll 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appKey  公众号key
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletWechatMenu> 
      */
    List<TabAppletWechatMenu> listAll(@Param("enterpriseId") Integer enterpriseId, @Param("appKey") String appKey);
    /**
     * deleteWechatMenu
     * @Title: deleteWechatMenu
     * @Description: 
     * @author taogs 
 * @param enterpriseId
 * @param appKey
     * @return void
     * @throws 
     */
    void deleteWechatMenu(@Param("enterpriseId") Integer enterpriseId, @Param("appKey") String appKey);
}