package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.AuditLogDTO;
import com.gic.enterprise.entity.TabAuditLog;
import com.gic.enterprise.qo.AuditLogQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 *
 * @ClassName: TabAuditLogMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:37
 */
public interface TabAuditLogMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditLog record);

    /**
     * 根据主键查询
     *
     * @param auditLogId 主键
     * @return 实体对象
     */
    TabAuditLog selectByPrimaryKey(Integer auditLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditLog record);
    /**
     * getLastWaitAuditByApplyUser
     * @Title: getLastWaitAuditByApplyUser
     * @Description:
     * @author taogs
     * @param auditLogDTO
     * @return com.gic.enterprise.entity.TabAuditLog
     * @throws
     */
    TabAuditLog getLastWaitAuditByApplyUser(AuditLogDTO auditLogDTO);
    /**
     * listAuditLog
     * @Title: listAuditLog
     * @Description:
     * @author taogs
     * @param auditLogQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabAuditLog>
     * @throws
     */
    Page<TabAuditLog> listAuditLog(AuditLogQO auditLogQO);
    /**
     * getWaitAuditByProjectItem
     * @Title: getWaitAuditByProjectItem
     * @Description:
     * @author taogs
     * @param projectItemId
     * @param auditExpireTime
     * @return com.gic.enterprise.entity.TabAuditLog
     * @throws
     */
    TabAuditLog getWaitAuditByProjectItem(@Param("projectItemId") Integer projectItemId, @Param("auditExpireTime") Date auditExpireTime);

    /**
     * 查询相同随机ID的列表
     * @param sendRandomId
     * @return
     */
    List<TabAuditLog> listBySendRandomId(@Param("sendRandomId") String sendRandomId);
}