package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingAccount;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabBillingAccountMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:37
 */
public interface TabBillingAccountMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingAccount record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingAccount record);

    /**
     * 根据主键查询
     *
     * @param accountId 主键
     * @return 实体对象
     */
    TabBillingAccount selectByPrimaryKey(Integer accountId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingAccount record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingAccount record);

    /**
     * 根据商户ID查询余额账户
     * @Title: selectByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.enterprise.entity.TabBillingAccount 
      */
    TabBillingAccount selectByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);
    /**
     * updateAccountAfterRechargeOrRefund
     * @Title: updateAccountAfterRechargeOrRefund
     * @Description:
     * @author taogs
     * @param totalFee
     * @param enterpriseId
     * @return int
     * @throws
     */
    int updateAccountAfterRechargeOrRefund(@Param("totalFee") double totalFee, @Param("enterpriseId") Integer enterpriseId);
    /**
     * deductAccount
     * @Title: deductAccount
     * @Description:
     * @author taogs
     * @param totalFee
     * @param enterpriseId
     * @return int
     * @throws
     */
    int deductAccount(@Param("totalFee") double totalFee, @Param("enterpriseId") Integer enterpriseId);

    /**
     * 根据商户ID修改信息
     * @Title: updateByEnterpriseIdSelective 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  int 
      */
    int updateByEnterpriseIdSelective(TabBillingAccount record);
    /**
     * listBillingAccount
     * @Title: listBillingAccount
     * @Description:
     * @author taogs
     * @param enterpriseIdList
     * @return java.util.List<com.gic.enterprise.entity.TabBillingAccount>
     * @throws
     */
    List<TabBillingAccount> listBillingAccount(@Param("enterpriseIdList") List<Integer> enterpriseIdList);
}