package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingCouponCard;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: TabBillingCouponCardMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:37
 */
public interface TabBillingCouponCardMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingCouponCard record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingCouponCard record);

    /**
     * 根据主键查询
     *
     * @param couponCardId 主键
     * @return 实体对象
     */
    TabBillingCouponCard selectByPrimaryKey(Integer couponCardId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingCouponCard record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingCouponCard record);
    /**
     * listBillingCouponCard
     * @Title: listBillingCouponCard
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingCouponCard>
     * @throws 
     */
    Page<TabBillingCouponCard> listBillingCouponCard(@Param("enterpriseId") Integer enterpriseId,
                                                     @Param("startTime") String startTime,
                                                     @Param("endTime") String endTime);

    /**
     * 统计可使用的优惠券
     * @Title: countCoupon 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.lang.Integer 
      */
    Integer countCoupon(@Param("enterpriseId") Integer enterpriseId);
    /**
     * listCoupCardEnabled
     * @Title: listCoupCardEnabled
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param code
     * @return java.util.List<com.gic.enterprise.entity.TabBillingCouponCard>
     * @throws
     */
    List<TabBillingCouponCard> listCoupCardEnabled(@Param("enterpriseId") Integer enterpriseId,
                                                   @Param("code") Integer code);
    /**
     * expireCoupCard
     * @Title: expireCoupCard
     * @Description:
     * @author taogs
     * @return int
     * @throws
     */
    int expireCoupCard();
}