package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingInternationalSmsRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabBillingInternationalSmsRecordMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:38
 */
public interface TabBillingInternationalSmsRecordMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingInternationalSmsRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingInternationalSmsRecord record);

    /**
     * 根据主键查询
     *
     * @param smsRecordId 主键
     * @return 实体对象
     */
    TabBillingInternationalSmsRecord selectByPrimaryKey(Integer smsRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingInternationalSmsRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingInternationalSmsRecord record);

    /**
     * 消费趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);
    /**
     * getFee
     * @Title: getFee
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param dateType
     * @return double
     * @throws
     */
    double getFee(@Param("enterpriseId") Integer enterpriseId, @Param("dateType") Integer dateType);
    /**
     * listInternationalSmsRecord
     * @Title: listInternationalSmsRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingInternationalSmsRecord>
     * @throws
     */
    Page<TabBillingInternationalSmsRecord> listInternationalSmsRecord(RecordQO recordQO);
    /**
     * countInternationalSmsRecord
     * @Title: countInternationalSmsRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return java.lang.Integer
     * @throws
     */
    Integer countInternationalSmsRecord(RecordQO recordQO);
    /**
     * getTotalFee
     * @Title: getTotalFee
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return double
     * @throws
     */
    double getTotalFee(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);
}