package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.entity.TabBillingPayInfo;
import com.gic.enterprise.qo.BillListQueryQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabBillingPayInfoMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:38
 */
public interface TabBillingPayInfoMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingPayInfo record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingPayInfo record);

    /**
     * 根据主键查询
     *
     * @param payInfoId 主键
     * @return 实体对象
     */
    TabBillingPayInfo selectByPrimaryKey(Integer payInfoId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingPayInfo record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingPayInfo record);

    /**
     * 查询为开票单据列表数据
     * @Title: listBill 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.entity.TabBillingPayInfo> 
      */
    List<TabBillingPayInfo> listBill(BillListQueryQO params);
    /**
     * updateBySerialNumber
     * @Title: updateBySerialNumber
     * @Description:
     * @author taogs
     * @param tabBillingPayInfo
     * @return int
     * @throws
     */
    int updateBySerialNumber(TabBillingPayInfo tabBillingPayInfo);
    /**
     * getBySerialNumber
     * @Title: getBySerialNumber
     * @Description:
     * @author taogs
     * @param serialNumber
     * @return com.gic.enterprise.entity.TabBillingPayInfo
     * @throws
     */
    TabBillingPayInfo getBySerialNumber(@Param("serialNumber") String serialNumber);
    /**
     * getByOrderSerialNumber
     * @Title: getByOrderSerialNumber
     * @Description:
     * @author taogs
     * @param payInfo
     * @return com.gic.enterprise.entity.TabBillingPayInfo
     * @throws
     */
    TabBillingPayInfo getByOrderSerialNumber(TabBillingPayInfo payInfo);
    /**
     * cancelPay
     * @Title: cancelPay
     * @Description:
     * @author taogs
     * @param payInfoDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer cancelPay(BillingPayInfoDTO payInfoDTO);
    /**
     * delOtherPayInfoExceptId
     * @Title: delOtherPayInfoExceptId
     * @Description:
     * @author taogs
     * @param payInfoId
     * @param enterpriseId
     * @param orderSerialNumber
     * @return void
     * @throws
     */
    void delOtherPayInfoExceptId(@Param("payInfoId") Integer payInfoId, @Param("enterpriseId") Integer enterpriseId, @Param("orderSerialNumber") String orderSerialNumber);
    /**
     * 开票修改为已开票状态
     * @Title: updateInvoiceStatus 
     * @Description:
      * @author guojuxing
     * @param serialNumbers 
     * @return  void 
      */
    void updateInvoiceStatus(@Param("serialNumbers") String serialNumbers);

    /**
     * 根据支付流水号查询支付信息
     * @Title: getPayInfoBySerialNumber 
     * @Description:
      * @author guojuxing
     * @param serialNumber 
     * @return  com.gic.enterprise.entity.TabBillingPayInfo 
      */
    TabBillingPayInfo getPayInfoBySerialNumber(@Param("serialNumber") String serialNumber);
}