package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingRechargeRecord;
import com.gic.enterprise.qo.RechargeRecordQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;
/**
 *
 * @ClassName: TabBillingRechargeRecordMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:38
 */
public interface TabBillingRechargeRecordMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingRechargeRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingRechargeRecord record);

    /**
     * 根据主键查询
     *
     * @param rechargeRecordId 主键
     * @return 实体对象
     */
    TabBillingRechargeRecord selectByPrimaryKey(Integer rechargeRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingRechargeRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingRechargeRecord record);
    /**
     * listRechargeRecord
     * @Title: listRechargeRecord
     * @Description:
     * @author taogs
     * @param rechargeRecordQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingRechargeRecord>
     * @throws
     */
    Page<TabBillingRechargeRecord> listRechargeRecord(RechargeRecordQO rechargeRecordQO);
    /**
     * updateBySerialNumber
     * @Title: updateBySerialNumber
     * @Description:
     * @author taogs
     * @param orderSerialNumber
     * @param totalFeePaid
     * @param auditStatus
     * @param timeEnd
     * @param onlineSerialNumber
     * @return void
     * @throws
     */
    void updateBySerialNumber(@Param("orderSerialNumber") String orderSerialNumber, @Param("totalFeePaid") Double totalFeePaid, @Param("auditStatus") Integer auditStatus, @Param("timeEnd") String timeEnd, @Param("onlineSerialNumber") String onlineSerialNumber);
    /**
     * getAuditingRechargeRecord
     * @Title: getAuditingRechargeRecord
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return com.gic.enterprise.entity.TabBillingRechargeRecord
     * @throws
     */
    TabBillingRechargeRecord getAuditingRechargeRecord(@Param("enterpriseId") Integer enterpriseId);
    /**
     * getRechargeRecordBySerialNumber
     * @Title: getRechargeRecordBySerialNumber
     * @Description:
     * @author taogs
     * @param serialNumber
     * @return com.gic.enterprise.entity.TabBillingRechargeRecord
     * @throws
     */
    TabBillingRechargeRecord getRechargeRecordBySerialNumber(@Param("serialNumber") String serialNumber);


}