package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingRefund;
import com.gic.enterprise.qo.RefundQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;
/**
 *
 * @ClassName: TabBillingRefundMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:39
 */
public interface TabBillingRefundMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingRefund record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingRefund record);

    /**
     * 根据主键查询
     *
     * @param refundId 主键
     * @return 实体对象
     */
    TabBillingRefund selectByPrimaryKey(Integer refundId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingRefund record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingRefund record);
    /**
     * getRefund
     * @Title: getRefund
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param refundSerialNumber
     * @param requestCode
     * @return com.gic.enterprise.entity.TabBillingRefund
     * @throws
     */
    TabBillingRefund getRefund(@Param("enterpriseId") Integer enterpriseId, @Param("refundSerialNumber") String refundSerialNumber, @Param("requestCode") String requestCode);
    /**
     * getTotalRefundFee
     * @Title: getTotalRefundFee
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param orderSerialNumber
     * @param requestCode
     * @return java.lang.Double
     * @throws
     */
    Double getTotalRefundFee(@Param("enterpriseId") Integer enterpriseId, @Param("orderSerialNumber") String orderSerialNumber, @Param("requestCode") String requestCode);
    /**
     * listRefund
     * @Title: listRefund
     * @Description:
     * @author taogs
     * @param refundQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingRefund>
     * @throws
     */
    Page<TabBillingRefund> listRefund(RefundQO refundQO);
}