package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingVoiceCodeRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabBillingVoiceCodeRecordMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:39
 */
public interface TabBillingVoiceCodeRecordMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingVoiceCodeRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingVoiceCodeRecord record);

    /**
     * 根据主键查询
     *
     * @param voiceCodeRecordId 主键
     * @return 实体对象
     */
    TabBillingVoiceCodeRecord selectByPrimaryKey(Integer voiceCodeRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingVoiceCodeRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingVoiceCodeRecord record);

    /**
     * 消费趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);

    /**
     * 查询本月或者上月的消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(@Param("enterpriseId") Integer enterpriseId, @Param("dateType") Integer dateType);
    /**
     * listVoiceCodeRecord
     * @Title: listVoiceCodeRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingVoiceCodeRecord>
     * @throws
     */
    Page<TabBillingVoiceCodeRecord> listVoiceCodeRecord(RecordQO recordQO);
    /**
     * countVoiceCodeRecord
     * @Title: countVoiceCodeRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return java.lang.Integer
     * @throws
     */
    Integer countVoiceCodeRecord(RecordQO recordQO);
    /**
     * getTotalFee
     * @Title: getTotalFee
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return double
     * @throws
     */
    double getTotalFee(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);
}