package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBlackList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 达摩情报商户黑名单
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 4:05 PM 
 */
public interface TabBlackListMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBlackList record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBlackList record);

    /**
     * 根据主键查询
     *
     * @param blackListId 主键
     * @return 实体对象
     */
    TabBlackList selectByPrimaryKey(Integer blackListId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBlackList record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBlackList record);

    /**
     * 查询列表
     * @return
     */
    List<TabBlackList> listBlackList(@Param("search") String search);
}