package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.rule.RuleEnterpriseDTO;
import com.gic.enterprise.entity.TabConfigRuleEnterprise;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabConfigRuleEnterpriseMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:39
 */
public interface TabConfigRuleEnterpriseMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabConfigRuleEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabConfigRuleEnterprise record);

    /**
     * 根据主键查询
     *
     * @param enterpriseRuleId 主键
     * @return 实体对象
     */
    TabConfigRuleEnterprise selectByPrimaryKey(Integer enterpriseRuleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabConfigRuleEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabConfigRuleEnterprise record);
    /**
     * countRepeatName
     * @Title: countRepeatName
     * @Description:
     * @author taogs
     * @param enterpriseRuleId
     * @param ruleName
     * @return int
     * @throws
     */
    int countRepeatName(@Param("enterpriseRuleId") Integer enterpriseRuleId, @Param("ruleName") String ruleName);
    /**
     * listRule
     * @Title: listRule
     * @Description:
     * @author taogs
     * @param search
     * @return java.util.List<com.gic.enterprise.dto.rule.RuleEnterpriseDTO>
     * @throws
     */
    List<RuleEnterpriseDTO> listRule(@Param("search") String search);
    /**
     * listEnterpriseRule
     * @Title: listEnterpriseRule
     * @Description:
     * @author taogs
     * @param enterpriseRuleId
     * @param search
     * @return java.util.List<com.gic.enterprise.dto.rule.RuleEnterpriseDTO>
     * @throws
     */
    List<RuleEnterpriseDTO> listEnterpriseRule(@Param("enterpriseRuleId") Integer enterpriseRuleId, @Param("search") String search);
    /**
     * listEnterpriseRuleAll
     * @Title: listEnterpriseRuleAll
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabConfigRuleEnterprise>
     * @throws
     */
    List<TabConfigRuleEnterprise> listEnterpriseRuleAll();
}