package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabConfigRuleEnterpriseRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabConfigRuleEnterpriseRelMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabConfigRuleEnterpriseRelMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabConfigRuleEnterpriseRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabConfigRuleEnterpriseRel record);

    /**
     * 根据主键查询
     *
     * @param enterpriseRelId 主键
     * @return 实体对象
     */
    TabConfigRuleEnterpriseRel selectByPrimaryKey(Integer enterpriseRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabConfigRuleEnterpriseRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabConfigRuleEnterpriseRel record);
    /**
     * insertBatch
     * @Title: insertBatch
     * @Description:
     * @author taogs
     * @param list
     * @return void
     * @throws
     */
    void insertBatch(@Param("list") List<TabConfigRuleEnterpriseRel> list);
    /**
     * deleteByEnterpriseRuleId
     * @Title: deleteByEnterpriseRuleId
     * @Description:
     * @author taogs
     * @param enterpriseRuleId
     * @return void
     * @throws
     */
    void deleteByEnterpriseRuleId(Integer enterpriseRuleId);
    /**
     * deleteByEnterpriseIdList
     * @Title: deleteByEnterpriseIdList
     * @Description:
     * @author taogs
     * @param enterpriseIdList
     * @return void
     * @throws
     */
    void deleteByEnterpriseIdList(@Param("list") List<Integer> enterpriseIdList);
    /**
     * listEnterprise
     * @Title: listEnterprise
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabConfigRuleEnterpriseRel>
     * @throws
     */
    List<TabConfigRuleEnterpriseRel> listEnterprise();
    /**
     * getByEnterpriseId
     * @Title: getByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return com.gic.enterprise.entity.TabConfigRuleEnterpriseRel
     * @throws
     */
    TabConfigRuleEnterpriseRel getByEnterpriseId(Integer enterpriseId);
}