package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabConfigRule;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabConfigRuleMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabConfigRuleMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabConfigRule record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabConfigRule record);

    /**
     * 根据主键查询
     *
     * @param ruleId 主键
     * @return 实体对象
     */
    TabConfigRule selectByPrimaryKey(Integer ruleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabConfigRule record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabConfigRule record);
    /**
     * countRepeatName
     * @Title: countRepeatName
     * @Description:
     * @author taogs
     * @param ruleId
     * @param ruleLevel
     * @param name
     * @param parentRuleId
     * @return int
     * @throws
     */
    int countRepeatName(@Param("ruleId") Integer ruleId, @Param("ruleLevel") Integer ruleLevel,
            @Param("name") String name, @Param("parentRuleId") Integer parentRuleId);
    /**
     * countRepeatAppCode
     * @Title: countRepeatAppCode
     * @Description:
     * @author taogs
     * @param ruleId
     * @param appCode
     * @return int
     * @throws
     */
    int countRepeatAppCode(@Param("ruleId") Integer ruleId, @Param("appCode") String appCode);
    /**
     * listRule
     * @Title: listRule
     * @Description:
     * @author taogs
     * @param search
     * @param ruleLevel
     * @param ruleId
     * @return java.util.List<com.gic.enterprise.entity.TabConfigRule>
     * @throws
     */
    List<TabConfigRule> listRule(@Param("search") String search, @Param("ruleLevel") Integer ruleLevel,
            @Param("ruleId") Integer ruleId);
    /**
     * listAll
     * @Title: listAll
     * @Description:
     * @author taogs
     * @param ruleId
     * @return java.util.List<com.gic.enterprise.entity.TabConfigRule>
     * @throws
     */
    List<TabConfigRule> listAll(@Param("ruleId") Integer ruleId);
    /**
     * getRuleTreeByName
     * @Title: getRuleTreeByName
     * @Description:
     * @author taogs
     * @param search
     * @return java.util.List<com.gic.enterprise.entity.TabConfigRule>
     * @throws
     */
    List<TabConfigRule> getRuleTreeByName(String search);
    /**
     * getByAppCode
     * @Title: getByAppCode
     * @Description:
     * @author taogs
     * @param appCode
     * @return com.gic.enterprise.entity.TabConfigRule
     * @throws
     */
    TabConfigRule getByAppCode(String appCode);
}