package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomGuide;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabCustomGuideMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabCustomGuideMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomGuide record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomGuide record);

    /**
     * 根据主键查询
     *
     * @param guideId 主键
     * @return 实体对象
     */
    TabCustomGuide selectByPrimaryKey(Integer guideId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomGuide record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomGuide record);
    /**
     * getVersion
     * @Title: getVersion
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> getVersion(@Param("enterpriseId") Integer enterpriseId,
                             @Param("appid") String appid);
    /**
     * listGuide
     * @Title: listGuide
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param version
     * @param appid
     * @return java.util.List<com.gic.enterprise.entity.TabCustomGuide>
     * @throws
     */
    List<TabCustomGuide> listGuide(@Param("enterpriseId") Integer enterpriseId,
                                   @Param("version") Integer version,
                                   @Param("appid") String appid);
}