package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomStore;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabCustomStoreMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabCustomStoreMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomStore record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomStore record);

    /**
     * 根据主键查询
     *
     * @param customStoreId 主键
     * @return 实体对象
     */
    TabCustomStore selectByPrimaryKey(Integer customStoreId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomStore record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomStore record);
    /**
     * pageCustomStore
     * @Title: pageCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @param search
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabCustomStore>
     * @throws
     */
    Page<TabCustomStore> pageCustomStore(@Param("enterpriseId") Integer enterpriseId,
                                         @Param("appid") String appid,
                                         @Param("search") String search);
    /**
     * closeCustomStore
     * @Title: closeCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return int
     * @throws
     */
    int closeCustomStore(@Param("enterpriseId") Integer enterpriseId,
                         @Param("appid") String appid);
    /**
     * getCustomStore
     * @Title: getCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return java.util.List<com.gic.enterprise.entity.TabCustomStore>
     * @throws
     */
    List<TabCustomStore> getCustomStore(@Param("enterpriseId") Integer enterpriseId,
                                        @Param("appid") String appid);
}