package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomUdeskField;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabCustomUdeskFieldMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabCustomUdeskFieldMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomUdeskField record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomUdeskField record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabCustomUdeskField selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomUdeskField record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomUdeskField record);
    /**
     * listEnterpriseField
     * @Title: listEnterpriseField
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appId
     * @return java.util.List<com.gic.enterprise.entity.TabCustomUdeskField>
     * @throws
     */
    List<TabCustomUdeskField> listEnterpriseField(@Param("enterpriseId") Integer enterpriseId,
                                                  @Param("appId") String appId);
    /**
     * listEnableEnterpriseField
     * @Title: listEnableEnterpriseField
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appId
     * @return java.util.List<com.gic.enterprise.entity.TabCustomUdeskField>
     * @throws
     */
    List<TabCustomUdeskField> listEnableEnterpriseField(@Param("enterpriseId") Integer enterpriseId,
                                                        @Param("appId") String appId);
    /**
     * getUdeskField
     * @Title: getUdeskField
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appId
     * @param gicFieldId
     * @return com.gic.enterprise.entity.TabCustomUdeskField
     * @throws
     */
    TabCustomUdeskField getUdeskField(@Param("enterpriseId") Integer enterpriseId,
                                      @Param("appId") String appId,
                                      @Param("gicFieldId") Integer gicFieldId);
}