package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataActuallyPaidConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabDataActuallyPaidConfigMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabDataActuallyPaidConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataActuallyPaidConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataActuallyPaidConfig record);

    /**
     * 根据主键查询
     *
     * @param actuallyPaidConfigId 主键
     * @return 实体对象
     */
    TabDataActuallyPaidConfig selectByPrimaryKey(Integer actuallyPaidConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataActuallyPaidConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataActuallyPaidConfig record);
    /**
     * listByEnterpriseId
     * @Title: listByEnterpriseId
     * @Description: 
     * @author taogs 
 * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabDataActuallyPaidConfig>
     * @throws 
     */
    List<TabDataActuallyPaidConfig> listByEnterpriseId(Integer enterpriseId);
    /**
     * delete
     * @Title: delete
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param classify
     * @return int
     * @throws
     */
    int delete(@Param("enterpriseId") Integer enterpriseId, @Param("classify") Integer classify);
    /**
     * get
     * @Title: get
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param classify
     * @return com.gic.enterprise.entity.TabDataActuallyPaidConfig
     * @throws
     */
    TabDataActuallyPaidConfig get(@Param("enterpriseId") Integer enterpriseId, @Param("classify") Integer classify);
}