package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataGenerationConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabDataGenerationConfigMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:41
 */
public interface TabDataGenerationConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataGenerationConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataGenerationConfig record);

    /**
     * 根据主键查询
     *
     * @param generationConfigId 主键
     * @return 实体对象
     */
    TabDataGenerationConfig selectByPrimaryKey(Integer generationConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataGenerationConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataGenerationConfig record);
    /**
     * deleteGenerationConfig
     * @Title: deleteGenerationConfig
     * @Description:
     * @author taogs
     * @param enterpriseId 自有商户ID
     * @param memberCardId
     * @return void
     * @throws
     */
    void deleteGenerationConfig(@Param("enterpriseId") Integer enterpriseId, @Param("memberCardId") Long memberCardId);

    /**
     * 查询配置信息
     * @param memberCardId
     * @return
     */
    List<TabDataGenerationConfig> listGenerationByMemberCardId(@Param("memberCardId") Long memberCardId);
}