package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataSingleEffectConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabDataSingleEffectConfigMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:42
 */
public interface TabDataSingleEffectConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataSingleEffectConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataSingleEffectConfig record);

    /**
     * 根据主键查询
     *
     * @param singleEffectConfigId 主键
     * @return 实体对象
     */
    TabDataSingleEffectConfig selectByPrimaryKey(Integer singleEffectConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataSingleEffectConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataSingleEffectConfig record);
    /**
     * getByEnterpriseId
     * @Title: getByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabDataSingleEffectConfig>
     * @throws
     */
    List<TabDataSingleEffectConfig> getByEnterpriseId(Integer enterpriseId);
    /**
     * deleteSingleEffectConfig
     * @Title: deleteSingleEffectConfig
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param orderGrain
     * @return void
     * @throws
     */
    void deleteSingleEffectConfig(@Param("enterpriseId") Integer enterpriseId, @Param("orderGrain") Integer orderGrain);
}