package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataWechatMemberConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabDataWechatMemberConfigMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:42
 */
public interface TabDataWechatMemberConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataWechatMemberConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataWechatMemberConfig record);

    /**
     * 根据主键查询
     *
     * @param wechatMemberConfigId 主键
     * @return 实体对象
     */
    TabDataWechatMemberConfig selectByPrimaryKey(Integer wechatMemberConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataWechatMemberConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataWechatMemberConfig record);
    /**
     * getByMemberCardId
     * @Title: getByMemberCardId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param memberCardId
     * @return com.gic.enterprise.entity.TabDataWechatMemberConfig
     * @throws
     */
    TabDataWechatMemberConfig getByMemberCardId(@Param("enterpriseId") Integer enterpriseId, @Param("memberCardId") String memberCardId);
    /**
     * listByEnterpriseId
     * @Title: listByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabDataWechatMemberConfig>
     * @throws
     */
    List<TabDataWechatMemberConfig> listByEnterpriseId(Integer enterpriseId);
}