package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabEnterpriseInit;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabEnterpriseInitMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:42
 */
public interface TabEnterpriseInitMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEnterpriseInit record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEnterpriseInit record);

    /**
     * 根据主键查询
     *
     * @param enterpriseInitId 主键
     * @return 实体对象
     */
    TabEnterpriseInit selectByPrimaryKey(Integer enterpriseInitId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEnterpriseInit record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEnterpriseInit record);
    /**
     * updateByEnterpriseIdSelective
     * @Title: updateByEnterpriseIdSelective
     * @Description:
     * @author taogs
     * @param record
     * @return int
     * @throws
     */
    int updateByEnterpriseIdSelective(TabEnterpriseInit record);
    /**
     * getByCode
     * @Title: getByCode
     * @Description:
     * @author taogs
     * @param configCode
     * @param enterpriseId
     * @return com.gic.enterprise.entity.TabEnterpriseInit
     * @throws
     */
    TabEnterpriseInit getByCode(@Param("configCode") String configCode, @Param("enterpriseId") Integer enterpriseId);
    /**
     * listByParentId
     * @Title: listByParentId
     * @Description:
     * @author taogs
     * @param parentId
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabEnterpriseInit>
     * @throws
     */
    List<TabEnterpriseInit> listByParentId(@Param("parentId") Integer parentId, @Param("enterpriseId") Integer enterpriseId);
    /**
     * initEnterpriseConfigInfo
     * @Title: initEnterpriseConfigInfo
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return int
     * @throws
     */
    int initEnterpriseConfigInfo(@Param("enterpriseId") Integer enterpriseId);
    /**
     * updateParentIdBatch
     * @Title: updateParentIdBatch
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param parentConfigCode
     * @param configCodeList
     * @return int
     * @throws
     */
    int updateParentIdBatch(@Param("enterpriseId") Integer enterpriseId,
                            @Param("parentConfigCode") String parentConfigCode,
                            @Param("configCodeList") List<String> configCodeList);

    /**
     * deleteByEnterpriseId
     * @Title: deleteByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return int
     * @throws
     */
    int updateStatusByEnterpriseId(Integer enterpriseId);
}