package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.EnterpriseLicenseDTO;
import com.gic.enterprise.entity.TabEnterpriseLicense;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabEnterpriseLicenseMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:43
 */
public interface TabEnterpriseLicenseMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEnterpriseLicense record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEnterpriseLicense record);

    /**
     * 根据主键查询
     *
     * @param enterpriseLicenseId 主键
     * @return 实体对象
     */
    TabEnterpriseLicense selectByPrimaryKey(Integer enterpriseLicenseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEnterpriseLicense record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEnterpriseLicense record);

    /**
     * 批量新增基础服务的license数据
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param enterpriseLicenseList 
     * @return  void 
      */
    void saveFetch(@Param("list") List<EnterpriseLicenseDTO> enterpriseLicenseList);
    /**
     * deleteByEnterpriseId
     * @Title: deleteByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return void
     * @throws
     */
    void updateStatusByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);
    /**
     * listByEnterpriseId
     * @Title: listByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabEnterpriseLicense>
     * @throws
     */
    List<TabEnterpriseLicense> listByEnterpriseId(@Param("enterpriseId")Integer enterpriseId);
}