package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabEnterpriseResourceRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabEnterpriseResourceRelMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:43
 */
public interface TabEnterpriseResourceRelMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEnterpriseResourceRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEnterpriseResourceRel record);

    /**
     * 根据主键查询
     *
     * @param enterpriseResourceId 主键
     * @return 实体对象
     */
    TabEnterpriseResourceRel selectByPrimaryKey(Integer enterpriseResourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEnterpriseResourceRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEnterpriseResourceRel record);
    /**
     * deleteResource
     * @Title: deleteResource
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param resourceCode
     * @return void
     * @throws
     */
    void deleteResource(@Param("enterpriseId") Integer enterpriseId, @Param("resourceCode") String resourceCode);
    /**
     * getByEnterpriseId
     * @Title: getByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabEnterpriseResourceRel>
     * @throws
     */
    List<TabEnterpriseResourceRel> getByEnterpriseId(@Param("enterpriseId")Integer enterpriseId);
}