package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabIndexModuleEnterprise;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabIndexModuleEnterpriseMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:44
 */
public interface TabIndexModuleEnterpriseMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexModuleEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexModuleEnterprise record);

    /**
     * 根据主键查询
     *
     * @param indexModuleEnterpriseId 主键
     * @return 实体对象
     */
    TabIndexModuleEnterprise selectByPrimaryKey(Integer indexModuleEnterpriseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexModuleEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexModuleEnterprise record);
    /**
     * delByIndexModuleId
     * @Title: delByIndexModuleId
     * @Description:
     * @author taogs
     * @param indexModuleId
     * @return void
     * @throws
     */
    void delByIndexModuleId(@Param("indexModuleId") Integer indexModuleId);
    /**
     * insertSelectiveByNotExist
     * @Title: insertSelectiveByNotExist
     * @Description:
     * @author taogs
     * @param indexModuleEnterprise
     * @return void
     * @throws
     */
    void insertSelectiveByNotExist(TabIndexModuleEnterprise indexModuleEnterprise);
    /**
     * updateStatusByEnterpriseId
     * @Title: updateStatusByEnterpriseId
     * @Description:
     * @author taogs
     * @param indexModuleId
     * @param enterpriseIdList
     * @return void
     * @throws
     */
    void updateStatusByEnterpriseId(@Param("indexModuleId") Integer indexModuleId, @Param("ids") List<Integer> enterpriseIdList);
    /**
     * listIndexModuleEnterprise
     * @Title: listIndexModuleEnterprise
     * @Description:
     * @author taogs
     * @param indexModuleId
     * @return java.util.List<com.gic.enterprise.entity.TabIndexModuleEnterprise>
     * @throws
     */
    List<TabIndexModuleEnterprise> listIndexModuleEnterprise(@Param("indexModuleId") Integer indexModuleId);
}