package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabIndexModule;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabIndexModuleMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:44
 */
public interface TabIndexModuleMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexModule record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexModule record);

    /**
     * 根据主键查询
     *
     * @param indexModuleId 主键
     * @return 实体对象
     */
    TabIndexModule selectByPrimaryKey(Integer indexModuleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexModule record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexModule record);
    /**
     * getBySelective
     * @Title: getBySelective
     * @Description:
     * @author taogs
     * @param indexModule
     * @return com.gic.enterprise.entity.TabIndexModule
     * @throws
     */
    TabIndexModule getBySelective(TabIndexModule indexModule);
    /**
     * getMinSort
     * @Title: getMinSort
     * @Description:
     * @author taogs
     * @return java.lang.Double
     * @throws
     */
    Double getMinSort();
    /**
     * getMaxSort
     * @Title: getMaxSort
     * @Description:
     * @author taogs
     * @return java.lang.Double
     * @throws
     */
    Double getMaxSort();
    /**
     * listIndexModule
     * @Title: listIndexModule
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabIndexModule>
     * @throws
     */
    List<TabIndexModule> listIndexModule();
    /**
     * listTwoElementExceptId
     * @Title: listTwoElementExceptId
     * @Description:
     * @author taogs
     * @param start
     * @param size
     * @param indexModuleId
     * @return java.util.List<com.gic.enterprise.entity.TabIndexModule>
     * @throws
     */
    List<TabIndexModule> listTwoElementExceptId(@Param("start") int start, @Param("size") int size, @Param("indexModuleId") Integer indexModuleId);
    /**
     * listIndexModuleEnterprise
     * @Title: listIndexModuleEnterprise
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabIndexModule>
     * @throws
     */
    List<TabIndexModule> listIndexModuleEnterprise(@Param("enterpriseId") Integer enterpriseId);
}