package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabLink;
import com.gic.enterprise.qo.LinkQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabLinkMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:44
 */
public interface TabLinkMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabLink record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabLink record);

    /**
     * 根据主键查询
     *
     * @param linkId 主键
     * @return 实体对象
     */
    TabLink selectByPrimaryKey(Integer linkId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabLink record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabLink record);
    /**
     * getSelective
     * @Title: getSelective
     * @Description:
     * @author taogs
     * @param tabLink
     * @return com.gic.enterprise.entity.TabLink
     * @throws
     */
    TabLink getSelective(TabLink tabLink);
    /**
     * getLinkIdsByParentIds
     * @Title: getLinkIdsByParentIds
     * @Description:
     * @author taogs
     * @param parentIdList
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> getLinkIdsByParentIds(@Param("ids") List<Integer> parentIdList);
    /**
     * getLinkByParentIds
     * @Title: getLinkByParentIds
     * @Description:
     * @author taogs
     * @param linkIdList
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> getLinkByParentIds(@Param("ids") List<Integer> linkIdList);
    /**
     * delLinkByIdList
     * @Title: delLinkByIdList
     * @Description:
     * @author taogs
     * @param allIdList
     * @return int
     * @throws
     */
    int delLinkByIdList(@Param("ids") List<Integer> allIdList);
    /**
     * listLinkType
     * @Title: listLinkType
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> listLinkType();
    /**
     * listLinkMenu
     * @Title: listLinkMenu
     * @Description:
     * @author taogs
     * @param linkQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    Page<TabLink> listLinkMenu(LinkQO linkQO);
    /**
     * listByGic
     * @Title: listByGic
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param parentId
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> listByGic(@Param("enterpriseId") Integer enterpriseId, @Param("parentId") Integer parentId);
    /**
     * treeByGic
     * @Title: treeByGic
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param objectType
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> treeByGic(@Param("enterpriseId") Integer enterpriseId, @Param("objectType") Integer objectType);
}