package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabLinkScene;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabLinkSceneMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:44
 */
public interface TabLinkSceneMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabLinkScene record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabLinkScene record);

    /**
     * 根据主键查询
     *
     * @param linkSceneId 主键
     * @return 实体对象
     */
    TabLinkScene selectByPrimaryKey(Integer linkSceneId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabLinkScene record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabLinkScene record);
    /**
     * listByLinkId
     * @Title: listByLinkId
     * @Description:
     * @author taogs
     * @param linkId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listByLinkId(@Param("linkId") Integer linkId);
    /**
     * delByLinkEnterprise
     * @Title: delByLinkEnterprise
     * @Description:
     * @author taogs
     * @param linkId
     * @return void
     * @throws
     */
    void delByLinkEnterprise(@Param("linkId") Integer linkId);
    /**
     * insertSelectiveByNotExist
     * @Title: insertSelectiveByNotExist
     * @Description:
     * @author taogs
     * @param linkScene
     * @return void
     * @throws
     */
    void insertSelectiveByNotExist(TabLinkScene linkScene);
    /**
     * updateStatusByEnterpriseId
     * @Title: updateStatusByEnterpriseId
     * @Description:
     * @author taogs
     * @param linkId
     * @param enterpriseIdList
     * @return void
     * @throws
     */
    void updateStatusByEnterpriseId(@Param("linkId") Integer linkId, @Param("ids") List<Integer> enterpriseIdList);
    /**
     * delByLinkIdList
     * @Title: delByLinkIdList
     * @Description:
     * @author taogs
     * @param linkIdList
     * @return void
     * @throws
     */
    void delByLinkIdList(@Param("ids") List<Integer> linkIdList);
}