package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.PlatformBrandDTO;
import com.gic.enterprise.entity.TabPlatformBrand;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabPlatformBrandMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:44
 */
public interface TabPlatformBrandMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPlatformBrand record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPlatformBrand record);

    /**
     * 根据主键查询
     *
     * @param platformBrandId 主键
     * @return 实体对象
     */
    TabPlatformBrand selectByPrimaryKey(Integer platformBrandId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPlatformBrand record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPlatformBrand record);
    /**
     * getByBrandName
     * @Title: getByBrandName
     * @Description:
     * @author taogs
     * @param platformBrandName
     * @param platformBrandId
     * @return com.gic.enterprise.entity.TabPlatformBrand
     * @throws
     */
    TabPlatformBrand getByBrandName(@Param("platformBrandName") String platformBrandName, @Param("platformBrandId") String platformBrandId);
    /**
     * listPlatformBrand
     * @Title: listPlatformBrand
     * @Description:
     * @author taogs
     * @param platformBrandDTO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPlatformBrand>
     * @throws
     */
    Page<TabPlatformBrand> listPlatformBrand(PlatformBrandDTO platformBrandDTO);
    /**
     * delBrandByIds
     * @Title: delBrandByIds
     * @Description:
     * @author taogs
     * @param fromBrandIds
     * @return java.lang.Integer
     * @throws
     */
    Integer delBrandByIds(@Param("ids") List<Integer> fromBrandIds);
}