package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabPlatformBrandRef;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 *
 * @ClassName: TabPlatformBrandRefMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:44
 */
public interface TabPlatformBrandRefMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPlatformBrandRef record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPlatformBrandRef record);

    /**
     * 根据主键查询
     *
     * @param platformBrandRefId 主键
     * @return 实体对象
     */
    TabPlatformBrandRef selectByPrimaryKey(Integer platformBrandRefId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPlatformBrandRef record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPlatformBrandRef record);
    /**
     * countByPlatformBrandId
     * @Title: countByPlatformBrandId
     * @Description:
     * @author taogs
     * @param platformBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer countByPlatformBrandId(@Param("platformBrandId") Integer platformBrandId);
    /**
     * countByPlatformBrandIds
     * @Title: countByPlatformBrandIds
     * @Description:
     * @author taogs
     * @param platformBrandIdList
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    List<Map<String, Object>> countByPlatformBrandIds(@Param("ids") List<Integer> platformBrandIdList);
    /**
     * delRef
     * @Title: delRef
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param enterpriseBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer delRef(@Param("enterpriseId") Integer enterpriseId, @Param("enterpriseBrandId") Long enterpriseBrandId);
    /**
     * delRefs
     * @Title: delRefs
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param enterpriseBrandIds
     * @return java.lang.Integer
     * @throws
     */
    Integer delRefs(@Param("enterpriseId") Integer enterpriseId, @Param("ids") List<Long> enterpriseBrandIds);
    /**
     * listByPlatformBrandRef
     * @Title: listByPlatformBrandRef
     * @Description:
     * @author taogs
     * @param brandRef
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPlatformBrandRef>
     * @throws
     */
    Page<TabPlatformBrandRef> listByPlatformBrandRef(TabPlatformBrandRef brandRef);
    /**
     * updateRef
     * @Title: updateRef
     * @Description:
     * @author taogs
     * @param fromBrandId
     * @param toBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer updateRef(@Param("fromBrandId") Integer fromBrandId, @Param("toBrandId") Integer toBrandId);
    /**
     * updateRefs
     * @Title: updateRefs
     * @Description:
     * @author taogs
     * @param fromBrandIds
     * @param platformBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer updateRefs(@Param("ids") List<Integer> fromBrandIds, @Param("toBrandId") Integer platformBrandId);
}