package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabProductMarket;
import com.gic.enterprise.qo.ProductMarketQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 达摩产品情报站
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 9:38 AM 
 */
public interface TabProductMarketMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabProductMarket record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabProductMarket record);

    /**
     * 根据主键查询
     *
     * @param productMarketId 主键
     * @return 实体对象
     */
    TabProductMarket selectByPrimaryKey(Integer productMarketId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabProductMarket record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabProductMarket record);

    /**
     * 查询列表
     * @param params
     * @return
     */
    List<TabProductMarket> pageProductMarket(ProductMarketQO params);

    /**
     * 是否有新消息（当天发布，并且时间小于当前时间，精确到秒）
     * @return
     */
    Integer countNewInfo(@Param("today") String today);
}