package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.ProjectItemDTO;
import com.gic.enterprise.entity.TabProjectItem;
import com.gic.enterprise.qo.ProjectItemQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 *
 * @ClassName: TabProjectItemMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:44
 */
public interface TabProjectItemMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabProjectItem record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabProjectItem record);

    /**
     * 根据主键查询
     *
     * @param projectItemId 主键
     * @return 实体对象
     */
    TabProjectItem selectByPrimaryKey(Integer projectItemId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabProjectItem record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabProjectItem record);
    /**
     * getFirstProjectItem
     * @Title: getFirstProjectItem
     * @Description:
     * @author taogs
     * @param projectItemDTO
     * @return com.gic.enterprise.entity.TabProjectItem
     * @throws
     */
    TabProjectItem getFirstProjectItem(ProjectItemDTO projectItemDTO);
    /**
     * listProjectItem
     * @Title: listProjectItem
     * @Description:
     * @author taogs
     * @param projectItemQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabProjectItem>
     * @throws
     */
    Page<TabProjectItem> listProjectItem(ProjectItemQO projectItemQO);
    /**
     * getProjectItemCountByProjectIds
     * @Title: getProjectItemCountByProjectIds
     * @Description:
     * @author taogs
     * @param projectIds
     * @param useStatus
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    List<Map<String,Object>> getProjectItemCountByProjectIds(@Param("ids") List<Integer> projectIds, @Param("useStatus") Integer useStatus);
    /**
     * getByProjectItemCode
     * @Title: getByProjectItemCode
     * @Description:
     * @author taogs
     * @param projectItemCode
     * @return com.gic.enterprise.entity.TabProjectItem
     * @throws
     */
    TabProjectItem getByProjectItemCode(@Param("projectItemCode") String projectItemCode);
    /**
     * listTwoElementExceptId
     * @Title: listTwoElementExceptId
     * @Description:
     * @author taogs
     * @param start
     * @param size
     * @param projectItemId
     * @return java.util.List<com.gic.enterprise.entity.TabProjectItem>
     * @throws
     */
    List<TabProjectItem> listTwoElementExceptId(@Param("start") int start, @Param("size") int size, @Param("projectItemId") Integer projectItemId);
    /**
     * getMinSort
     * @Title: getMinSort
     * @Description:
     * @author taogs
     * @return java.lang.Double
     * @throws
     */
    Double getMinSort();
    /**
     * getMaxSort
     * @Title: getMaxSort
     * @Description:
     * @author taogs
     * @return java.lang.Double
     * @throws
     */
    Double getMaxSort();
}