package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.ProjectDTO;
import com.gic.enterprise.entity.TabProject;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabProjectMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:45
 */
public interface TabProjectMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabProject record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabProject record);

    /**
     * 根据主键查询
     *
     * @param projectId 主键
     * @return 实体对象
     */
    TabProject selectByPrimaryKey(Integer projectId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabProject record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabProject record);
    /**
     * getFirstProject
     * @Title: getFirstProject
     * @Description:
     * @author taogs
     * @param projectDTO
     * @return com.gic.enterprise.entity.TabProject
     * @throws
     */
    TabProject getFirstProject(ProjectDTO projectDTO);
    /**
     * listProject
     * @Title: listProject
     * @Description:
     * @author taogs
     * @param projectDTO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabProject>
     * @throws
     */
    Page<TabProject> listProject(ProjectDTO projectDTO);
    /**
     * listTwoElementExceptId
     * @Title: listTwoElementExceptId
     * @Description:
     * @author taogs
     * @param start
     * @param size
     * @param projectId
     * @return java.util.List<com.gic.enterprise.entity.TabProject>
     * @throws
     */
    List<TabProject> listTwoElementExceptId(@Param("start") int start, @Param("size") int size, @Param("projectId") Integer projectId);
    /**
     * getMinSort
     * @Title: getMinSort
     * @Description:
     * @author taogs
     * @return java.lang.Double
     * @throws
     */
    Double getMinSort();
    /**
     * getMaxSort
     * @Title: getMaxSort
     * @Description:
     * @author taogs
     * @return java.lang.Double
     * @throws
     */
    Double getMaxSort();
}