package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabPushClassify;
import com.gic.enterprise.entity.TabPushType;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabPushClassifyMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:45
 */
public interface TabPushClassifyMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPushClassify record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPushClassify record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabPushClassify selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPushClassify record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPushClassify record);
    /**
     * pagePushType
     * @Title: pagePushType
     * @Description:
     * @author taogs
     * @param search
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPushClassify>
     * @throws
     */
    Page<TabPushClassify> pagePushType(@Param("search") String search);
    /**
     * listPushTypeByName
     * @Title: listPushTypeByName
     * @Description:
     * @author taogs
     * @param name
     * @return java.util.List<com.gic.enterprise.entity.TabPushClassify>
     * @throws
     */
    List<TabPushClassify> listPushTypeByName(@Param("name") String name);

}