package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.UserMessageDTO;
import com.gic.enterprise.entity.TabPushMessage;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
/**
 * 
 * @ClassName: TabPushMessageMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:46
 */
public interface TabPushMessageMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPushMessage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPushMessage record);

    /**
     * 根据主键查询
     *
     * @param messageId 主键
     * @return 实体对象
     */
    TabPushMessage selectByPrimaryKey(Integer messageId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPushMessage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPushMessage record);
    /**
     * pagePushMesage
     * @Title: pagePushMesage
     * @Description:
     * @author taogs
     * @param search
     * @param pushStatus
     * @param startTime
     * @param endTime
     * @param pushClassifyId
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPushMessage>
     * @throws
     */
    Page<TabPushMessage> pagePushMesage(@Param("search") String search,
                                        @Param("pushStatus") Integer pushStatus,
                                        @Param("startTime") Date startTime,
                                        @Param("endTime") Date endTime,
                                        @Param("pushClassifyId") Integer pushClassifyId);
    /**
     * pageUserMessage
     * @Title: pageUserMessage
     * @Description:
     * @author taogs
     * @param search
     * @param status
     * @param startTime
     * @param endTime
     * @param classify
     * @param userId
     * @return com.github.pagehelper.Page<com.gic.enterprise.dto.UserMessageDTO>
     * @throws
     */
    Page<UserMessageDTO> pageUserMessage(@Param("search") String search,
                                         @Param("status") Integer status,
                                         @Param("startTime") Date startTime,
                                         @Param("endTime") Date endTime,
                                         @Param("classify") String classify,
                                         @Param("userId") Integer userId);
    /**
     * readCount
     * @Title: readCount
     * @Description:
     * @author taogs
     * @param messageId
     * @return int
     * @throws
     */
    int readCount(@Param("messageId") Integer messageId);
}