package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabPushUserMessage;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
/**
 * 
 * @ClassName: TabPushUserMessageMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:46
 */
public interface TabPushUserMessageMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPushUserMessage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPushUserMessage record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabPushUserMessage selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPushUserMessage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPushUserMessage record);
    /**
     * recallMessage
     * @Title: recallMessage
     * @Description:
     * @author taogs
     * @param messageId
     * @return int
     * @throws
     */
    int recallMessage(@Param("messageId") Integer messageId);
    /**
     * totalUserMessage
     * @Title: totalUserMessage
     * @Description:
     * @author taogs
     * @param search
     * @param status
     * @param startTime
     * @param endTime
     * @param classify
     * @param userId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> totalUserMessage(@Param("search") String search,
                                   @Param("status") Integer status,
                                   @Param("startTime") Date startTime,
                                   @Param("endTime") Date endTime,
                                   @Param("classify") String classify,
                                   @Param("userId") Integer userId);
    /**
     * readAll
     * @Title: readAll
     * @Description:
     * @author taogs
     * @param userId
     * @return int
     * @throws
     */
    int readAll(@Param("userId") Integer userId);

    /**
     * readMessage
     * @Title: readMessage
     * @Description: 
     * @author taogs 
 * @param messageId
     * @return int
     * @throws 
     */
    int readMessage(@Param("messageId") Integer messageId);
}