package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.QrcodeScenesDTO;
import com.gic.enterprise.entity.TabQrcodeScenes;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabQrcodeScenesMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:16
 */
public interface TabQrcodeScenesMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabQrcodeScenes record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabQrcodeScenes record);

    /**
     * 根据主键查询
     *
     * @param scenesId 主键
     * @return 实体对象
     */
    TabQrcodeScenes selectByPrimaryKey(Integer scenesId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabQrcodeScenes record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabQrcodeScenes record);
    /**
     * listQrCodeScenes
     * @Title: listQrCodeScenes
     * @Description:
     * @author taogs
     * @param search
     * @param classifyId
     * @param enterpriseId
     * @return com.github.pagehelper.Page<com.gic.enterprise.dto.QrcodeScenesDTO>
     * @throws
     */
    Page<QrcodeScenesDTO> listQrCodeScenes(@Param("search") String search,
                                           @Param("classifyId") Integer classifyId,
                                           @Param("enterpriseId") Integer enterpriseId);
    /**
     * updateScenesStatus
     * @Title: updateScenesStatus
     * @Description:
     * @author taogs
     * @param scenesId
     * @param status
     * @return int
     * @throws
     */
    int updateScenesStatus(@Param("scenesId") Integer scenesId, @Param("status") int status);
    /**
     * listQrcodeScenesByName
     * @Title: listQrcodeScenesByName
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param name
     * @return java.util.List<com.gic.enterprise.entity.TabQrcodeScenes>
     * @throws
     */
    List<TabQrcodeScenes> listQrcodeScenesByName(@Param("enterpriseId") Integer enterpriseId,
                                                 @Param("name") String name);
}