package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthApp;
import org.apache.ibatis.annotations.Param;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 应用策略
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/5 10:15 AM 
 */
public interface TabSysUnionEnterpriseAuthAppMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUnionEnterpriseAuthApp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUnionEnterpriseAuthApp record);

    /**
     * 根据主键查询
     *
     * @param unionEnterpriseAuthAppId 主键
     * @return 实体对象
     */
    TabSysUnionEnterpriseAuthApp selectByPrimaryKey(Integer unionEnterpriseAuthAppId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUnionEnterpriseAuthApp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUnionEnterpriseAuthApp record);

    /**
     * 查询联合商户下面的应用策略列表
     * @param unionEnterpriseAuthId
     * @return
     */
    List<TabSysUnionEnterpriseAuthApp> listUnionEnterpriseAuthApp(@Param("unionEnterpriseAuthId") Integer unionEnterpriseAuthId);

    /**
     * 策略名称
     * @param unionEnterpriseAuthAppId
     * @param unionEnterpriseAuthId
     * @param strategyName
     * @return
     */
    int countRepeatStrategyName(@Param("unionEnterpriseAuthAppId") Integer unionEnterpriseAuthAppId,
                                @Param("unionEnterpriseAuthId") Integer unionEnterpriseAuthId,
                                @Param("strategyName") String strategyName);

    /**
     * 批量删除
     * @param unionEnterpriseAuthId
     * @return
     */
    Integer deleteUnionEnterpriseAuthAppByUnionEnterpriseAuthId(@Param("unionEnterpriseAuthId") Integer unionEnterpriseAuthId);
}