package com.gic.enterprise.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthResDetail;

/**
 * 联合商户资源详情
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 8:51 PM 
 */
public interface TabSysUnionEnterpriseAuthResDetailMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUnionEnterpriseAuthResDetail record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUnionEnterpriseAuthResDetail record);

    /**
     * 根据主键查询
     *
     * @param unionEnterpriseAuthResDetailId 主键
     * @return 实体对象
     */
    TabSysUnionEnterpriseAuthResDetail selectByPrimaryKey(Integer unionEnterpriseAuthResDetailId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUnionEnterpriseAuthResDetail record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUnionEnterpriseAuthResDetail record);

    /**
     * 查询某中资源详情
     * @param unionEnterpriseAuthId
     * @param authStatus
     * @return
     */
    List<TabSysUnionEnterpriseAuthResDetail> listUnionEnterpriseAuthResDetail(@Param("unionEnterpriseAuthId") Integer unionEnterpriseAuthId,
                                                                              @Param("authStatus") Integer authStatus);

    /**
     * 查询列表数据
     * @param unionEnterpriseAuthIdList
     * @return
     */
    List<TabSysUnionEnterpriseAuthResDetail> listByUnionEnterpriseAuthIdList(@Param("list") List<Integer> unionEnterpriseAuthIdList);
}