package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabTableSettingField;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabTableSettingFieldMapper {
    /**
     * 根据主键删除
     *
     * @param fieldId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer fieldId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabTableSettingField record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabTableSettingField record);

    /**
     * 根据主键查询
     *
     * @param fieldId 主键
     * @return 实体对象
     */
    TabTableSettingField selectByPrimaryKey(Integer fieldId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabTableSettingField record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabTableSettingField record);

    /**
     * listField 
     * @Title: listField
     * @Description: 
     * @author taogs
     * @param tableId
     * @return java.util.List<com.gic.enterprise.entity.TabTableSettingField>
     * @throws 
     */
    List<TabTableSettingField> listField(@Param("tableId") Integer tableId);

    TabTableSettingField getFieldByKey(@Param("tableId") Integer tableId, @Param("fieldKey") String fieldKey);
}