package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabTableSetting;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabTableSettingMapper {
    /**
     * 根据主键删除
     *
     * @param tableId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer tableId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabTableSetting record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabTableSetting record);

    /**
     * 根据主键查询
     *
     * @param tableId 主键
     * @return 实体对象
     */
    TabTableSetting selectByPrimaryKey(Integer tableId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabTableSetting record);

    /**
     * 根据主键更新记录，包括二进制大对象
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeyWithBLOBs(TabTableSetting record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabTableSetting record);


    Page<TabTableSetting> pageTableSetting(@Param("search") String search);

    TabTableSetting getTableSettingByTableName(@Param("tableName") String tableName);
}