package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabTodoItem;
import com.gic.enterprise.qo.TodoItemQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;
/**
 * 
 * @ClassName: TabTodoItemMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:21
 */
public interface TabTodoItemMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabTodoItem record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabTodoItem record);

    /**
     * 根据主键查询
     *
     * @param todoItemId 主键
     * @return 实体对象
     */
    TabTodoItem selectByPrimaryKey(Integer todoItemId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabTodoItem record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabTodoItem record);
    /**
     * getBySelective
     * @Title: getBySelective
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param userId
     * @param itemType
     * @param itemInfoUrl
     * @return com.gic.enterprise.entity.TabTodoItem
     * @throws
     */
    TabTodoItem getBySelective(@Param("enterpriseId") Integer enterpriseId, @Param("userId") Integer userId, @Param("itemType") String itemType, @Param("itemInfoUrl") String itemInfoUrl);
    /**
     * finishTodoItem
     * @Title: finishTodoItem
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param userId
     * @param itemType
     * @param itemInfoUrl
     * @return int
     * @throws
     */
    int finishTodoItem(@Param("enterpriseId") Integer enterpriseId, @Param("userId") Integer userId, @Param("itemType") String itemType, @Param("itemInfoUrl") String itemInfoUrl);
    /**
     * listTodoItem
     * @Title: listTodoItem
     * @Description:
     * @author taogs
     * @param todoItemQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabTodoItem>
     * @throws
     */
    Page<TabTodoItem> listTodoItem(TodoItemQO todoItemQO);
    /**
     * getUnFinishCount
     * @Title: getUnFinishCount
     * @Description:
     * @author taogs
     * @param todoItemQO
     * @return java.lang.Integer
     * @throws
     */
    Integer getUnFinishCount(TodoItemQO todoItemQO);
}