package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStoreConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabWmStoreConfigMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:28
 */
public interface TabWmStoreConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStoreConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStoreConfig record);

    /**
     * 根据主键查询
     *
     * @param storeConfigId 主键
     * @return 实体对象
     */
    TabWmStoreConfig selectByPrimaryKey(Integer storeConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStoreConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStoreConfig record);
    /**
     * getWmStoreConfig
     * @Title: getWmStoreConfig
     * @Description:
     * @author taogs
     * @param wmMallStoreId
     * @param storeConfigType
     * @return com.gic.enterprise.entity.TabWmStoreConfig
     * @throws
     */
    TabWmStoreConfig getWmStoreConfig(@Param("wmMallStoreId") Integer wmMallStoreId, @Param("storeConfigType") Integer storeConfigType);
    /**
     * listWmStoreConfig
     * @Title: listWmStoreConfig
     * @Description:
     * @author taogs
     * @param wmMallStoreId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreConfig>
     * @throws
     */
    List<TabWmStoreConfig> listWmStoreConfig(Integer wmMallStoreId);
}