package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStoreCouponConfig;
import com.gic.enterprise.qo.wm.CouponConfigQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabWmStoreCouponConfigMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:28
 */
public interface TabWmStoreCouponConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStoreCouponConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStoreCouponConfig record);

    /**
     * 根据主键查询
     *
     * @param couponConfigId 主键
     * @return 实体对象
     */
    TabWmStoreCouponConfig selectByPrimaryKey(Integer couponConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStoreCouponConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStoreCouponConfig record);
    /**
     * getCouponConfig
     * @Title: getCouponConfig
     * @Description:
     * @author taogs
     * @param params
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreCouponConfig>
     * @throws
     */
    List<TabWmStoreCouponConfig> getCouponConfig(CouponConfigQO params);
    /**
     * deleteWmGicCoupon
     * @Title: deleteWmGicCoupon
     * @Description:
     * @author taogs
     * @param gicCouponId
     * @return int
     * @throws
     */
    int deleteWmGicCoupon(@Param("gicCouponId") String gicCouponId);
}