package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStore;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabWmStoreMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:29
 */
public interface TabWmStoreMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStore record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStore record);

    /**
     * 根据主键查询
     *
     * @param wmMallStoreId 主键
     * @return 实体对象
     */
    TabWmStore selectByPrimaryKey(Integer wmMallStoreId);
    /**
     * getByWmStoreId
     * @Title: getByWmStoreId
     * @Description:
     * @author taogs
     * @param wmStoreId
     * @return com.gic.enterprise.entity.TabWmStore
     * @throws
     */
    TabWmStore getByWmStoreId(String wmStoreId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStore record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStore record);
    /**
     * 验证是否重复(平台级)
     * @Title: countByParam 
     * @Description: 
     * @author guojuxing 
     * @param data
     * @param wmMallStoreId 店铺ID
     * @param dataType 1:主账号 2：wm_store_id 3:pid
     * @return  int 
     */
    int countByParam(@Param("data") String data, @Param("wmMallStoreId") Integer wmMallStoreId, @Param("dataType") Integer dataType);
    /**
     * countByStoreName
     * @Title: countByStoreName
     * @Description:
     * @author taogs
     * @param storeName
     * @param wmMallStoreId
     * @param enterpriseId
     * @return int
     * @throws
     */
    int countByStoreName(@Param("storeName") String storeName, @Param("wmMallStoreId") Integer wmMallStoreId, @Param("enterpriseId") Integer enterpriseId);
    /**
     * listWmStore
     * @Title: listWmStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appId
     * @param authStatus
     * @param search
     * @return java.util.List<com.gic.enterprise.entity.TabWmStore>
     * @throws
     */
    List<TabWmStore> listWmStore(@Param("enterpriseId") Integer enterpriseId, @Param("appId") String appId, @Param("authStatus") Integer authStatus, @Param("search") String search);
    /**
     * getByWmMainAccount
     * @Title: getByWmMainAccount
     * @Description:
     * @author taogs
     * @param wmMainAccount
     * @return com.gic.enterprise.entity.TabWmStore
     * @throws
     */
    TabWmStore getByWmMainAccount(String wmMainAccount);

    /**
     * listWmStore
     * @Title: listWmStore
     * @Description:
     * @author taogs
     * @param wmStoreIdList
     * @param search
     * @return java.util.List<com.gic.enterprise.entity.TabWmStore>
     * @throws
     */
    List<TabWmStore> listWmStoreByStoreIds(@Param("wmStoreIdList") List<String> wmStoreIdList, @Param("search") String search);
}