package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStoreSyncLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabWmStoreSyncLogMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:29
 */
public interface TabWmStoreSyncLogMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStoreSyncLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStoreSyncLog record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabWmStoreSyncLog selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStoreSyncLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStoreSyncLog record);
    /**
     * pageWmStoreSyncLog
     * @Title: pageWmStoreSyncLog
     * @Description:
     * @author taogs
     * @param search
     * @param type
     * @param wmMallStoreId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    List<TabWmStoreSyncLog> pageWmStoreSyncLog(@Param("search") String search, @Param("type") Integer type,
                                               @Param("wmMallStoreId") Integer wmMallStoreId);
    /**
     * getStoreList
     * @Title: getStoreList
     * @Description:
     * @author taogs
     * @param type
     * @param wmMallStoreId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    List<TabWmStoreSyncLog> getStoreList(@Param("typeList") List<Integer> type, @Param("wmMallStoreId") Integer wmMallStoreId);
    /**
     * deleteLogic
     * @Title: deleteLogic
     * @Description:
     * @author taogs
     * @param storeId
     * @param wmMallStoreId
     * @return int
     * @throws
     */
    int deleteLogic(@Param("storeId") Integer storeId, @Param("wmMallStoreId") Integer wmMallStoreId);
    /**
     * listByStoreId
     * @Title: listByStoreId
     * @Description:
     * @author taogs
     * @param storeId
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    List<TabWmStoreSyncLog> listByStoreId(@Param("storeId") Integer storeId, @Param("enterpriseId") Integer enterpriseId);
    /**
     * listByStoreIdList
     * @Title: listByStoreIdList
     * @Description:
     * @author taogs
     * @param storeIdList
     * @param wmMallStoreId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    List<TabWmStoreSyncLog> listByStoreIdList(@Param("storeIdList") List<Integer> storeIdList,@Param("wmMallStoreId") Integer wmMallStoreId);
}