package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabAppletServiceConfig;
import com.gic.enterprise.qo.AppletServiceConfigQO;
import com.gic.member.config.api.dto.AppletsConfigSimpleOutputDTO;
import com.gic.member.config.api.dto.ServiceConfigSimpleOutputDTO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-27 17:04
 */
public interface AppletServiceConfigService {
    /**
     * listApplet 
     * @Title: listApplet
     * @Description: 
     * @author taogs 
     * @param appletServiceConfigQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabAppletServiceConfig>
     * @throws 
     */
    Page<TabAppletServiceConfig> listApplet(AppletServiceConfigQO appletServiceConfigQO);

    /**
     * listService 
     * @Title: listService
     * @Description: 
     * @author taogs 
     * @param appletServiceConfigQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabAppletServiceConfig>
     * @throws 
     */
    Page<TabAppletServiceConfig> listService(AppletServiceConfigQO appletServiceConfigQO);

    /**
     * syncApplet
     * @Title: syncApplet
     * @Description: 
     * @author taogs 
     * @param responseResult
     * @param enterpriseId
     * @return void
     * @throws 
     */
    void syncApplet(List<AppletsConfigSimpleOutputDTO> responseResult, Integer enterpriseId);

    /**
     * syncServiceConfig
     * @Title: syncServiceConfig
     * @Description:
     * @author taogs
     * @param responseResult
     * @param enterpriseId
     * @return void
     * @throws
     */
    void syncServiceConfig(List<ServiceConfigSimpleOutputDTO> responseResult, Integer enterpriseId);

    /**
     * updateAppletTime
     * @Title: updateAppletTime
     * @Description:
     * @author taogs
     * @param appId
     * @return void
     * @throws
     */
    void updateAppletTime(String appId);

    /**
     * updateServiceTime
     * @Title: updateServiceTime
     * @Description:
     * @author taogs
     * @param appId
     * @return void
     * @throws
     */
    void updateServiceTime(String appId);
    /**
     * delAppletService
     * @Title: delAppletService
     * @Description:
     * @author taogs
     * @param appletServiceId
     * @return void
     * @throws
     */
    void delAppletService(Integer appletServiceId);
    /**
     * getAppletService
     * @Title: getAppletService
     * @Description:
     * @author taogs
     * @param appletServiceId
     * @return com.gic.enterprise.entity.TabAppletServiceConfig
     * @throws
     */
    TabAppletServiceConfig getAppletService(Integer appletServiceId);
}
