package com.gic.enterprise.service;

import com.gic.enterprise.dto.AppletWechatMenuDTO;
import com.gic.enterprise.entity.TabAppletWechatMenu;

import java.util.List;

/**
 * 公众号自定义菜单接口
 * @ClassName: AppletWechatMenuService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/28 10:58 AM 
 */
public interface AppletWechatMenuService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
      */
    Integer save(AppletWechatMenuDTO dto);

    /**
     * 查询
     * @Title: listByParentId 
     * @Description: 
      * @author guojuxing 
     * @param enterpriseId
     * @param parentId 父级ID
     * @param appKey  公众号key
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletWechatMenu> 
      */
    List<TabAppletWechatMenu> listByParentId(Integer enterpriseId, Integer parentId, String appKey);

    /**
     * 菜单名称是否重复
     * @Title: isRepeatName 
     * @Description:
      * @author guojuxing
     * @param menuId
     * @param menuName
     * @param enterpriseId
     * @param appKey  公众号key
     * @return  boolean 
      */
    boolean isRepeatName(Integer menuId, String menuName, Integer enterpriseId, String appKey);
    /**
     * 主键查询记录
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  com.gic.enterprise.entity.TabAppletWechatMenu 
      */
    TabAppletWechatMenu getById(Integer menuId);
    /**
     * update
     * @Title: update
     * @Description:
     * @author taogs
     * @param dto
     * @return void
     * @throws
     */
    void update(AppletWechatMenuDTO dto);
    /**
     * deleteByMenuId
     * @Title: deleteByMenuId
     * @Description:
     * @author taogs
     * @param menuId
     * @return void
     * @throws
     */
    void deleteByMenuId(Integer menuId);

    /**
     * 排序
     * @Title: sort 
     * @Description:
      * @author guojuxing
     * @param menuId
     * @param sort 
     * @return  void 
      */
    void sort(Integer menuId, Integer sort);

    /** 获取所有公众号菜单
     * @Title: listAll 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appKey  公众号key
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletWechatMenu> 
      */
    List<TabAppletWechatMenu> listAll(Integer enterpriseId, String appKey);

    /**
     * deleteWechatMenu
     * @Title: deleteWechatMenu
     * @Description: 
     * @author taogs 
 * @param enterpriseId
 * @param appKey
     * @return void
     * @throws 
     */
    void deleteWechatMenu(Integer enterpriseId, String appKey);
}
