package com.gic.enterprise.service;

import com.gic.enterprise.dto.AuditLogDTO;
import com.gic.enterprise.entity.TabAuditLog;
import com.gic.enterprise.qo.AuditLogQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-24 16:35
 */
public interface AuditLogService {
    /**
     * getLastWaitAuditByApplyUser
     * @Title: getLastWaitAuditByApplyUser
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param applyUserId
     * @param projectItemId
     * @return com.gic.enterprise.entity.TabAuditLog
     * @throws
     */
    TabAuditLog getLastWaitAuditByApplyUser(Integer enterpriseId, Integer applyUserId, Integer projectItemId);
    /**
     * update
     * @Title: update
     * @Description:
     * @author taogs
     * @param auditLog
     * @return void
     * @throws
     */
    void update(TabAuditLog auditLog);
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param auditLogDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(AuditLogDTO auditLogDTO);
    /**
     * getAuditById
     * @Title: getAuditById
     * @Description:
     * @author taogs
     * @param auditLogId
     * @return com.gic.enterprise.entity.TabAuditLog
     * @throws
     */
    TabAuditLog getAuditById(Integer auditLogId);
    /**
     * updateAudit
     * @Title: updateAudit
     * @Description:
     * @author taogs
     * @param auditLogDTO
     * @return void
     * @throws
     */
    void updateAudit(AuditLogDTO auditLogDTO);

    /**
     * 关闭
     * @param auditLogId
     * @return
     */
    int closeAudit(Integer auditLogId);
    /**
     * listAuditLog
     * @Title: listAuditLog
     * @Description:
     * @author taogs
     * @param auditLogQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabAuditLog>
     * @throws
     */
    Page<TabAuditLog> listAuditLog(AuditLogQO auditLogQO);
    /**
     * hasProjectItemInUse
     * @Title: hasProjectItemInUse
     * @Description:
     * @author taogs
     * @param projectItemId
     * @return boolean
     * @throws
     */
    boolean hasProjectItemInUse(Integer projectItemId);

    /**
     * 日志ID查询出sendRandomId，然后查询相同随机ID的数据列表
     * @param auditLogId 日志ID
     * @return
     */
    List<TabAuditLog> listBySendRandomId(Integer auditLogId);
}
