package com.gic.enterprise.service;

import com.gic.enterprise.dto.AccountBalanceRecordDTO;
import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingAccountBalanceRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 余额支付消费明细
 * @ClassName: BillingAccountBalanceRecordService 
 * @Description:    
 * @author guojuxing   
 * @date 2019/8/19 3:35 PM  
 */
public interface BillingAccountBalanceRecordService {

    /**
     * 趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);
    /**
     * 获取本月或者上月消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(Integer enterpriseId, Integer dateType);
    /**
     * listAccountBalanceRecord
     * @Title: listAccountBalanceRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingAccountBalanceRecord>
     * @throws
     */
    Page<TabBillingAccountBalanceRecord> listAccountBalanceRecord(RecordQO recordQO);
    /**
     * getTotalFee
     * @Title: getTotalFee
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return java.lang.Double
     * @throws
     */
    Double getTotalFee(Integer enterpriseId, String startTime, String endTime);
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param accountBalanceRecordDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(AccountBalanceRecordDTO accountBalanceRecordDTO);
    /**
     * countAccountBalanceRecord
     * @Title: countAccountBalanceRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return java.lang.Integer
     * @throws
     */
    Integer countAccountBalanceRecord(RecordQO recordQO);
}
