package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabBillingAccount;

import java.util.List;

/**
 * 计费中心账户
 * @ClassName: BillingAccountService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/16 3:18 PM 
 */
public interface BillingAccountService {

    /**
     * 根据商户ID查询余额账户
     * @Title: getByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.enterprise.entity.TabBillingAccount 
      */
    TabBillingAccount getByEnterpriseId(Integer enterpriseId);
    /**
     * updateBillingAccount
     * @Title: updateBillingAccount
     * @Description:
     * @author taogs
     * @param tabBillingAccount
     * @return void
     * @throws
     */
    void updateBillingAccount(TabBillingAccount tabBillingAccount);
    /**
     * updateAccountAfterRechargeOrRefund
     * @Title: updateAccountAfterRechargeOrRefund
     * @Description:
     * @author taogs
     * @param totalFee
     * @param enterpriseId
     * @return int
     * @throws
     */
    int updateAccountAfterRechargeOrRefund(double totalFee, Integer enterpriseId);
    /**
     * deductAccount
     * @Title: deductAccount
     * @Description:
     * @author taogs
     * @param totalFee
     * @param enterpriseId
     * @return int
     * @throws
     */
    int deductAccount(double totalFee, Integer enterpriseId);
    /**
     * deductAccountByDatabase
     * @Title: deductAccountByDatabase
     * @Description:
     * @author taogs
     * @param totalFee
     * @param enterpriseId
     * @return int
     * @throws
     */
    int deductAccountByDatabase(double totalFee, Integer enterpriseId);
    /**
     * deductAccountByCache
     * @Title: deductAccountByCache
     * @Description:
     * @author taogs
     * @param totalFee
     * @param enterpriseId
     * @return void
     * @throws
     */
    void deductAccountByCache(double totalFee, Integer enterpriseId);

    /**
     * 根据商户ID修改信息，商户ID不能为空
     * @Title: updateBillingAccountByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param tabBillingAccount 
     * @return  void 
      */
    void updateBillingAccountByEnterpriseId(TabBillingAccount tabBillingAccount);

    /**
     * 新增商户的时候初始化账户
     * @Title: createBillingAccount 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  int 
      */
    int createBillingAccount(Integer enterpriseId);
    /**
     * listBillingAccount
     * @Title: listBillingAccount
     * @Description:
     * @author taogs
     * @param enterpriseIdList
     * @return java.util.List<com.gic.enterprise.entity.TabBillingAccount>
     * @throws
     */
    List<TabBillingAccount> listBillingAccount(List<Integer> enterpriseIdList);
}
