package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabBillingCouponCard;
import com.github.pagehelper.Page;

import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: BillingCouponCardService
 * @Description:  
 * @author zhiwj
 * @date 2019/8/14 18:11
 */
public interface BillingCouponCardService {
    /**
     * getNotExpiredCouponCardById
     * @Title: getNotExpiredCouponCardById
     * @Description:
     * @author taogs
     * @param couponCardId
     * @return com.gic.enterprise.entity.TabBillingCouponCard
     * @throws
     */
    TabBillingCouponCard getNotExpiredCouponCardById(Integer couponCardId);
    /**
     * pageBillingCouponCard
     * @Title: pageBillingCouponCard
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingCouponCard>
     * @throws
     */
    Page<TabBillingCouponCard> pageBillingCouponCard(Integer enterpriseId, String startTime, String endTime);

    /**
     * 统计可使用的优惠券张数
     * @Title: countCoupon 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.lang.Integer 
      */
    Integer countCoupon(Integer enterpriseId);
    /**
     * listCoupCardEnabled
     * @Title: listCoupCardEnabled
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param code
     * @return java.util.List<com.gic.enterprise.entity.TabBillingCouponCard>
     * @throws
     */
    List<TabBillingCouponCard> listCoupCardEnabled(Integer enterpriseId, Integer code);
    /**
     * getCoupCardDetail
     * @Title: getCoupCardDetail
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.enterprise.entity.TabBillingCouponCard
     * @throws
     */
    TabBillingCouponCard getCoupCardDetail(Integer id);
    /**
     * useCoupCard
     * @Title: useCoupCard
     * @Description:
     * @author taogs
     * @param coupCardId
     * @return int
     * @throws
     */
    int useCoupCard(Integer coupCardId);
    /**
     * expireCoupCard
     * @Title: expireCoupCard
     * @Description:
     * @author taogs
     * @return int
     * @throws
     */
    int expireCoupCard();
}
