package com.gic.enterprise.service;

import com.gic.enterprise.dto.BillingEnterpriseSmsPackageDTO;
import com.gic.enterprise.entity.TabBillingEnterpriseSmsPackage;
import org.redisson.api.RAtomicLong;

import java.util.List;
/**
 * 我的套餐包
 * @ClassName: BillingEnterpriseSmsPackageService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/20 2:25 PM 
 */
public interface BillingEnterpriseSmsPackageService {

    /**
     * 短信套餐包列表查询
     * @Title: listSmsPackage 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.enterprise.dto.BillingEnterpriseSmsPackageDTO> 
      */
    List<BillingEnterpriseSmsPackageDTO> listSmsPackage(Integer enterpriseId);
    /**
     * getSmsPackageDetail
     * @Title: getSmsPackageDetail
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.enterprise.entity.TabBillingEnterpriseSmsPackage
     * @throws
     */
    TabBillingEnterpriseSmsPackage getSmsPackageDetail(Integer id);
    /**
     * saveEnterpriseSmsPackage
     * @Title: saveEnterpriseSmsPackage
     * @Description:
     * @author taogs
     * @param smsPackage
     * @return void
     * @throws
     */
    void saveEnterpriseSmsPackage(TabBillingEnterpriseSmsPackage smsPackage);

    /**
     * 更新信息
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void update(BillingEnterpriseSmsPackageDTO dto);
    /**
     * deduct
     * @Title: deduct
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.lang.Integer
     * @throws
     */
    Integer deduct(Integer enterpriseId);

    /**
     * getTotalSmsInPackageByEnterpriseId
     * @Title: getTotalSmsInPackageByEnterpriseId
     * @Description: 
     * @author taogs 
 * @param enterpriseId
     * @return org.redisson.api.RAtomicLong
     * @throws 
     */
    RAtomicLong getTotalSmsInPackageByEnterpriseId(Integer enterpriseId);
}
