package com.gic.enterprise.service;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.dto.InternationalSmsRecordDTO;
import com.gic.enterprise.entity.TabBillingInternationalSmsRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-01 16:27
 */
public interface BillingInternationalSmsRecordService {
    /**
     * 趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);

    /**
     * 获取本月或者上月消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(Integer enterpriseId, Integer dateType);
    /**
     * listInternationalSmsRecord
     * @Title: listInternationalSmsRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingInternationalSmsRecord>
     * @throws
     */
    Page<TabBillingInternationalSmsRecord> listInternationalSmsRecord(RecordQO recordQO);
    /**
     * getTotalFee
     * @Title: getTotalFee
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return java.lang.Double
     * @throws
     */
    Double getTotalFee(Integer enterpriseId, String startTime, String endTime);
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param internationalSmsRecordDTO
     * @return java.lang.Long
     * @throws
     */
    Long save(InternationalSmsRecordDTO internationalSmsRecordDTO);
    /**
     * countInternationalSmsRecord
     * @Title: countInternationalSmsRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return java.lang.Integer
     * @throws
     */
    Integer countInternationalSmsRecord(RecordQO recordQO);
    /**
     * updateCacheStatus
     * @Title: updateCacheStatus
     * @Description:
     * @author taogs
     * @param smsRecordId
     * @return void
     * @throws
     */
    void updateCacheStatus(Long smsRecordId);
    /**
     * updateDatabaseStatus
     * @Title: updateDatabaseStatus
     * @Description:
     * @author taogs
     * @param internationalSmsRecordDTO
     * @return void
     * @throws
     */
    void updateDatabaseStatus(InternationalSmsRecordDTO internationalSmsRecordDTO);
}
