package com.gic.enterprise.service;

import com.gic.enterprise.dto.BillingOrderDTO;
import com.gic.enterprise.entity.TabBillingOrder;
import com.github.pagehelper.Page;

/**
 * 
 * @ClassName: BillingOrderService
 * @Description:  
 * @author zhiwj
 * @date 2020/9/10 15:16
 */
public interface BillingOrderService {
    /**
     * saveOrderBuyNow
     * @Title: saveOrderBuyNow
     * @Description:
     * @author taogs
     * @param billingOrderDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer saveOrderBuyNow(BillingOrderDTO billingOrderDTO);
    /**
     * updateOrderPayInfoId
     * @Title: updateOrderPayInfoId
     * @Description:
     * @author taogs
     * @param orderId
     * @param payInfoId
     * @param payType
     * @return boolean
     * @throws
     */
    boolean updateOrderPayInfoId(Integer orderId, Integer payInfoId, Integer payType);
    /**
     * getOrderByPayInfoId
     * @Title: getOrderByPayInfoId
     * @Description:
     * @author taogs
     * @param payInfoId
     * @return com.gic.enterprise.entity.TabBillingOrder
     * @throws
     */
    TabBillingOrder getOrderByPayInfoId(Integer payInfoId);
    /**
     * listOrder
     * @Title: listOrder
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param status
     * @param search
     * @param startDate
     * @param endDate
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingOrder>
     * @throws
     */
    Page<TabBillingOrder> listOrder(Integer enterpriseId, Integer status, String search, String startDate, String endDate);
    /**
     * getOrderById
     * @Title: getOrderById
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.enterprise.entity.TabBillingOrder
     * @throws
     */
    TabBillingOrder getOrderById(Integer id);
    /**
     * cancelOrderApproval
     * @Title: cancelOrderApproval
     * @Description:
     * @author taogs
     * @param orderId
     * @param auditStatus
     * @return java.lang.Integer
     * @throws
     */
    Integer cancelOrderApproval(Integer orderId, Integer auditStatus);
    /**
     * updateBySerialNumber
     * @Title: updateBySerialNumber
     * @Description:
     * @author taogs
     * @param orderSerialNumber
     * @param totalFeePaid
     * @param auditStatus
     * @param timeEnd
     * @return void
     * @throws
     */
    void updateBySerialNumber(String orderSerialNumber, Double totalFeePaid, Integer auditStatus, String timeEnd);
    /**
     * getOrderBySerialNumber
     * @Title: getOrderBySerialNumber
     * @Description:
     * @author taogs
     * @param orderSerialNumber
     * @return com.gic.enterprise.entity.TabBillingOrder
     * @throws
     */
    TabBillingOrder getOrderBySerialNumber(String orderSerialNumber);


}
