package com.gic.enterprise.service;

import com.gic.enterprise.dto.ApprovalCallBackDTO;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.entity.TabBillingPayInfo;
import com.gic.enterprise.qo.BillListQueryQO;
import com.github.pagehelper.Page;

import java.util.Date;

/**
 * 支付信息
 * @ClassName: BillingPayInfoService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 1:59 PM 
 */
public interface BillingPayInfoService {

    /**
     * 根据主键查询单条
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param billingPayInfoId 
     * @return  com.gic.enterprise.entity.TabBillingPayInfo 
      */
    TabBillingPayInfo getById(Integer billingPayInfoId);

    /**
     * 分页查询为开票单据列表数据
     * @Title: listBilling 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingPayInfo> 
      */
    Page<TabBillingPayInfo> listBilling(BillListQueryQO params);
    /**
     * savePayInfo
     * @Title: savePayInfo
     * @Description:
     * @author taogs
     * @param billingPayInfoDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer savePayInfo(BillingPayInfoDTO billingPayInfoDTO);
    /**
     * updatePayInfoBySerialNumber
     * @Title: updatePayInfoBySerialNumber
     * @Description:
     * @author taogs
     * @param resData
     * @return java.lang.Integer
     * @throws
     */
    Integer updatePayInfoBySerialNumber(ApprovalCallBackDTO resData);
    /**
     * getBySerialNumber
     * @Title: getBySerialNumber
     * @Description:
     * @author taogs
     * @param serialNumber
     * @return com.gic.enterprise.entity.TabBillingPayInfo
     * @throws
     */
    TabBillingPayInfo getBySerialNumber(String serialNumber);
    /**
     * updateAudit
     * @Title: updateAudit
     * @Description:
     * @author taogs
     * @param accountAmount
     * @param approvalTime
     * @param payInfoId
     * @return void
     * @throws
     */
    void updateAudit(Double accountAmount, Date approvalTime, Integer payInfoId);
    /**
     * getByOrderSerialNumber
     * @Title: getByOrderSerialNumber
     * @Description:
     * @author taogs
     * @param orderSerialNumber
     * @param payType
     * @return com.gic.enterprise.entity.TabBillingPayInfo
     * @throws
     */
    TabBillingPayInfo getByOrderSerialNumber(String orderSerialNumber, Integer payType);
    /**
     * getByOrderSerialNumber
     * @Title: getByOrderSerialNumber
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param requestCode
     * @param orderSerialNumber
     * @return com.gic.enterprise.entity.TabBillingPayInfo
     * @throws
     */
    TabBillingPayInfo getByOrderSerialNumber(Integer enterpriseId, String requestCode, String orderSerialNumber);
    /**
     * cancelPay
     * @Title: cancelPay
     * @Description:
     * @author taogs
     * @param payInfoDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer cancelPay(BillingPayInfoDTO payInfoDTO);
    /**
     * delOtherPayInfoExceptId
     * @Title: delOtherPayInfoExceptId
     * @Description:
     * @author taogs
     * @param payInfoId
     * @param enterpriseId
     * @param orderSerialNumber
     * @return void
     * @throws
     */
    void delOtherPayInfoExceptId(Integer payInfoId, Integer enterpriseId, String orderSerialNumber);

    /**
     * 开票修改状态为已开票
     * @Title: updateInvoiceStatus 
     * @Description:
      * @author guojuxing
     * @param serialNumbers 
     * @return  void 
      */
    void updateInvoiceStatus(String serialNumbers);
    /**
     * 根据支付流水号查询支付信息
     * @Title: getPayInfoBySerialNumber 
     * @Description:
      * @author guojuxing
     * @param serialNumber 
     * @return  com.gic.enterprise.entity.TabBillingPayInfo 
      */
    TabBillingPayInfo getPayInfoBySerialNumber(String serialNumber);
    /**
     * updatePayType
     * @Title: updatePayType
     * @Description:
     * @author taogs
     * @param payInfoId
     * @param payType
     * @return void
     * @throws
     */
    void updatePayType(Integer payInfoId, Integer payType);
}
