package com.gic.enterprise.service;

import com.gic.enterprise.dto.BillingRechargeDTO;
import com.gic.enterprise.entity.TabBillingRechargeRecord;
import com.gic.enterprise.qo.RechargeRecordQO;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/15 17:05
 */
public interface BillingRechargeRecordService {
    /**
     * saveOffLinePay
     * @Title: saveOffLinePay
     * @Description:
     * @author taogs
     * @param billingRechargeDTO
     * @return com.gic.enterprise.entity.TabBillingRechargeRecord
     * @throws
     */
    TabBillingRechargeRecord saveOffLinePay(BillingRechargeDTO billingRechargeDTO);
    /**
     * saveWxPay
     * @Title: saveWxPay
     * @Description:
     * @author taogs
     * @param billingRechargeDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer saveWxPay(BillingRechargeDTO billingRechargeDTO);
    /**
     * listRechargeRecord
     * @Title: listRechargeRecord
     * @Description:
     * @author taogs
     * @param rechargeRecordQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingRechargeRecord>
     * @throws
     */
    Page<TabBillingRechargeRecord> listRechargeRecord(RechargeRecordQO rechargeRecordQO);
    /**
     * updateBySerialNumber
     * @Title: updateBySerialNumber
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param orderSerialNumber
     * @param totalFee
     * @param totalFeePaid
     * @param auditStatus
     * @param timeEnd
     * @param onlineSerialNumber
     * @return void
     * @throws
     */
    void updateBySerialNumber(Integer enterpriseId, String orderSerialNumber, Double totalFee, Double totalFeePaid, Integer auditStatus, String timeEnd, String onlineSerialNumber);
    /**
     * getRechargeRecord
     * @Title: getRechargeRecord
     * @Description:
     * @author taogs
     * @param rechargeRecordId
     * @return com.gic.enterprise.entity.TabBillingRechargeRecord
     * @throws
     */
    TabBillingRechargeRecord getRechargeRecord(Integer rechargeRecordId);
    /**
     * updateAudit
     * @Title: updateAudit
     * @Description:
     * @author taogs
     * @param auditStatus
     * @param accountAmount
     * @param rechargeRecordId
     * @return void
     * @throws
     */
    void updateAudit(Integer auditStatus, Double accountAmount, Integer rechargeRecordId);
    /**
     * getAuditingRechargeRecord
     * @Title: getAuditingRechargeRecord
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return com.gic.enterprise.entity.TabBillingRechargeRecord
     * @throws
     */
    TabBillingRechargeRecord getAuditingRechargeRecord(Integer enterpriseId);
    /**
     * cancelRechargeApproval
     * @Title: cancelRechargeApproval
     * @Description:
     * @author taogs
     * @param rechargeRecordId
     * @param auditStatus
     * @return java.lang.Integer
     * @throws
     */
    Integer cancelRechargeApproval(Integer rechargeRecordId, Integer auditStatus);
    /**
     * getRechargeRecordBySerialNumber
     * @Title: getRechargeRecordBySerialNumber
     * @Description:
     * @author taogs
     * @param serialNumber
     * @return com.gic.enterprise.entity.TabBillingRechargeRecord
     * @throws
     */
    TabBillingRechargeRecord getRechargeRecordBySerialNumber(String serialNumber);


}
