package com.gic.enterprise.service;

import com.gic.enterprise.dto.RefundDTO;
import com.gic.enterprise.entity.TabBillingRefund;
import com.gic.enterprise.qo.RefundQO;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/9/3 10:46
 */
public interface BillingRefundService {
/**
 * getRefund
 * @Title: getRefund
 * @Description:
 * @author taogs
 * @param enterpriseId
 * @param refundSerialNumber
 * @param requestCode
 * @return com.gic.enterprise.entity.TabBillingRefund
 * @throws
 */
    TabBillingRefund getRefund(Integer enterpriseId, String refundSerialNumber, String requestCode);
/**
 * getTotalRefundFee
 * @Title: getTotalRefundFee
 * @Description:
 * @author taogs
 * @param enterpriseId
 * @param orderSerialNumber
 * @param requestCode
 * @return java.lang.Double
 * @throws
 */
    Double getTotalRefundFee(Integer enterpriseId, String orderSerialNumber, String requestCode);
/**
 * save
 * @Title: save
 * @Description:
 * @author taogs
 * @param refundDTO
 * @return java.lang.Integer
 * @throws
 */
    Integer save(RefundDTO refundDTO);
/**
 * listRefund
 * @Title: listRefund
 * @Description:
 * @author taogs
 * @param refundQO
 * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingRefund>
 * @throws
 */
    Page<TabBillingRefund> listRefund(RefundQO refundQO);
}
