package com.gic.enterprise.service;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.dto.SmsRecordDTO;
import com.gic.enterprise.entity.TabBillingSmsRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;

import java.util.List;
/**
 * 短信消费明细
 * @ClassName: BillingSmsRecordService 
 * @Description:    
 * @author guojuxing   
 * @date 2019/8/19 3:35 PM  
 */
public interface BillingSmsRecordService {

    /**
     * 趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);

    /**
     * 获取本月或者上月消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(Integer enterpriseId, Integer dateType);
    /**
     * listSmsPackageRecord
     * @Title: listSmsPackageRecord
     * @Description:
     * @author taogs
     * @param search
     * @param startDate
     * @param endDate
     * @param smsPackageId
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingSmsRecord>
     * @throws
     */
    Page<TabBillingSmsRecord> listSmsPackageRecord(String search, String startDate, String endDate, Integer smsPackageId);
    /**
     * listSmsRecord
     * @Title: listSmsRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingSmsRecord>
     * @throws
     */
    Page<TabBillingSmsRecord> listSmsRecord(RecordQO recordQO);
    /**
     * countSmsRecord
     * @Title: countSmsRecord
     * @Description:
     * @author taogs
     * @param recordQO
     * @return java.lang.Integer
     * @throws
     */
    Integer countSmsRecord(RecordQO recordQO);
    /**
     * getTotalFee
     * @Title: getTotalFee
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return java.lang.Double
     * @throws
     */
    Double getTotalFee(Integer enterpriseId, String startTime, String endTime);
    /**
     * saveSmsRecord
     * @Title: saveSmsRecord
     * @Description:
     * @author taogs
     * @param smsRecordDTO
     * @return java.lang.Long
     * @throws
     */
    Long saveSmsRecord(SmsRecordDTO smsRecordDTO);
    /**
     * updateCacheStatus
     * @Title: updateCacheStatus
     * @Description:
     * @author taogs
     * @param smsRecordId
     * @return void
     * @throws
     */
    void updateCacheStatus(Long smsRecordId);
    /**
     * updateDatabaseStatus
     * @Title: updateDatabaseStatus
     * @Description:
     * @author taogs
     * @param smsRecordDTO
     * @return void
     * @throws
     */
    void updateDatabaseStatus(SmsRecordDTO smsRecordDTO);
}
