package com.gic.enterprise.service;

import com.gic.enterprise.constant.DownloadReportStatusEnum;
import com.gic.enterprise.dto.DownloadReportDTO;
import com.gic.enterprise.entity.TabDownloadReport;
import com.gic.enterprise.qo.DownloadReportQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-24 16:35
 */
public interface DownloadReportService {
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param downloadReportDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(DownloadReportDTO downloadReportDTO);
    /**
     * updateDownloadUrl
     * @Title: updateDownloadUrl
     * @Description:
     * @author taogs
     * @param downloadReportId
     * @param downloadUrl
     * @return java.lang.Integer
     * @throws
     */
    Integer updateDownloadUrl(Integer downloadReportId, String downloadUrl);

    /**
     * updateDownloadUrl
     * @Title: updateDownloadUrl
     * @Description:
     * @author taogs
     * @param downloadReportId
     * @param downloadUrl
     * @return java.lang.Integer
     * @throws
     */
    Integer updateDownloadUrl(Integer downloadReportId, String downloadUrl, Integer count);
    /**
     * listDownloadReport
     * @Title: listDownloadReport
     * @Description:
     * @author taogs
     * @param downloadReportQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabDownloadReport>
     * @throws
     */
    Page<TabDownloadReport> listDownloadReport(DownloadReportQO downloadReportQO);
    /**
     * updateAudit
     * @Title: updateAudit
     * @Description:
     * @author taogs
     * @param downloadReportId
     * @param auditResult
     * @return int
     * @throws
     */
    int updateAudit(Integer downloadReportId, Integer auditResult);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param downloadReportId
     * @return com.gic.enterprise.entity.TabDownloadReport
     * @throws
     */
    TabDownloadReport getById(Integer downloadReportId);
    /**
     * updateAudit
     * @Title: updateAudit
     * @Description:
     * @author taogs
     * @param downloadReport
     * @return void
     * @throws
     */
    void updateAudit(TabDownloadReport downloadReport);

    /**
     * updateDownloadStatus
     * @Title: updateDownloadStatus
     * @Description:   更新任务下载状态
     * @author taogs
     * @param reportId
     * @param downloadReportStatusEnum
     * @return void
     * @throws
     */
    void updateDownloadStatus(Integer reportId, DownloadReportStatusEnum downloadReportStatusEnum);

    /**
     * updateDataCount
     * @Title: updateDataCount
     * @Description: 
     * @author taogs 
 * @param reportId
 * @param count
     * @return void
     * @throws 
     */
    void updateDataCount(Integer reportId, Integer count);

    List<TabDownloadReport> listUnfinishedTask();
}
