package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabEnterpriseInit;

import java.util.List;

/**
 * @author guojx
 * @date 2019/7/18 11:07 AM
 */
public interface EnterpriseInitService {

    /**
     * 初始化项目
     * @param configCode
     * @param enterpriseId
     */
    void initByCode(String configCode, Integer enterpriseId);
    /**
     * initById
     * @Title: initById
     * @Description:
     * @author taogs
     * @param initId
     * @return void
     * @throws
     */
    void initById(Integer initId);
    /**
     * getByCode
     * @Title: getByCode
     * @Description:
     * @author taogs
     * @param configCode
     * @param enterpriseId
     * @return com.gic.enterprise.entity.TabEnterpriseInit
     * @throws
     */
    TabEnterpriseInit getByCode(String configCode, Integer enterpriseId);

    /**
     * 根据父级ID查询列表
     * @param parentId
     * @param enterpriseId
     * @return
     */
    List<TabEnterpriseInit> listByParentId(Integer parentId, Integer enterpriseId);

    /**
     * 商户初始化配置信息生成，在商户新建的时候进行生成
     * @param enterpriseId
     */
    void initEnterpriseConfigInfo(Integer enterpriseId);

    /**
     * getById
     * @Title: getById
     * @Description: 
     * @author taogs 
 * @param initId
     * @return com.gic.enterprise.entity.TabEnterpriseInit
     * @throws 
     */
    TabEnterpriseInit getById(Integer initId);

    /**
     * 状态改为未初始化状态
     * @param configCode
     * @param enterpriseId
     */
    void unInit(String configCode, Integer enterpriseId);
}
