package com.gic.enterprise.service;

import com.gic.enterprise.dto.IndexModuleDTO;
import com.gic.enterprise.entity.TabIndexModule;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-13 15:56
 */
public interface IndexModuleService {
    /**
     * validModuleNameIsRepeat
     * @Title: validModuleNameIsRepeat
     * @Description:
     * @author taogs
     * @param indexModuleName
     * @return boolean
     * @throws
     */
    boolean validModuleNameIsRepeat(String indexModuleName);
    /**
     * validModuleCodeIsRepeat
     * @Title: validModuleCodeIsRepeat
     * @Description:
     * @author taogs
     * @param indexModuleCode
     * @return boolean
     * @throws
     */
    boolean validModuleCodeIsRepeat(String indexModuleCode);
    /**
     * saveIndexModule
     * @Title: saveIndexModule
     * @Description:
     * @author taogs
     * @param indexModuleDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer saveIndexModule(IndexModuleDTO indexModuleDTO);
    /**
     * getMinSort
     * @Title: getMinSort
     * @Description:
     * @author taogs
     * @return double
     * @throws
     */
    double getMinSort();
    /**
     * updateIndexModule
     * @Title: updateIndexModule
     * @Description:
     * @author taogs
     * @param indexModuleDTO
     * @return void
     * @throws
     */
    void updateIndexModule(IndexModuleDTO indexModuleDTO);
    /**
     * delIndexModule
     * @Title: delIndexModule
     * @Description:
     * @author taogs
     * @param indexModuleId
     * @return void
     * @throws
     */
    void delIndexModule(Integer indexModuleId);
    /**
     * listIndexModule
     * @Title: listIndexModule
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabIndexModule>
     * @throws
     */
    List<TabIndexModule> listIndexModule();
    /**
     * sortIndexModule
     * @Title: sortIndexModule
     * @Description:
     * @author taogs
     * @param indexModuleId
     * @param seq
     * @return void
     * @throws
     */
    void sortIndexModule(Integer indexModuleId, Integer seq);
    /**
     * listIndexModuleEnterprise
     * @Title: listIndexModuleEnterprise
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabIndexModule>
     * @throws
     */
    List<TabIndexModule> listIndexModuleEnterprise(Integer enterpriseId);
    /**
     * getIndexModule
     * @Title: getIndexModule
     * @Description:
     * @author taogs
     * @param indexModuleId
     * @return com.gic.enterprise.entity.TabIndexModule
     * @throws
     */
    TabIndexModule getIndexModule(Integer indexModuleId);
}
