package com.gic.enterprise.service;

import com.gic.enterprise.dto.LinkDTO;
import com.gic.enterprise.entity.TabLink;
import com.gic.enterprise.qo.LinkQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 14:22
 */
public interface LinkService {
    /**
     * validNameIsRepeat
     * @Title: validNameIsRepeat
     * @Description:
     * @author taogs
     * @param name
     * @param linkId
     * @return boolean
     * @throws
     */
    boolean validNameIsRepeat(String name, Integer linkId);
    /**
     * saveLinkType
     * @Title: saveLinkType
     * @Description:
     * @author taogs
     * @param name
     * @param type
     * @return java.lang.Integer
     * @throws
     */
    Integer saveLinkType(String name, Integer type);
    /**
     * updateLinkType
     * @Title: updateLinkType
     * @Description:
     * @author taogs
     * @param linkId
     * @param name
     * @param type
     * @return int
     * @throws
     */
    int updateLinkType(Integer linkId, String name, Integer type);

    /**
     * updateLinkMenu
     * @Title: updateLinkMenu
     * @Description:
     * @author taogs
     * @param linkDTO
     * @return void
     * @throws
     */
    void updateLinkMenu(LinkDTO linkDTO);
    /**
     * saveLinkChildMenu
     * @Title: saveLinkChildMenu
     * @Description:
     * @author taogs
     * @param linkDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer saveLinkChildMenu(LinkDTO linkDTO);
    /**
     * updateLinkChildMenu
     * @Title: updateLinkChildMenu
     * @Description:
     * @author taogs
     * @param linkDTO
     * @return int
     * @throws
     */
    int updateLinkChildMenu(LinkDTO linkDTO);
    /**
     * getAllLinkIdsByParentIds
     * @Title: getAllLinkIdsByParentIds
     * @Description:
     * @author taogs
     * @param linkIdList
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> getAllLinkIdsByParentIds(List<Integer> linkIdList);
    /**
     * delLinkByIdList
     * @Title: delLinkByIdList
     * @Description:
     * @author taogs
     * @param allIdList
     * @return int
     * @throws
     */
    int delLinkByIdList(List<Integer> allIdList);
    /**
     * listLinkType
     * @Title: listLinkType
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> listLinkType();
    /**
     * listLinkMenu
     * @Title: listLinkMenu
     * @Description:
     * @author taogs
     * @param linkQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    Page<TabLink> listLinkMenu(LinkQO linkQO);
    /**
     * getLinkByParentIds
     * @Title: getLinkByParentIds
     * @Description:
     * @author taogs
     * @param linkIdList
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> getLinkByParentIds(List<Integer> linkIdList);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param linkId
     * @return com.gic.enterprise.entity.TabLink
     * @throws
     */
    TabLink getById(Integer linkId);
    /**
     * listByGic
     * @Title: listByGic
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param parentId
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> listByGic(Integer enterpriseId, Integer parentId);
    /**
     * treeByGic
     * @Title: treeByGic
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param objectType
     * @return java.util.List<com.gic.enterprise.entity.TabLink>
     * @throws
     */
    List<TabLink> treeByGic(Integer enterpriseId, Integer objectType);
}
