package com.gic.enterprise.service;

import com.gic.enterprise.dto.PlatformBrandRefDTO;
import com.gic.enterprise.entity.TabPlatformBrandRef;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;
/**
 * 
 * @ClassName: PlatformBrandRefService
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:33
 */
public interface PlatformBrandRefService {
    /**
     * countByPlatformBrandId
     * @Title: countByPlatformBrandId
     * @Description:
     * @author taogs
     * @param platformBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer countByPlatformBrandId(Integer platformBrandId);
    /**
     * countByPlatformBrandIds
     * @Title: countByPlatformBrandIds
     * @Description:
     * @author taogs
     * @param platformBrandIdList
     * @return java.util.Map<java.lang.Integer,java.lang.Integer>
     * @throws
     */
    Map<Integer,Integer> countByPlatformBrandIds(List<Integer> platformBrandIdList);
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param platformBrandRefDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(PlatformBrandRefDTO platformBrandRefDTO);
    /**
     * delRef
     * @Title: delRef
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param enterpriseBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer delRef(Integer enterpriseId, Long enterpriseBrandId);
    /**
     * delRef
     * @Title: delRef
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param enterpriseBrandIds
     * @return java.lang.Integer
     * @throws
     */
    Integer delRef(Integer enterpriseId, List<Long> enterpriseBrandIds);
    /**
     * listByPlatformBrandRef
     * @Title: listByPlatformBrandRef
     * @Description:
     * @author taogs
     * @param platformBrandId
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPlatformBrandRef>
     * @throws
     */
    Page<TabPlatformBrandRef> listByPlatformBrandRef(Integer platformBrandId);
    /**
     * updateRef
     * @Title: updateRef
     * @Description:
     * @author taogs
     * @param fromBrandId
     * @param toBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer updateRef(Integer fromBrandId, Integer toBrandId);
    /**
     * updateRefs
     * @Title: updateRefs
     * @Description:
     * @author taogs
     * @param fromBrandIds
     * @param platformBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer updateRefs(List<Integer> fromBrandIds, Integer platformBrandId);
}
