package com.gic.enterprise.service;

import com.gic.enterprise.dto.PlatformBrandDTO;
import com.gic.enterprise.entity.TabPlatformBrand;
import com.github.pagehelper.Page;

import java.util.List;
/**
 * 
 * @ClassName: PlatformBrandService
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:34
 */
public interface PlatformBrandService {
    /**
     * getByBrandName
     * @Title: getByBrandName
     * @Description:
     * @author taogs
     * @param platformBrandName
     * @return com.gic.enterprise.entity.TabPlatformBrand
     * @throws
     */
    TabPlatformBrand getByBrandName(String platformBrandName);
    /**
     * getByBrandNameAndId
     * @Title: getByBrandNameAndId
     * @Description:
     * @author taogs
     * @param platformBrandName
     * @param platformBrandId
     * @return com.gic.enterprise.entity.TabPlatformBrand
     * @throws
     */
    TabPlatformBrand getByBrandNameAndId(String platformBrandName, Integer platformBrandId);
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param platformBrandDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(PlatformBrandDTO platformBrandDTO);
    /**
     * update
     * @Title: update
     * @Description:
     * @author taogs
     * @param platformBrandDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer update(PlatformBrandDTO platformBrandDTO);
    /**
     * delBrandById
     * @Title: delBrandById
     * @Description:
     * @author taogs
     * @param platformBrandId
     * @return java.lang.Integer
     * @throws
     */
    Integer delBrandById(Integer platformBrandId);
    /**
     * listPlatformBrand
     * @Title: listPlatformBrand
     * @Description:
     * @author taogs
     * @param platformBrandDTO
     * @param pageNum
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPlatformBrand>
     * @throws
     */
    Page<TabPlatformBrand> listPlatformBrand(PlatformBrandDTO platformBrandDTO, Integer pageNum, Integer pageSize);
    /**
     * delBrandByIds
     * @Title: delBrandByIds
     * @Description:
     * @author taogs
     * @param fromBrandIds
     * @return java.lang.Integer
     * @throws
     */
    Integer delBrandByIds(List<Integer> fromBrandIds);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param platformBrandId
     * @return com.gic.enterprise.entity.TabPlatformBrand
     * @throws
     */
    TabPlatformBrand getById(Integer platformBrandId);
}
