package com.gic.enterprise.service;

import com.gic.enterprise.dto.ProductMarketDTO;
import com.gic.enterprise.entity.TabProductMarket;
import com.gic.enterprise.qo.ProductMarketQO;
import com.github.pagehelper.Page;

/**
 * 达摩产品情报站
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 9:28 AM 
 */
public interface ProductMarketService {
    /**
     * 新增情报
     * @param productMarketDTO
     */
    void saveProductMarket(ProductMarketDTO productMarketDTO);

    /**
     * 更新情报
     * @param productMarketDTO
     */
    void updateProductMarket(ProductMarketDTO productMarketDTO);

    /**
     * 详情
     * @param productMarketId
     * @return
     */
    TabProductMarket getProductMarket(Integer productMarketId);

    /**
     * 分页查询
     * @param params
     * @return
     */
    Page<TabProductMarket> pageProductMarket(ProductMarketQO params);

    /**
     * 是否有新消息（当天发布，并且时间小于当前时间，精确到秒）
     * @return
     */
    Boolean hasNewInfo();
}
