package com.gic.enterprise.service;

import com.gic.enterprise.dto.ProjectItemDTO;
import com.gic.enterprise.entity.TabProjectItem;
import com.gic.enterprise.qo.ProjectItemQO;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 10:10
 */
public interface ProjectItemService {
    /**
     * getFirstProjectItem
     * @Title: getFirstProjectItem
     * @Description:
     * @author taogs
     * @param projectItemDTO
     * @return com.gic.enterprise.entity.TabProjectItem
     * @throws
     */
    TabProjectItem getFirstProjectItem(ProjectItemDTO projectItemDTO);
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param projectItemDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(ProjectItemDTO projectItemDTO);
    /**
     * update
     * @Title: update
     * @Description:
     * @author taogs
     * @param projectItemDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer update(ProjectItemDTO projectItemDTO);
    /**
     * validProjectItemNameIsRepeat
     * @Title: validProjectItemNameIsRepeat
     * @Description:
     * @author taogs
     * @param projectItemName
     * @param projectId
     * @param projectItemId
     * @return boolean
     * @throws
     */
    boolean validProjectItemNameIsRepeat(String projectItemName, Integer projectId, Integer projectItemId);
    /**
     * validProjectItemCodeIsRepeat
     * @Title: validProjectItemCodeIsRepeat
     * @Description:
     * @author taogs
     * @param projectItemCode
     * @param projectItemId
     * @return boolean
     * @throws
     */
    boolean validProjectItemCodeIsRepeat(String projectItemCode, Integer projectItemId);
    /**
     * del
     * @Title: del
     * @Description:
     * @author taogs
     * @param projectItemId
     * @return java.lang.Integer
     * @throws
     */
    Integer del(Integer projectItemId);
    /**
     * listProjectItem
     * @Title: listProjectItem
     * @Description:
     * @author taogs
     * @param projectItemQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabProjectItem>
     * @throws
     */
    Page<TabProjectItem> listProjectItem(ProjectItemQO projectItemQO);
    /**
     * getProjectItemCountByProjectIds
     * @Title: getProjectItemCountByProjectIds
     * @Description:
     * @author taogs
     * @param projectIds
     * @param useStatus
     * @return java.util.Map<java.lang.Integer,java.lang.Integer>
     * @throws
     */
    Map<Integer,Integer> getProjectItemCountByProjectIds(List<Integer> projectIds, Integer useStatus);
    /**
     * listAllProjectItem
     * @Title: listAllProjectItem
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabProjectItem>
     * @throws
     */
    List<TabProjectItem> listAllProjectItem();
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param projectItemId
     * @return com.gic.enterprise.entity.TabProjectItem
     * @throws
     */
    TabProjectItem getById(Integer projectItemId);
    /**
     * getByProjectItemCode
     * @Title: getByProjectItemCode
     * @Description:
     * @author taogs
     * @param projectItemCode
     * @return com.gic.enterprise.entity.TabProjectItem
     * @throws
     */
    TabProjectItem getByProjectItemCode(String projectItemCode);
    /**
     * setProjectItemSort
     * @Title: setProjectItemSort
     * @Description:
     * @author taogs
     * @param projectItemId
     * @param seq
     * @return void
     * @throws
     */
    void setProjectItemSort(Integer projectItemId, Integer seq);
}
