package com.gic.enterprise.service;

import com.gic.enterprise.dto.ProjectDTO;
import com.gic.enterprise.entity.TabProject;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 9:45
 */
public interface ProjectService {
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param projectDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(ProjectDTO projectDTO);
    /**
     * update
     * @Title: update
     * @Description:
     * @author taogs
     * @param projectDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer update(ProjectDTO projectDTO);
    /**
     * delProject
     * @Title: delProject
     * @Description:
     * @author taogs
     * @param projectId
     * @return java.lang.Integer
     * @throws
     */
    Integer delProject(Integer projectId);
    /**
     * listProject
     * @Title: listProject
     * @Description:
     * @author taogs
     * @param projectDTO
     * @param pageNum
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabProject>
     * @throws
     */
    Page<TabProject> listProject(ProjectDTO projectDTO, Integer pageNum, Integer pageSize);
    /**
     * validProjectNameIsRepeat
     * @Title: validProjectNameIsRepeat
     * @Description:
     * @author taogs
     * @param projectName
     * @param projectId
     * @return boolean
     * @throws
     */
    boolean validProjectNameIsRepeat(String projectName, Integer projectId);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param projectId
     * @return com.gic.enterprise.entity.TabProject
     * @throws
     */
    TabProject getById(Integer projectId);
    /**
     * listAllProject
     * @Title: listAllProject
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabProject>
     * @throws
     */
    List<TabProject> listAllProject();
    /**
     * getProjectByProjectItem
     * @Title: getProjectByProjectItem
     * @Description:
     * @author taogs
     * @param projectItemId
     * @return com.gic.enterprise.entity.TabProject
     * @throws
     */
    TabProject getProjectByProjectItem(Integer projectItemId);
    /**
     * setProjectSort
     * @Title: setProjectSort
     * @Description:
     * @author taogs
     * @param projectId
     * @param seq
     * @return void
     * @throws
     */
    void setProjectSort(Integer projectId, Integer seq);
}
