package com.gic.enterprise.service;

import com.gic.enterprise.dto.QrcodeScenesDTO;
import com.gic.enterprise.entity.TabQrcodeDownload;
import com.gic.enterprise.entity.TabQrcodeScenes;
import com.gic.enterprise.entity.TabQrcodeScenesClassify;
import com.gic.enterprise.entity.TabQrcodeScenesValue;
import com.github.pagehelper.Page;

import java.util.List;
/**
 *
 * @ClassName: QrCodeService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:35
 */
public interface QrCodeService {
    /**
     * saveQrCodeClassify
     * @Title: saveQrCodeClassify
     * @Description:
     * @author taogs
     * @param classify
     * @return int
     * @throws
     */
    int saveQrCodeClassify(TabQrcodeScenesClassify classify);
    /**
     * listQrcodeClassify
     * @Title: listQrcodeClassify
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param search
     * @return java.util.List<com.gic.enterprise.entity.TabQrcodeScenesClassify>
     * @throws
     */
    List<TabQrcodeScenesClassify> listQrcodeClassify(Integer enterpriseId, String search);
    /**
     * getQrCodeScenesClassifyById
     * @Title: getQrCodeScenesClassifyById
     * @Description:
     * @author taogs
     * @param classifyId
     * @return com.gic.enterprise.entity.TabQrcodeScenesClassify
     * @throws
     */
    TabQrcodeScenesClassify getQrCodeScenesClassifyById(Integer classifyId);
    /**
     * listQrcodeScenesClassifyByName
     * @Title: listQrcodeScenesClassifyByName
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param name
     * @return java.util.List<com.gic.enterprise.entity.TabQrcodeScenesClassify>
     * @throws
     */
    List<TabQrcodeScenesClassify> listQrcodeScenesClassifyByName(Integer enterpriseId, String name);
    /**
     * deleteQrcodeScenesClassify
     * @Title: deleteQrcodeScenesClassify
     * @Description:
     * @author taogs
     * @param id
     * @return int
     * @throws
     */
    int deleteQrcodeScenesClassify(Integer id);
    /**
     * saveQrCodeScenes
     * @Title: saveQrCodeScenes
     * @Description:
     * @author taogs
     * @param qrcodeScenes
     * @return int
     * @throws
     */
    int saveQrCodeScenes(TabQrcodeScenes qrcodeScenes);
    /**
     * listQrcodeScenesByName
     * @Title: listQrcodeScenesByName
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param name
     * @return java.util.List<com.gic.enterprise.entity.TabQrcodeScenes>
     * @throws
     */
    List<TabQrcodeScenes> listQrcodeScenesByName(Integer enterpriseId, String name);
    /**
     * listQrCodeScenes
     * @Title: listQrCodeScenes
     * @Description:
     * @author taogs
     * @param search
     * @param classifyId
     * @param enterpriseId
     * @return com.github.pagehelper.Page<com.gic.enterprise.dto.QrcodeScenesDTO>
     * @throws
     */
    Page<QrcodeScenesDTO> listQrCodeScenes(String search, Integer classifyId, Integer enterpriseId);
    /**
     * getQrcodeScenesById
     * @Title: getQrcodeScenesById
     * @Description:
     * @author taogs
     * @param scenesId
     * @return com.gic.enterprise.entity.TabQrcodeScenes
     * @throws
     */
    TabQrcodeScenes getQrcodeScenesById(Integer scenesId);
    /**
     * updateQrCodeScenesStatus
     * @Title: updateQrCodeScenesStatus
     * @Description:
     * @author taogs
     * @param scenesId
     * @param status
     * @return int
     * @throws
     */
    int updateQrCodeScenesStatus(Integer scenesId, int status);
    /**
     * saveQrcodeScenesValue
     * @Title: saveQrcodeScenesValue
     * @Description:
     * @author taogs
     * @param tabQrcodeScenesValue
     * @return int
     * @throws
     */
    int saveQrcodeScenesValue(TabQrcodeScenesValue tabQrcodeScenesValue);
    /**
     * listQrCodeScenesValue
     * @Title: listQrCodeScenesValue
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param scenesId
     * @param search
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabQrcodeScenesValue>
     * @throws
     */
    Page<TabQrcodeScenesValue> listQrCodeScenesValue(Integer enterpriseId, Integer scenesId, String search);
    /**
     * deleteQrcodeScenesValue
     * @Title: deleteQrcodeScenesValue
     * @Description:
     * @author taogs
     * @param valueId
     * @return int
     * @throws
     */
    int deleteQrcodeScenesValue(Integer valueId);
    /**
     * saveQrcodeDownload
     * @Title: saveQrcodeDownload
     * @Description:
     * @author taogs
     * @param qrcodeDownload
     * @return int
     * @throws
     */
    int saveQrcodeDownload(TabQrcodeDownload qrcodeDownload);
    /**
     * getQrcodeDownload
     * @Title: getQrcodeDownload
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.enterprise.entity.TabQrcodeDownload
     * @throws
     */
    TabQrcodeDownload getQrcodeDownload(Integer id);
}
