package com.gic.enterprise.service;

import com.gic.enterprise.dto.TodoItemDTO;
import com.gic.enterprise.entity.TabTodoItem;
import com.gic.enterprise.qo.TodoItemQO;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 17:20
 */
public interface TodoItemService {
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param todoItemDTO
     * @return void
     * @throws
     */
    void save(TodoItemDTO todoItemDTO);
    /**
     * getByItemInfoUrl
     * @Title: getByItemInfoUrl
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param userId
     * @param itemType
     * @param itemInfoUrl
     * @return com.gic.enterprise.entity.TabTodoItem
     * @throws
     */
    TabTodoItem getByItemInfoUrl(Integer enterpriseId, Integer userId, String itemType, String itemInfoUrl);
    /**
     * finishTodoItem
     * @Title: finishTodoItem
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param userId
     * @param itemType
     * @param itemInfoUrl
     * @return int
     * @throws
     */
    int finishTodoItem(Integer enterpriseId, Integer userId, String itemType, String itemInfoUrl);
    /**
     * listTodoItem
     * @Title: listTodoItem
     * @Description:
     * @author taogs
     * @param todoItemQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabTodoItem>
     * @throws
     */
    Page<TabTodoItem> listTodoItem(TodoItemQO todoItemQO);
    /**
     * getUnFinishCount
     * @Title: getUnFinishCount
     * @Description:
     * @author taogs
     * @param todoItemQO
     * @return java.lang.Integer
     * @throws
     */
    Integer getUnFinishCount(TodoItemQO todoItemQO);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param todoItemId
     * @return com.gic.enterprise.entity.TabTodoItem
     * @throws
     */
    TabTodoItem getById(Integer todoItemId);
}
