package com.gic.enterprise.service;

import com.gic.enterprise.dto.union.UnionEnterpriseAuthAppDTO;
import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthApp;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 应用策略
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/5 10:06 AM 
 */
public interface UnionEnterpriseAuthAppService {

    /**
     * 新增应用策略
     * @param dto
     * @return
     */
    int saveUnionEnterpriseAuthApp(UnionEnterpriseAuthAppDTO dto);

    /**
     * 编辑应用策略
     * @param dto
     * @return
     */
    int editUnionEnterpriseAuthApp(UnionEnterpriseAuthAppDTO dto);

    /**
     * 查询联合商户下面的应用策略列表
     * @param unionEnterpriseAuthId
     * @return
     */
    List<TabSysUnionEnterpriseAuthApp> listUnionEnterpriseAuthApp(@NotNull Integer unionEnterpriseAuthId);

    /**
     * 策略名称重复
     * @param unionEnterpriseAuthAppId
     * @param unionEnterpriseAuthId
     * @param strategyName
     * @return
     */
    boolean isRepeatStrategyName(Integer unionEnterpriseAuthAppId, Integer unionEnterpriseAuthId, String strategyName);

    /**
     * 查询详情
     * @param unionEnterpriseAuthAppId
     * @return
     */
    TabSysUnionEnterpriseAuthApp getUnionEnterpriseAuthApp(@NotNull Integer unionEnterpriseAuthAppId);

    /**
     * 删除策略
     * @param unionEnterpriseAuthAppId
     * @return
     */
    int deleteUnionEnterpriseAuthApp(@NotNull Integer unionEnterpriseAuthAppId);

    /**
     * 批量删除策略
     * @param unionEnterpriseAuthId
     * @return
     */
    Integer deleteUnionEnterpriseAuthAppByUnionEnterpriseAuthId(@NotNull Integer unionEnterpriseAuthId);
}
