package com.gic.enterprise.service;

import java.util.List;

import javax.validation.constraints.NotNull;

import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthResDetail;

/**
 * 联合商户资源详情
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 8:39 PM 
 */
public interface UnionEnterpriseAuthResDetailService {
    /**
     * 查询资源详情列表
     * @param unionEnterpriseAuthId
     * @param authStatus 授权状态  UnionEnterpriseAuthDetailStatusEnum
     * @return
     */
    List<TabSysUnionEnterpriseAuthResDetail> listUnionEnterpriseAuthResDetail(Integer unionEnterpriseAuthId, Integer authStatus);

    /**
     * 查询某种资源详情
     * @param unionEnterpriseAuthId
     * @param resourceType 资源类型  UnionEnterpriseAuthResTypeEnum
     * @return
     */
    TabSysUnionEnterpriseAuthResDetail getUnionEnterpriseAuthResDetail(@NotNull Integer unionEnterpriseAuthId, @NotNull Integer resourceType);

    /**
     * 资源授权的时候，初始化资源详情数据
     * 每一种资源生成一条未授权记录.
     * 如果已存在，则是编辑逻辑
     * @param unionEnterpriseAuthId
     */
    void initUnionEnterpriseAuthResDetail(@NotNull Integer unionEnterpriseAuthId);

    /**
     * 发起解除联合(并未真正开始解除，因为有保留时间)
     * @param unionEnterpriseAuthId
     */
    void relieveUnion(@NotNull Integer unionEnterpriseAuthId);

    /**
     * 查询资源详情列表数据
     * @param unionEnterpriseAuthIdList
     * @return
     */
    List<TabSysUnionEnterpriseAuthResDetail> listByUnionEnterpriseAuthIdList(List<Integer> unionEnterpriseAuthIdList);

    /**
     * 联合资源回调资源状态
     * @param unionEnterpriseAuthResDetailId
     * @param authStatus UnionEnterpriseAuthDetailStatusEnum
     * @param authKey
     * @param remark
     * @return
     */
    int union(@NotNull Integer unionEnterpriseAuthResDetailId, @NotNull Integer authStatus, String authKey, String remark);
}
