package com.gic.enterprise.service;

import java.util.List;

import com.gic.enterprise.dto.wm.WmStoreConfigDTO;
import com.gic.enterprise.entity.TabWmStoreConfig;
/**
 * 
 * @ClassName: WmStoreConfigService
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:29
 */
public interface WmStoreConfigService {

    /**
     * 新增店铺配置
     * @Title: saveWmStoreConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveWmStoreConfig(WmStoreConfigDTO dto);
    /**
     * editWmStoreConfig
     * @Title: editWmStoreConfig
     * @Description:
     * @author taogs
     * @param dto
     * @return void
     * @throws
     */
    void editWmStoreConfig(WmStoreConfigDTO dto);

    /**
     * 根据微盟主账号查询配置
     * @Title: getWmStoreConfig 
     * @Description:
     * @author guojuxing
     * @param wmMallStoreId 店铺主键ID
     * @param storeConfigType 店铺配置类型 WmStoreConfigTypeEnum枚举类
     * @return  com.gic.enterprise.entity.TabWmStoreConfig 
     */
    TabWmStoreConfig getWmStoreConfig(Integer wmMallStoreId, Integer storeConfigType);
    /**
     * listWmStoreConfig
     * @Title: listWmStoreConfig
     * @Description:
     * @author taogs
     * @param wmMallStoreId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreConfig>
     * @throws
     */
    List<TabWmStoreConfig> listWmStoreConfig(Integer wmMallStoreId);
}
