package com.gic.enterprise.service;

import com.gic.enterprise.dto.wm.WmStoreCouponConfigDTO;
import com.gic.enterprise.entity.TabWmStoreCouponConfig;
import com.gic.enterprise.qo.wm.CouponConfigQO;
import com.github.pagehelper.Page;

import java.util.List;
/**
 * 
 * @ClassName: WmStoreCouponConfigService
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:29
 */
public interface WmStoreCouponConfigService {

    /**
     * 卡券绑定
     * @Title: saveCouponConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void saveCouponConfig(WmStoreCouponConfigDTO dto);

    /**
     * 查询卡券配置记录
     * @Title: getCouponConfig 
     * @Description:
     * @author guojuxing
     * @param params 
     * @return  com.gic.enterprise.entity.TabWmStoreCouponConfig 
     */
    List<TabWmStoreCouponConfig> getCouponConfig(CouponConfigQO params);
    /**
     * pageCouponConfig
     * @Title: pageCouponConfig
     * @Description:
     * @author taogs
     * @param params
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabWmStoreCouponConfig>
     * @throws
     */
    Page<TabWmStoreCouponConfig> pageCouponConfig(CouponConfigQO params);
    /**
     * deleteWmGicCoupon
     * @Title: deleteWmGicCoupon
     * @Description:
     * @author taogs
     * @param gicCouponId
     * @return int
     * @throws
     */
    int deleteWmGicCoupon(String gicCouponId);
}
