package com.gic.enterprise.service;

import com.gic.enterprise.dto.WmStoreDTO;
import com.gic.enterprise.entity.TabWmStore;

import java.util.List;

/**
 * 微盟商城店铺
 * @ClassName: WmStoreService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 10:47 AM 
 */
public interface WmStoreService {
    /**
     * 新增
     * @Title: saveWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  java.lang.Integer 
     */
    Integer saveWmStore(WmStoreDTO wmStoreDTO);
    /**
     * modifyWmStore
     * @Title: modifyWmStore
     * @Description:
     * @author taogs
     * @param wmStoreDTO
     * @return void
     * @throws
     */
    void modifyWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 验证是否重复(平台级)
     * @Title: validRepeat 
     * @Description:
     * @author guojuxing
     * @param data
     * @param wmMallStoreId 店铺ID
     * @param dataType 1:主账号 2：wm_store_id 3:pid
     * @return  boolean 
     */
    boolean validRepeat(String data, Integer wmMallStoreId, Integer dataType);
    /**
     * 店铺名称商户级验证重复
     * @Title: validRepeatStoreName 
     * @Description:
     * @author guojuxing
     * @param storeName
     * @param wmMallStoreId 店铺ID
     * @param enterpriseId 商户ID
     * @return  boolean 
     */
    boolean validRepeatStoreName(String storeName, Integer wmMallStoreId, Integer enterpriseId);
    /**
     * getByWmMallStoreId
     * @Title: getByWmMallStoreId
     * @Description:
     * @author taogs
     * @param wmMallStoreId
     * @return com.gic.enterprise.entity.TabWmStore
     * @throws
     */
    TabWmStore getByWmMallStoreId(Integer wmMallStoreId);
    /**
     * getByWmStoreId
     * @Title: getByWmStoreId
     * @Description:
     * @author taogs
     * @param wmStoreId
     * @return com.gic.enterprise.entity.TabWmStore
     * @throws
     */
    TabWmStore getByWmStoreId(String wmStoreId);

    /**
     * 微盟主账号查询记录，因为主账号平台唯一
     * @Title: getByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount 
     * @return  com.gic.enterprise.entity.TabWmStore 
     */
    TabWmStore getByWmMainAccount(String wmMainAccount);
    /**
     * listWmStore
     * @Title: listWmStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param search
     * @return java.util.List<com.gic.enterprise.entity.TabWmStore>
     * @throws
     */
    List<TabWmStore> listWmStore(Integer enterpriseId, String search);

    /**
     * listWmStore
     * @Title: listWmStore
     * @Description:
     * @author taogs
     * @param wmStoreIdList
     * @param search
     * @return java.util.List<com.gic.enterprise.entity.TabWmStore>
     * @throws
     */
    List<TabWmStore> listWmStore(List<String> wmStoreIdList, String search);

    /**
     * 已授权店铺
     * @param enterpriseId
     * @return
     */
    List<TabWmStore> getHasAuth(Integer enterpriseId);
}
