package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.constant.applet.AppletAppStatusEnum;
import com.gic.enterprise.dao.mapper.TabAppletAppMapper;
import com.gic.enterprise.dto.AppletAppDTO;
import com.gic.enterprise.entity.TabAppletApp;
import com.gic.enterprise.service.AppletAppService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 * 
 * @ClassName: AppletAppServiceImpl
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:24
 */
@Service("appletAppService")
public class AppletAppServiceImpl implements AppletAppService {
    @Autowired
    private TabAppletAppMapper tabAppletAppMapper;

    @Override
    public Integer save(AppletAppDTO dto) {
        dto.setCreateTime(new Date());
        dto.setUpdateTime(new Date());
        dto.setAppStatus(AppletAppStatusEnum.BIND.getCode());
        TabAppletApp record = EntityUtil.changeEntityNew(TabAppletApp.class, dto);
        tabAppletAppMapper.insert(record);
        return record.getAppletAppId();
    }

    @Override
    public Integer save(TabAppletApp record) {
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setAppStatus(AppletAppStatusEnum.BIND.getCode());
        tabAppletAppMapper.insert(record);
        return record.getAppletAppId();
    }

    @Override
    public void edit(AppletAppDTO dto) {
        dto.setUpdateTime(new Date());
        TabAppletApp record = EntityUtil.changeEntityNew(TabAppletApp.class, dto);
        tabAppletAppMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public void updateAppStatus(Integer appletAppId, Integer status) {
        TabAppletApp record = new TabAppletApp();
        record.setAppletAppId(appletAppId);
        record.setAppStatus(status);
        tabAppletAppMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabAppletApp getById(Integer appletAppId) {
        return tabAppletAppMapper.selectByPrimaryKey(appletAppId);
    }

    @Override
    public boolean isRepeatName(Integer enterpriseId, Integer appletAppId, String name) {
        int count = tabAppletAppMapper.countByAppName(enterpriseId, appletAppId, name);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public boolean isRepeatAppId(Integer enterpriseId, Integer appletAppId, String appId) {
        int count = tabAppletAppMapper.countByAppId(enterpriseId, appletAppId, appId);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public int countByEnterpriseId(Integer enterpriseId) {
        return tabAppletAppMapper.countByEnterpriseId(enterpriseId);
    }

    @Override
    public Page<TabAppletApp> page(String search, Integer enterpriseId, Integer appStatus, Integer orderCode,
            Integer currentPage, Integer pageSize) {
        PageHelper.startPage(currentPage, pageSize);
        List<TabAppletApp> list = tabAppletAppMapper.listByParams(search, enterpriseId, appStatus, orderCode);
        return (Page<TabAppletApp>) list;
    }
}
