package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabAppletWechatMenuMapper;
import com.gic.enterprise.dto.AppletWechatMenuDTO;
import com.gic.enterprise.entity.TabAppletWechatMenu;
import com.gic.enterprise.service.AppletWechatMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: AppletWechatMenuServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:25
 */
@Service("appletWechatMenuService")
public class AppletWechatMenuServiceImpl implements AppletWechatMenuService{
    @Autowired
    private TabAppletWechatMenuMapper tabAppletWechatMenuMapper;


    @Override
    public Integer save(AppletWechatMenuDTO dto) {
        dto.setCreateTime(new Date());
        dto.setUpdateTime(new Date());
        TabAppletWechatMenu record = EntityUtil.changeEntityNew(TabAppletWechatMenu.class, dto);
        record.setDeleteFlag(0);
        tabAppletWechatMenuMapper.insert(record);
        return record.getMenuId();
    }

    @Override
    public List<TabAppletWechatMenu> listByParentId(Integer enterpriseId, Integer parentId, String appKey) {
        return tabAppletWechatMenuMapper.listByParentId(enterpriseId, parentId, appKey);
    }

    @Override
    public boolean isRepeatName(Integer menuId, String menuName, Integer enterpriseId, String appKey) {
        int count = tabAppletWechatMenuMapper.countByMenuName(menuId, menuName, enterpriseId, appKey);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public TabAppletWechatMenu getById(Integer menuId) {
        return tabAppletWechatMenuMapper.selectByPrimaryKey(menuId);
    }

    @Override
    public void update(AppletWechatMenuDTO dto) {
        dto.setUpdateTime(new Date());
        TabAppletWechatMenu record = EntityUtil.changeEntityNew(TabAppletWechatMenu.class, dto);
        tabAppletWechatMenuMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public void deleteByMenuId(Integer menuId) {
        TabAppletWechatMenu record = new TabAppletWechatMenu();
        record.setMenuId(menuId);
        record.setDeleteFlag(1);
        tabAppletWechatMenuMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public void sort(Integer menuId, Integer sort) {
        TabAppletWechatMenu record = new TabAppletWechatMenu();
        record.setMenuId(menuId);
        record.setSort(sort);
        tabAppletWechatMenuMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public List<TabAppletWechatMenu> listAll(Integer enterpriseId, String appKey) {
        return tabAppletWechatMenuMapper.listAll(enterpriseId, appKey);
    }

    @Override
    public void deleteWechatMenu(Integer enterpriseId, String appKey) {
        tabAppletWechatMenuMapper.deleteWechatMenu(enterpriseId, appKey);
    }
}
