package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabBillingAccountBalanceRecordMapper;
import com.gic.enterprise.dto.AccountBalanceRecordDTO;
import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingAccountBalanceRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.gic.enterprise.service.BillingAccountBalanceRecordService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: BillingAccountBalanceRecordServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:25
 */
@Service("billingAccountBalanceRecordService")
public class BillingAccountBalanceRecordServiceImpl implements BillingAccountBalanceRecordService{
    @Autowired
    private TabBillingAccountBalanceRecordMapper tabBillingAccountBalanceRecordMapper;
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        List<HomeStatisticsDTO> list = tabBillingAccountBalanceRecordMapper.listHomeStatistics(params);
        if (CollectionUtils.isNotEmpty(list)) {
            return list;
        }
        return new ArrayList<>();
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return tabBillingAccountBalanceRecordMapper.getFee(enterpriseId, dateType);
    }

    @Override
    public Page<TabBillingAccountBalanceRecord> listAccountBalanceRecord(RecordQO recordQO) {
        PageHelper.startPage(recordQO.getCurrentPage(), recordQO.getPageSize());
        return tabBillingAccountBalanceRecordMapper.listAccountBalanceRecord(recordQO);
    }

    @Override
    public Double getTotalFee(Integer enterpriseId, String startTime, String endTime) {
        return tabBillingAccountBalanceRecordMapper.getTotalFee(enterpriseId, startTime, endTime);
    }

    @Override
    public Integer save(AccountBalanceRecordDTO accountBalanceRecordDTO) {
        TabBillingAccountBalanceRecord accountBalanceRecord = EntityUtil.changeEntityByOrika(TabBillingAccountBalanceRecord.class, accountBalanceRecordDTO);
        accountBalanceRecord.setDeleteFlag(0);
        accountBalanceRecord.setCreateTime(new Date());
        accountBalanceRecord.setDeductionTime(new Date());
        return tabBillingAccountBalanceRecordMapper.insertSelective(accountBalanceRecord);
    }

    @Override
    public Integer countAccountBalanceRecord(RecordQO recordQO) {
        return tabBillingAccountBalanceRecordMapper.countAccountBalanceRecord(recordQO);
    }
}
