package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabBillingDoubleCallingRecordMapper;
import com.gic.enterprise.dto.DoubleCallingRecordDTO;
import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingDoubleCallingRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.gic.enterprise.service.BillingDoubleCallingRecordService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: BillingDoubleCallingRecordServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:26
 */
@Service("billingDoubleCallingRecordService")
public class BillingDoubleCallingRecordServiceImpl implements BillingDoubleCallingRecordService{
    @Autowired
    private TabBillingDoubleCallingRecordMapper tabBillingDoubleCallingRecordMapper;
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        List<HomeStatisticsDTO> list = tabBillingDoubleCallingRecordMapper.listHomeStatistics(params);
        if (CollectionUtils.isNotEmpty(list)) {
            return list;
        }
        return new ArrayList<>();
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return tabBillingDoubleCallingRecordMapper.getFee(enterpriseId, dateType);
    }

    @Override
    public Page<TabBillingDoubleCallingRecord> listDoubleCallingRecord(RecordQO recordQO) {
        PageHelper.startPage(recordQO.getCurrentPage(), recordQO.getPageSize());
        return tabBillingDoubleCallingRecordMapper.listDoubleCallingRecord(recordQO);
    }

    @Override
    public Integer countDoubleCallingRecord(RecordQO recordQO) {
        return tabBillingDoubleCallingRecordMapper.countDoubleCallingRecord(recordQO);
    }

    @Override
    public Double getTotalFee(Integer enterpriseId, String startTime, String endTime) {
        return tabBillingDoubleCallingRecordMapper.getTotalFee(enterpriseId, startTime, endTime);
    }

    @Override
    public Integer save(DoubleCallingRecordDTO doubleCallingRecordDTO) {
        TabBillingDoubleCallingRecord tabBillingDoubleCallingRecord = EntityUtil.changeEntityByJSON(TabBillingDoubleCallingRecord.class, doubleCallingRecordDTO);
        tabBillingDoubleCallingRecord.setDeleteFlag(0);
        tabBillingDoubleCallingRecord.setCreateTime(new Date());
        return tabBillingDoubleCallingRecordMapper.insertSelective(tabBillingDoubleCallingRecord);
    }
}
