package com.gic.enterprise.service.impl;

import com.gic.enterprise.constant.DeleteFlagConstants;
import com.gic.enterprise.dao.mapper.TabBlackListMapper;
import com.gic.enterprise.entity.TabBlackList;
import com.gic.enterprise.entity.TabEnterprise;
import com.gic.enterprise.service.BlackListService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 达摩情报商户黑名单
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 4:04 PM 
 */
@Service("blackListService")
public class BlackListServiceImpl implements BlackListService{
    @Autowired
    private TabBlackListMapper tabBlackListMapper;

    @Override
    public void saveBlackList(TabEnterprise enterprise) {
        TabBlackList record = new TabBlackList();
        record.setEnterpriseId(enterprise.getEnterpriseId());
        record.setEnterpriseName(enterprise.getEnterpriseName());
        record.setCompanyName(enterprise.getCompanyName());
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);

        Date now = new Date();
        record.setCreateTime(now);
        record.setUpdateTime(now);
        tabBlackListMapper.insert(record);
    }

    @Override
    public void deleteBlackList(Integer blackListId) {
        TabBlackList record = new TabBlackList();
        record.setUpdateTime(new Date());
        record.setDeleteFlag(DeleteFlagConstants.DELETE_STATUS);
        record.setBlackListId(blackListId);
        tabBlackListMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public Page<TabBlackList> pageBlackList(String search, Integer pageNum, Integer pageSize) {
        if (pageNum == null) {
            pageNum = 1;
        }
        if (pageSize == null) {
            pageSize = 20;
        }
        PageHelper.startPage(pageNum, pageSize);
        List<TabBlackList> list = tabBlackListMapper.listBlackList(search);
        return (Page<TabBlackList>) list;
    }

    @Override
    public List<TabBlackList> getBlankListEnterprise() {
        return tabBlackListMapper.listBlackList(null);
    }
}
