package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabConfigRuleMapper;
import com.gic.enterprise.dto.rule.RuleClassifyDTO;
import com.gic.enterprise.dto.rule.RuleClassifySceneDTO;
import com.gic.enterprise.dto.rule.RuleDTO;
import com.gic.enterprise.entity.TabConfigRule;
import com.gic.enterprise.service.ConfigRuleService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: ConfigRuleServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:28
 */
@Service("configRuleService")
public class ConfigRuleServiceImpl implements ConfigRuleService{
    @Autowired
    private TabConfigRuleMapper tabConfigRuleMapper;

    @Override
    public Integer saveRule(RuleDTO dto) {
        return save(EntityUtil.changeEntityNew(TabConfigRule.class, dto));
    }

    @Override
    public Integer saveRuleClassify(RuleClassifyDTO dto) {
        return save(EntityUtil.changeEntityNew(TabConfigRule.class, dto));
    }

    @Override
    public Integer saveRuleClassifyScene(RuleClassifySceneDTO dto) {
        return save(EntityUtil.changeEntityNew(TabConfigRule.class, dto));
    }

    @Override
    public void update(TabConfigRule record) {
        record.setUpdateTime(new Date());
        tabConfigRuleMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabConfigRule getByRuleId(Integer ruleId) {
        return tabConfigRuleMapper.selectByPrimaryKey(ruleId);
    }

    @Override
    public boolean isRepeatName(Integer ruleId, Integer ruleLevel, String name, Integer parentRuleId) {
        int count = tabConfigRuleMapper.countRepeatName(ruleId, ruleLevel, name, parentRuleId);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public boolean isRepeatAppCode(Integer ruleId, String appCode) {
        int count = tabConfigRuleMapper.countRepeatAppCode(ruleId, appCode);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public Page<TabConfigRule> listRule(String search, Integer ruleLevel, Integer ruleId, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<TabConfigRule> list = tabConfigRuleMapper.listRule(search, ruleLevel, ruleId);
        return (Page<TabConfigRule>) list;
    }

    @Override
    public List<TabConfigRule> listRule(String search, Integer ruleLevel, Integer ruleId) {
        return tabConfigRuleMapper.listRule(search, ruleLevel, ruleId);
    }

    @Override
    public List<TabConfigRule> listAll(Integer ruleId) {
        return tabConfigRuleMapper.listAll(ruleId);
    }

    @Override
    public TabConfigRule getByAppCode(String appCode) {
        return tabConfigRuleMapper.getByAppCode(appCode);
    }

    @Override
    public List<TabConfigRule> getRuleTreeByName(String search) {
        return tabConfigRuleMapper.getRuleTreeByName(search);
    }

    private Integer save(TabConfigRule record) {
        record.setDeleteFlag(0);
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        tabConfigRuleMapper.insertSelective(record);
        return record.getRuleId();
    }
}
