package com.gic.enterprise.service.impl;

import com.gic.enterprise.constant.DeleteFlagConstants;
import com.gic.enterprise.dao.mapper.TabCustomGuideTopMapper;
import com.gic.enterprise.entity.TabCustomGuideTop;
import com.gic.enterprise.service.CustomGuideTopService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * 小程序装修-顶部导航
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/3 9:31 AM 
 */
@Service("customGuideTopService")
public class CustomGuideTopServiceImpl implements CustomGuideTopService{
    @Autowired
    private TabCustomGuideTopMapper tabCustomGuideTopMapper;

    @Override
    public void saveCustomGuideTop(TabCustomGuideTop record) {
        Date now = new Date();
        record.setCreateTime(now);
        record.setUpdateTime(now);
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        tabCustomGuideTopMapper.insert(record);
    }

    @Override
    public void editCustomGuideTop(TabCustomGuideTop record) {
        record.setUpdateTime(new Date());
        tabCustomGuideTopMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabCustomGuideTop getCustomGuideTop(Integer pageId) {
        return tabCustomGuideTopMapper.getCustomGuideTop(pageId);
    }
}
