package com.gic.enterprise.service.impl;

import com.alibaba.fastjson.JSON;
import com.gic.enterprise.dao.mapper.TabCustomThemeMapper;
import com.gic.enterprise.entity.TabCustomTheme;
import com.gic.enterprise.service.CustomThemeService;
import org.apache.commons.collections.CollectionUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: CustomThemeServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:29
 */
@Service("customThemeService")
public class CustomThemeServiceImpl implements CustomThemeService {
    private static final Logger log = LogManager.getLogger(CustomThemeServiceImpl.class);
    @Autowired
    private TabCustomThemeMapper tabCustomThemeMapper;

    @Override
    public int saveTheme(Integer enterpriseId, String appid, Integer theme, int type) {
        List<TabCustomTheme> list = this.tabCustomThemeMapper.listTheme(enterpriseId, appid);
        TabCustomTheme tabCustomTheme = new TabCustomTheme();
        tabCustomTheme.setAppid(appid);
        tabCustomTheme.setAppType(type);
        tabCustomTheme.setEnterpriseId(enterpriseId);
        tabCustomTheme.setTheme(theme);
        tabCustomTheme.setUpdateTime(new Date());
        if(CollectionUtils.isEmpty(list)){
            tabCustomTheme.setCreateTime(new Date());
            return this.tabCustomThemeMapper.insertSelective(tabCustomTheme);
        }else {
            tabCustomTheme.setThemeId(list.get(0).getThemeId());
            return this.tabCustomThemeMapper.updateByPrimaryKeySelective(tabCustomTheme);
        }
    }

    @Override
    public Integer getTheme(Integer enterpriseId, String appid) {
        List<TabCustomTheme> list = this.tabCustomThemeMapper.listTheme(enterpriseId, appid);
        log.info("小程序主题：{},{},{}", JSON.toJSONString(list), enterpriseId, appid);
        if(CollectionUtils.isNotEmpty(list)){
            return list.get(0).getTheme();
        }
        return 1;
    }
}
