package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabCustomUdeskFieldMapper;
import com.gic.enterprise.dto.CustomUdeskFieldDTO;
import com.gic.enterprise.entity.TabCustomUdeskField;
import com.gic.enterprise.service.CustomUdeskFieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: CustomUdeskFiledServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:29
 */
@Service("customUdeskFieldService")
public class CustomUdeskFiledServiceImpl implements CustomUdeskFieldService {
    @Autowired
    private TabCustomUdeskFieldMapper tabCustomUdeskFieldMapper;

    @Override
    public List<TabCustomUdeskField> listEnterpriseField(Integer enterpriseId, String appId) {
        return this.tabCustomUdeskFieldMapper.listEnterpriseField(enterpriseId, appId);
    }

    @Override
    public List<TabCustomUdeskField> listEnableEnterpriseField(Integer enterpriseId, String appId) {
        return tabCustomUdeskFieldMapper.listEnableEnterpriseField(enterpriseId, appId);
    }

    @Override
    public int saveEnterpriseField(TabCustomUdeskField field) {
        field.setUpdateTime(new Date());

        TabCustomUdeskField record = tabCustomUdeskFieldMapper.getUdeskField(field.getEnterpriseId(), field.getAppId(), field.getGicFieldId());
        if(record != null){
            return 0;
        }
        field.setCreateTime(new Date());
        field.setDeleteFlag(0);
        return this.tabCustomUdeskFieldMapper.insertSelective(field);
    }

    @Override
    public int editEnterpriseField(CustomUdeskFieldDTO dto) {
        TabCustomUdeskField record = EntityUtil.changeEntityNew(TabCustomUdeskField.class, dto);
        record.setUpdateTime(new Date());
        return tabCustomUdeskFieldMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabCustomUdeskField getDetail(Integer fieldId) {
        TabCustomUdeskField tabCustomUdeskField = this.tabCustomUdeskFieldMapper.selectByPrimaryKey(fieldId);
        return tabCustomUdeskField;
    }

    @Override
    public int deleteFiled(Integer fieldId) {
        TabCustomUdeskField field = new TabCustomUdeskField();
        field.setId(fieldId);
        field.setDeleteFlag(1);
        return this.tabCustomUdeskFieldMapper.updateByPrimaryKeySelective(field);
    }

    @Override
    public int updateStatus(Integer id, Integer status) {
        TabCustomUdeskField field = new TabCustomUdeskField();
        field.setId(id);
        field.setStatus(status);
        return this.tabCustomUdeskFieldMapper.updateByPrimaryKeySelective(field);
    }
}
