package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabDataGenerationConfigMapper;
import com.gic.enterprise.dto.data.DataGenerationConfigDTO;
import com.gic.enterprise.entity.TabDataGenerationConfig;
import com.gic.enterprise.service.DataGenerationConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: DataGenerationConfigServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:30
 */
@Service("dataGenerationConfigService")
public class DataGenerationConfigServiceImpl implements DataGenerationConfigService{
    @Autowired
    private TabDataGenerationConfigMapper tabDataGenerationConfigMapper;

    @Override
    public void saveGenerationConfig(DataGenerationConfigDTO dto) {
        Date now = new Date();
        dto.setUpdateTime(now);
        dto.setCreateTime(now);
        dto.setDeleteFlag(0);
        TabDataGenerationConfig record = EntityUtil.changeEntityNew(TabDataGenerationConfig.class, dto);
        tabDataGenerationConfigMapper.insert(record);
    }

    @Override
    public void deleteGenerationConfig(Integer enterpriseId, Long memberCardId) {
        tabDataGenerationConfigMapper.deleteGenerationConfig(enterpriseId, memberCardId);
    }

    @Override
    public List<TabDataGenerationConfig> listGenerationByMemberCardId(Long memberCardId) {
        return tabDataGenerationConfigMapper.listGenerationByMemberCardId(memberCardId);
    }
}
