package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabDataPerformanceConfigMapper;
import com.gic.enterprise.dto.data.DataPerformanceConfigDTO;
import com.gic.enterprise.entity.TabDataPerformanceConfig;
import com.gic.enterprise.service.DataPerformanceConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
/**
 *
 * @ClassName: DataPerformanceConfigServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:30
 */
@Service("dataPerformanceConfigService")
public class DataPerformanceConfigServiceImpl implements DataPerformanceConfigService{
    @Autowired
    private TabDataPerformanceConfigMapper tabDataPerformanceConfigMapper;

    @Override
    public void savePerformanceConfig(DataPerformanceConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabDataPerformanceConfig record = EntityUtil.changeEntityNew(TabDataPerformanceConfig.class, dto);
        tabDataPerformanceConfigMapper.insert(record);
    }

    @Override
    public void editPerformanceConfig(DataPerformanceConfigDTO dto) {
        dto.setUpdateTime(new Date());
        TabDataPerformanceConfig record = EntityUtil.changeEntityNew(TabDataPerformanceConfig.class, dto);
        tabDataPerformanceConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabDataPerformanceConfig getByEnterpriseId(Integer enterpriseId) {
        return tabDataPerformanceConfigMapper.getByEnterpriseId(enterpriseId);
    }
}
