package com.gic.enterprise.service.impl;

import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabDownloadLogMapper;
import com.gic.enterprise.entity.TabDownloadLog;
import com.gic.enterprise.entity.TabDownloadReport;
import com.gic.enterprise.qo.DownloadLogQO;
import com.gic.enterprise.service.DownloadLogService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-28 20:24
 */
@Service
public class DownloadLogServiceImpl implements DownloadLogService {

    @Autowired
    private TabDownloadLogMapper tabDownloadLogMapper;

    @Override
    public void save(TabDownloadReport downloadReport, Integer loginUserId, String userName) {
        Date date = new Date();
        TabDownloadLog downloadLog = new TabDownloadLog();
        downloadLog.setEnterpriseId(downloadReport.getEnterpriseId());
        downloadLog.setReportId(downloadReport.getReportId());
        downloadLog.setDownloadReportId(downloadReport.getDownloadReportId());
        downloadLog.setFileName(downloadReport.getFileName());
        String[] dataContentArr = downloadReport.getDataContent().split("-");
        downloadLog.setDataContent(dataContentArr[dataContentArr.length - 1]);
        downloadLog.setDataType(downloadReport.getDataType());
        downloadLog.setDataCount(downloadReport.getDataCount());
        downloadLog.setDownloadUserId(loginUserId);
        downloadLog.setDownloadUserName(userName);
        downloadLog.setDownloadTime(date);
        downloadLog.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        downloadLog.setCreateTime(date);
        tabDownloadLogMapper.insertSelective(downloadLog);
    }

    @Override
    public Page<TabDownloadLog> listDownload(DownloadLogQO downloadLogQO) {
        PageHelper.startPage(downloadLogQO.getCurrentPage(), downloadLogQO.getPageSize());
        return tabDownloadLogMapper.listDownload(downloadLogQO);
    }
}
