package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabEnterpriseLicenseMapper;
import com.gic.enterprise.dto.EnterpriseLicenseDTO;
import com.gic.enterprise.entity.TabEnterpriseLicense;
import com.gic.enterprise.service.EnterpriseLicenseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 *
 * @ClassName: EnterpriseLicenseServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:31
 */
@Service("enterpriseLicenseService")
public class EnterpriseLicenseServiceImpl implements EnterpriseLicenseService{
    @Autowired
    private TabEnterpriseLicenseMapper tabEnterpriseLicenseMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveFetch(List<EnterpriseLicenseDTO> enterpriseLicenseList) {
        tabEnterpriseLicenseMapper.saveFetch(enterpriseLicenseList);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByEnterpriseId(Integer enterpriseId) {
        tabEnterpriseLicenseMapper.updateStatusByEnterpriseId(enterpriseId);
    }

    @Override
    public List<EnterpriseLicenseDTO> listByEnterpriseId(Integer enterpriseId) {
        List<TabEnterpriseLicense> list = tabEnterpriseLicenseMapper.listByEnterpriseId(enterpriseId);
        return EntityUtil.changeEntityListNew(EnterpriseLicenseDTO.class, list);
    }
}
