package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabEnterpriseResourceRelMapper;
import com.gic.enterprise.dto.EnterpriseResourceRelDTO;
import com.gic.enterprise.entity.TabEnterpriseResourceRel;
import com.gic.enterprise.service.EnterpriseResourceRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 *
 * @ClassName: EnterpriseResourceRelServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:31
 */
@Service("enterpriseResourceRelService")
public class EnterpriseResourceRelServiceImpl implements EnterpriseResourceRelService{
    @Autowired
    private TabEnterpriseResourceRelMapper tabEnterpriseResourceRelMapper;

    @Override
    public void saveResource(EnterpriseResourceRelDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setDeleteFlag(0);
        TabEnterpriseResourceRel record = EntityUtil.changeEntityNew(TabEnterpriseResourceRel.class, dto);
        tabEnterpriseResourceRelMapper.insert(record);
    }

    @Override
    public void deleteResource(Integer enterpriseId, String resourceCode) {
        tabEnterpriseResourceRelMapper.deleteResource(enterpriseId, resourceCode);
    }

    @Override
    public List<TabEnterpriseResourceRel> getByEnterpriseId(Integer enterpriseId) {
        return tabEnterpriseResourceRelMapper.getByEnterpriseId(enterpriseId);
    }
}
