package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabEnterpriseWhiteListMapper;
import com.gic.enterprise.dto.EnterpriseWhiteListDTO;
import com.gic.enterprise.entity.TabEnterpriseWhiteList;
import com.gic.enterprise.service.EnterpriseWhiteListService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
/**
 *
 * @ClassName: EnterpriseWhiteListServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:32
 */
@Service("enterpriseWhiteListService")
public class EnterpriseWhiteListServiceImpl implements EnterpriseWhiteListService{
    @Autowired
    private TabEnterpriseWhiteListMapper tabEnterpriseWhiteListMapper;

    @Override
    public void saveEnterpriseWhiteList(EnterpriseWhiteListDTO dto) {
        Date now = new Date();
        TabEnterpriseWhiteList record = EntityUtil.changeEntityNew(TabEnterpriseWhiteList.class, dto);
        record.setUpdateTime(now);
        record.setCreateTime(now);
        record.setDeleteFlag(0);
        tabEnterpriseWhiteListMapper.insert(record);
    }

    @Override
    public void removeEnterpriseWhiteList(Integer enterpriseId) {
        TabEnterpriseWhiteList record = tabEnterpriseWhiteListMapper.getEnterpriseWhiteList(enterpriseId);
        record.setDeleteFlag(1);
        tabEnterpriseWhiteListMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public Page<TabEnterpriseWhiteList> pageEnterpriseWhiteList(String search, Integer currentPage, Integer pageSize) {
        PageHelper.startPage(currentPage, pageSize);
        return (Page<TabEnterpriseWhiteList>) tabEnterpriseWhiteListMapper.listEnterpriseWhiteList(search);
    }

    @Override
    public TabEnterpriseWhiteList getEnterpriseWhiteList(Integer enterpriseId) {
        return tabEnterpriseWhiteListMapper.getEnterpriseWhiteList(enterpriseId);
    }
}
