package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.constant.DeleteFlagConstants;
import com.gic.enterprise.dao.mapper.TabProductMarketMapper;
import com.gic.enterprise.dto.ProductMarketDTO;
import com.gic.enterprise.entity.TabProductMarket;
import com.gic.enterprise.qo.ProductMarketQO;
import com.gic.enterprise.service.ProductMarketService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * 达摩产品情报站
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 9:37 AM 
 */
@Service("productMarketService")
public class ProductMarketServiceImpl implements ProductMarketService{
    @Autowired
    private TabProductMarketMapper tabProductMarketMapper;

    @Override
    public void saveProductMarket(ProductMarketDTO productMarketDTO) {
        TabProductMarket record = EntityUtil.changeEntityNew(TabProductMarket.class, productMarketDTO);
        Date now = new Date();
        record.setUpdateTime(now);
        record.setCreateTime(now);
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        tabProductMarketMapper.insert(record);
    }

    @Override
    public void updateProductMarket(ProductMarketDTO productMarketDTO) {
        TabProductMarket record = EntityUtil.changeEntityNew(TabProductMarket.class, productMarketDTO);
        record.setUpdateTime(new Date());
        tabProductMarketMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabProductMarket getProductMarket(Integer productMarketId) {
        return tabProductMarketMapper.selectByPrimaryKey(productMarketId);
    }

    @Override
    public Page<TabProductMarket> pageProductMarket(ProductMarketQO params) {
        PageHelper.startPage(params.getPageNum(), params.getPageSize());
        List<TabProductMarket> list = tabProductMarketMapper.pageProductMarket(params);
        return (Page<TabProductMarket>) list;
    }

    @Override
    public Boolean hasNewInfo() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        String today = sdf.format(new Date());
        Integer count = tabProductMarketMapper.countNewInfo(today);
        if (count != null && count > 0) {
            return true;
        }
        return false;
    }
}
