package com.gic.enterprise.service.impl;

import com.gic.enterprise.constant.DeleteFlagConstants;
import com.gic.enterprise.dao.mapper.TabPushClassifyMapper;
import com.gic.enterprise.entity.TabPushClassify;
import com.gic.enterprise.service.PushTypeService;
import com.github.pagehelper.Page;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 * 
 * @ClassName: PushTypeServiceImpl
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:34
 */
@Service("pushTypeService")
public class PushTypeServiceImpl implements PushTypeService {
    @Autowired
    private TabPushClassifyMapper tabPushClassifyMapper;

    @Override
    public int savePushType(TabPushClassify tabPushType) {
        tabPushType.setUpdateTime(new Date());
        if(tabPushType.getId() != null){
            return this.tabPushClassifyMapper.updateByPrimaryKeySelective(tabPushType);
        }
        tabPushType.setCreateTime(new Date());
        return this.tabPushClassifyMapper.insertSelective(tabPushType);
    }

    @Override
    public Page<TabPushClassify> pagePushType(String search) {
        return this.tabPushClassifyMapper.pagePushType(search);
    }

    @Override
    public int deletePushType(Integer id) {
        TabPushClassify tabPushType = new TabPushClassify();
        tabPushType.setId(id);
        tabPushType.setDeleteFlag(DeleteFlagConstants.DELETE_STATUS);
        return this.tabPushClassifyMapper.updateByPrimaryKeySelective(tabPushType);
    }

    @Override
    public TabPushClassify getById(Integer id) {
        return this.tabPushClassifyMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<TabPushClassify> listPushTypeByName(String name) {
        return this.tabPushClassifyMapper.listPushTypeByName(name);
    }

    @Override
    public boolean saveClassify(String classify) {
        List<TabPushClassify> list = this.listPushTypeByName(classify);
        if(CollectionUtils.isNotEmpty(list)){
            return true;
        }else {
            TabPushClassify tabPushType = new TabPushClassify();
            tabPushType.setClassifyName(classify);
            tabPushType.setClassifyDesc(classify);
            this.savePushType(tabPushType);
        }
        return false;
    }
}
