package com.gic.enterprise.service.impl;

import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.constant.DeleteFlagConstants;
import com.gic.enterprise.dao.mapper.TabRiskModeMapper;
import com.gic.enterprise.entity.TabRiskMode;
import com.gic.enterprise.service.RiskModeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 11:23
 */
@Service
public class RiskModeServiceImpl implements RiskModeService {

    @Autowired
    private TabRiskModeMapper tabRiskModeMapper;

    @Override
    public TabRiskMode getById(Integer riskModeId) {
        return tabRiskModeMapper.selectByPrimaryKey(riskModeId);
    }

    @Override
    public Integer save(Integer enterpriseId, Integer userId, Integer duration, Date applyTime, String applyReason) {
        TabRiskMode riskMode = new TabRiskMode();
        riskMode.setEnterpriseId(enterpriseId);
        riskMode.setApplyUserId(userId);
        riskMode.setApplyTime(applyTime);
        riskMode.setDurationCode(duration);
        riskMode.setApplyReason(applyReason);
        riskMode.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        riskMode.setCreateTime(new Date());
        tabRiskModeMapper.insertSelective(riskMode);
        return riskMode.getRiskModeId();
    }

    @Override
    public TabRiskMode getLastWaitAuditByApplyUser(Integer enterpriseId, Integer userId) {
        TabRiskMode riskMode = new TabRiskMode();
        riskMode.setEnterpriseId(enterpriseId);
        riskMode.setApplyUserId(userId);
        return tabRiskModeMapper.getLastWaitAuditByApplyUser(riskMode);
    }

    @Override
    public int update(TabRiskMode lastAudit) {
        return tabRiskModeMapper.updateByPrimaryKeySelective(lastAudit);
    }
}
