package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabSysUnionEnterpriseAuthAppMapper;
import com.gic.enterprise.dto.union.UnionEnterpriseAuthAppDTO;
import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthApp;
import com.gic.enterprise.service.UnionEnterpriseAuthAppService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 应用策略
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/5 10:08 AM 
 */
@Service("unionEnterpriseAuthAppService")
public class UnionEnterpriseAuthAppServiceImpl implements UnionEnterpriseAuthAppService{
    @Autowired
    private TabSysUnionEnterpriseAuthAppMapper tabSysUnionEnterpriseAuthAppMapper;

    @Override
    public int saveUnionEnterpriseAuthApp(UnionEnterpriseAuthAppDTO dto) {
        Date now = new Date();
        TabSysUnionEnterpriseAuthApp record = EntityUtil.changeEntityNew(TabSysUnionEnterpriseAuthApp.class, dto);
        record.setCreateTime(now)
                .setUpdateTime(now)
                .setDeleteFlag(0);
        return tabSysUnionEnterpriseAuthAppMapper.insert(record);
    }

    @Override
    public int editUnionEnterpriseAuthApp(UnionEnterpriseAuthAppDTO dto) {
        TabSysUnionEnterpriseAuthApp record = EntityUtil.changeEntityNew(TabSysUnionEnterpriseAuthApp.class, dto);
        record.setUpdateTime(new Date());
        return tabSysUnionEnterpriseAuthAppMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public List<TabSysUnionEnterpriseAuthApp> listUnionEnterpriseAuthApp(@NotNull Integer unionEnterpriseAuthId) {
        return tabSysUnionEnterpriseAuthAppMapper.listUnionEnterpriseAuthApp(unionEnterpriseAuthId);
    }

    @Override
    public boolean isRepeatStrategyName(Integer unionEnterpriseAuthAppId, Integer unionEnterpriseAuthId, String strategyName) {
        int count = tabSysUnionEnterpriseAuthAppMapper.countRepeatStrategyName(unionEnterpriseAuthAppId, unionEnterpriseAuthId, strategyName);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public TabSysUnionEnterpriseAuthApp getUnionEnterpriseAuthApp(@NotNull Integer unionEnterpriseAuthAppId) {
        return tabSysUnionEnterpriseAuthAppMapper.selectByPrimaryKey(unionEnterpriseAuthAppId);
    }

    @Override
    public int deleteUnionEnterpriseAuthApp(@NotNull Integer unionEnterpriseAuthAppId) {
        return tabSysUnionEnterpriseAuthAppMapper.updateByPrimaryKeySelective(new TabSysUnionEnterpriseAuthApp()
                .setUpdateTime(new Date())
                .setDeleteFlag(1)
                .setUnionEnterpriseAuthAppId(unionEnterpriseAuthAppId));
    }

    @Override
    public Integer deleteUnionEnterpriseAuthAppByUnionEnterpriseAuthId(@NotNull Integer unionEnterpriseAuthId) {
        return tabSysUnionEnterpriseAuthAppMapper.deleteUnionEnterpriseAuthAppByUnionEnterpriseAuthId(unionEnterpriseAuthId);
    }
}
