package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabSysUnionEnterpriseAuthResLogMapper;
import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthResLog;
import com.gic.enterprise.qo.union.UnionEnterpriseAuthResLogQO;
import com.gic.enterprise.service.UnionEnterpriseAuthResLogService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 资源操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/8 9:34 AM 
 */
@Service("unionEnterpriseAuthResLogService")
public class UnionEnterpriseAuthResLogServiceImpl implements UnionEnterpriseAuthResLogService{
    @Autowired
    private TabSysUnionEnterpriseAuthResLogMapper tabSysUnionEnterpriseAuthResLogMapper;

    @Override
    public int saveUnionEnterpriseAuthResLog(Integer unionEnterpriseAuthId, Integer resourceType, String logContent) {
        return saveUnionEnterpriseAuthResLog(unionEnterpriseAuthId, resourceType, logContent, null, null);
    }

    @Override
    public int saveUnionEnterpriseAuthResLog(Integer unionEnterpriseAuthId, Integer resourceType, String logContent, Date dealStartTime, Date dealEndTime) {
        TabSysUnionEnterpriseAuthResLog record = new TabSysUnionEnterpriseAuthResLog();
        Date now = new Date();
        record.setUpdateTime(now)
                .setCreateTime(now)
                .setDeleteFlag(0)
                .setUnionEnterpriseAuthId(unionEnterpriseAuthId)
                .setResourceType(resourceType)
                .setLogContent(logContent)
                .setDealEndTime(dealEndTime)
                .setDealStartTime(dealStartTime);
        return tabSysUnionEnterpriseAuthResLogMapper.insertSelective(record);
    }

    @Override
    public Page<TabSysUnionEnterpriseAuthResLog> listUnionEnterpriseAuthResLog(UnionEnterpriseAuthResLogQO param) {
        PageHelper.startPage(param.getPageNum(), param.getPageSize());
        List<TabSysUnionEnterpriseAuthResLog> list = tabSysUnionEnterpriseAuthResLogMapper.listUnionEnterpriseAuthResLog(param);
        return (Page<TabSysUnionEnterpriseAuthResLog>) list;
    }
}
