package com.gic.enterprise.service.impl;

import java.util.Date;
import java.util.List;

import com.gic.enterprise.constant.DeleteFlagConstants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabWmStoreConfigMapper;
import com.gic.enterprise.dto.wm.WmStoreConfigDTO;
import com.gic.enterprise.entity.TabWmStoreConfig;
import com.gic.enterprise.service.WmStoreConfigService;
/**
 * 
 * @ClassName: WmStoreConfigServiceImpl
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:29
 */
@Service("wmStoreConfigService")
public class WmStoreConfigServiceImpl implements WmStoreConfigService{
    @Autowired
    private TabWmStoreConfigMapper tabWmStoreConfigMapper;

    @Override
    public Integer saveWmStoreConfig(WmStoreConfigDTO dto) {
        Date now = new Date();
        dto.setUpdateTime(now);
        dto.setCreateTime(now);
        dto.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        TabWmStoreConfig record = EntityUtil.changeEntityNew(TabWmStoreConfig.class, dto);
        tabWmStoreConfigMapper.insert(record);
        return record.getStoreConfigId();
    }

    @Override
    public void editWmStoreConfig(WmStoreConfigDTO dto) {
        dto.setUpdateTime(new Date());
        TabWmStoreConfig record = EntityUtil.changeEntityNew(TabWmStoreConfig.class, dto);
        tabWmStoreConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabWmStoreConfig getWmStoreConfig(Integer wmMallStoreId, Integer storeConfigType) {
        return tabWmStoreConfigMapper.getWmStoreConfig(wmMallStoreId, storeConfigType);
    }


    @Override
    public List<TabWmStoreConfig> listWmStoreConfig(Integer wmMallStoreId) {
        return tabWmStoreConfigMapper.listWmStoreConfig(wmMallStoreId);
    }
}
