package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.constant.DeleteFlagConstants;
import com.gic.enterprise.dao.mapper.TabWmStoreMapper;
import com.gic.enterprise.dto.WmStoreDTO;
import com.gic.enterprise.entity.TabWmStore;
import com.gic.enterprise.service.WmStoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 * 
 * @ClassName: WmStoreServiceImpl
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:29
 */
@Service("wmStoreService")
public class WmStoreServiceImpl implements WmStoreService{
    @Autowired
    private TabWmStoreMapper tabWmStoreMapper;

    @Override
    public Integer saveWmStore(WmStoreDTO wmStoreDTO) {
        Date now = new Date();
        wmStoreDTO.setCreateTime(now);
        wmStoreDTO.setUpdateTime(now);
        wmStoreDTO.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        wmStoreDTO.setAuthStatus(0);
        TabWmStore record = EntityUtil.changeEntityNew(TabWmStore.class, wmStoreDTO);
        tabWmStoreMapper.insert(record);
        return record.getWmMallStoreId();
    }

    @Override
    public void modifyWmStore(WmStoreDTO wmStoreDTO) {
        wmStoreDTO.setUpdateTime(new Date());
        TabWmStore record = EntityUtil.changeEntityNew(TabWmStore.class, wmStoreDTO);
        tabWmStoreMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public boolean validRepeat(String data, Integer wmMallStoreId, Integer dataType) {
        int count = tabWmStoreMapper.countByParam(data, wmMallStoreId, dataType);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public boolean validRepeatStoreName(String storeName, Integer wmMallStoreId, Integer enterpriseId) {
        int count = tabWmStoreMapper.countByStoreName(storeName, wmMallStoreId, enterpriseId);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public TabWmStore getByWmMallStoreId(Integer wmMallStoreId) {
        return tabWmStoreMapper.selectByPrimaryKey(wmMallStoreId);
    }

    @Override
    public TabWmStore getByWmStoreId(String wmStoreId) {
        return tabWmStoreMapper.getByWmStoreId(wmStoreId);
    }

    @Override
    public TabWmStore getByWmMainAccount(String wmMainAccount) {
        return tabWmStoreMapper.getByWmMainAccount(wmMainAccount);
    }

    @Override
    public List<TabWmStore> listWmStore(Integer enterpriseId, String search) {
        return tabWmStoreMapper.listWmStore(enterpriseId, null, null, search);
    }

    @Override
    public List<TabWmStore> listWmStore(List<String> wmStoreIdList, String search) {
        return tabWmStoreMapper.listWmStoreByStoreIds(wmStoreIdList, search);
    }

    @Override
    public List<TabWmStore> getHasAuth(Integer enterpriseId) {
        return tabWmStoreMapper.listWmStore(enterpriseId, null, 1, null);
    }
}
