package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dto.AppletQrcodeDTO;
import com.gic.enterprise.dto.AppletQrcodePathDTO;
import com.gic.enterprise.entity.TabAppletQrcode;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.service.AppletQrcodeApiService;
import com.gic.enterprise.service.AppletQrcodeService;
import com.gic.thirdparty.pic.QqCloudPicUtils;
import com.gic.thirdparty.pic.UploadResult;
import com.gic.wechat.business.api.service.wxa.WeixinWxaFunService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;
/**
 *
 * @ClassName: AppletQrcodeApiServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:25
 */
@Service("appletQrcodeApiService")
public class AppletQrcodeApiServiceImpl implements AppletQrcodeApiService {
    @Autowired
    private AppletQrcodeService appletQrcodeService;
    @Autowired
    private WeixinWxaFunService weixinWxaFunService;

    @Override
    public ServiceResponse<AppletQrcodePathDTO> takeAppletQrcode(Integer enterpriseId, String appid, String path, String params) {
        TabAppletQrcode tabAppletQrcode = new TabAppletQrcode();
        tabAppletQrcode.setAppid(appid);
        tabAppletQrcode.setEnterpriseId(enterpriseId);
        tabAppletQrcode.setPath(path);
        tabAppletQrcode.setParams(params);
        int i = this.appletQrcodeService.saveQrcode(tabAppletQrcode);
        ServiceResponse<Map<String, Object>> wxaQrcode = this.weixinWxaFunService.getWxaCodeUnlimit(appid, "pages/transfer-station/transfer-station", i+"");
        if(wxaQrcode.isSuccess()){
            Map<String, Object> result = wxaQrcode.getResult();
            byte[] contents = (byte[]) result.get("content");
            UploadResult uploadResult = QqCloudPicUtils.uploadLocalPicStream("pic01", "", contents);
            AppletQrcodePathDTO qrcodePathDTO = new AppletQrcodePathDTO();
            qrcodePathDTO.setFileId(uploadResult.getFileId());
            qrcodePathDTO.setUrl(uploadResult.getUrl());
            qrcodePathDTO.setDownloadUrl(uploadResult.getDownloadUrl());
            qrcodePathDTO.setPath(path+"?pageId="+i);
            return ServiceResponse.success(qrcodePathDTO);
        }
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "生成小程序二维码异常");
    }

    @Override
    public ServiceResponse<AppletQrcodeDTO> getAppletQrcode(Integer id) {
        TabAppletQrcode qrcode = this.appletQrcodeService.getQrcode(id);
        return ServiceResponse.success(EntityUtil.changeEntityByJSON(AppletQrcodeDTO.class, qrcode));
    }
}
