package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.constant.billing.FeeTypeEnum;
import com.gic.enterprise.dto.*;
import com.gic.enterprise.entity.*;
import com.gic.enterprise.qo.RecordQO;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.enterprise.service.*;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 15:32
 */
@Service("billingRecordApiService")
public class BillingRecordApiServiceImpl implements BillingRecordApiService {

    @Autowired
    private BillingAccountBalanceRecordService billingAccountBalanceRecordService;
    @Autowired
    private BillingDoubleCallingRecordService billingDoubleCallingRecordService;
    @Autowired
    private BillingRecordingStorageRecordService billingRecordingStorageRecordService;
    @Autowired
    private BillingSmsPackageRecordService billingSmsPackageRecordService;
    @Autowired
    private BillingSmsRecordService billingSmsRecordService;
    @Autowired
    private BillingVoiceCodeRecordService billingVoiceCodeRecordService;
    @Autowired
    private BillingInternationalSmsRecordService billingInternationalSmsRecordService;
    @Autowired
    private DictApiService dictApiService;

    @Override
    public ServiceResponse<Page<AccountBalanceRecordDTO>> listAccountBalanceRecord(RecordQO recordQO) {
        com.github.pagehelper.Page<TabBillingAccountBalanceRecord> page = this.billingAccountBalanceRecordService.listAccountBalanceRecord(recordQO);
        Page<AccountBalanceRecordDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, AccountBalanceRecordDTO.class);
        if (CollectionUtils.isNotEmpty(page)) {
            ServiceResponse<List<DictDTO>> serviceResponse = dictApiService.listRequestCode();
            if (serviceResponse.isSuccess()) {
                List<DictDTO> dictList = serviceResponse.getResult();
                Map<String, String> map = dictList.stream().collect(Collectors.toMap(DictDTO::getValue, DictDTO::getKey));
                List<AccountBalanceRecordDTO> dtoList = resultPage.getResult();
                dtoList.forEach(e -> e.setRequestCodeName(map.get(e.getRequestCode())));
            }
        }
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Integer> countAccountBalanceRecord(RecordQO recordQO) {
        Integer line = this.billingAccountBalanceRecordService.countAccountBalanceRecord(recordQO);
        return EnterpriseServiceResponse.success(line);
    }

    @Override
    public ServiceResponse<Page<DoubleCallingRecordDTO>> listDoubleCallingRecord(RecordQO recordQO) {
        com.github.pagehelper.Page<TabBillingDoubleCallingRecord> page = this.billingDoubleCallingRecordService.listDoubleCallingRecord(recordQO);
        Page<DoubleCallingRecordDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, DoubleCallingRecordDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Integer> countDoubleCallingRecord(RecordQO recordQO) {
        Integer count = this.billingDoubleCallingRecordService.countDoubleCallingRecord(recordQO);
        return EnterpriseServiceResponse.success(count);
    }

    @Override
    public ServiceResponse<Page<RecordingStorageRecordDTO>> listRecordingStorageRecord(RecordQO recordQO) {
        com.github.pagehelper.Page<TabBillingRecordingStorageRecord> page = this.billingRecordingStorageRecordService.listRecordingStorageRecord(recordQO);
        Page<RecordingStorageRecordDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, RecordingStorageRecordDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Integer> countRecordingStorageRecord(RecordQO recordQO) {
        Integer count = this.billingRecordingStorageRecordService.countRecordingStorageRecord(recordQO);
        return EnterpriseServiceResponse.success(count);
    }

    @Override
    public ServiceResponse<Page<SmsPackageRecordDTO>> listSmsPackageRecord(RecordQO recordQO) {
        com.github.pagehelper.Page<TabBillingSmsPackageRecord> page = this.billingSmsPackageRecordService.listSmsPackageRecord(recordQO);
        Page<SmsPackageRecordDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, SmsPackageRecordDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Integer> countSmsPackageRecord(RecordQO recordQO) {
        Integer count = this.billingSmsPackageRecordService.countSmsPackageRecord(recordQO);
        return ServiceResponse.success(count);
    }

    @Override
    public ServiceResponse<Page<SmsRecordDTO>> listSmsRecord(RecordQO recordQO) {
        com.github.pagehelper.Page<TabBillingSmsRecord> page = this.billingSmsRecordService.listSmsRecord(recordQO);
        Page<SmsRecordDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, SmsRecordDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Integer> countSmsRecord(RecordQO recordQO) {
        Integer count = this.billingSmsRecordService.countSmsRecord(recordQO);
        return ServiceResponse.success(count);
    }

    @Override
    public ServiceResponse<Page<InternationalSmsRecordDTO>> listInternationalSmsRecord(RecordQO recordQO) {
        com.github.pagehelper.Page<TabBillingInternationalSmsRecord> page = this.billingInternationalSmsRecordService.listInternationalSmsRecord(recordQO);
        Page<InternationalSmsRecordDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, InternationalSmsRecordDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Integer> countInternationalSmsRecord(RecordQO recordQO) {
        Integer count = this.billingInternationalSmsRecordService.countInternationalSmsRecord(recordQO);
        return ServiceResponse.success(count);
    }

    @Override
    public ServiceResponse<Page<VoiceCodeRecordDTO>> listVoiceCodeRecord(RecordQO recordQO) {
        com.github.pagehelper.Page<TabBillingVoiceCodeRecord> page = this.billingVoiceCodeRecordService.listVoiceCodeRecord(recordQO);
        Page<VoiceCodeRecordDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, VoiceCodeRecordDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Integer> countVoiceCodeRecord(RecordQO recordQO) {
        return EnterpriseServiceResponse.success(this.billingVoiceCodeRecordService.countVoiceCodeRecord(recordQO));
    }

    @Override
    public ServiceResponse<List<Map<String, Object>>> listFee(Integer enterpriseId, String startTime, String endTime) {
        List<Map<String, Object>> list = new ArrayList<>(FeeTypeEnum.values().length);
        for (FeeTypeEnum feeType : FeeTypeEnum.values()) {
            if (FeeTypeEnum.TOTAL.getCode() != feeType.getCode()) {

                Map<String, Object> feeMap = new HashMap<>(8);
                feeMap.put("project", feeType.getMessage());
                feeMap.put("type", feeType.getCode());
                feeMap.put("mode", feeType.getCode() == FeeTypeEnum.ACCOUNT_BALANCE.getCode() || feeType.getCode() == FeeTypeEnum.SMS_PACKAGE.getCode() ? "实时扣费" : "按量日结");
                Double totalFee;
                switch (feeType.getCode()) {
                    case 2:
                        // 语音验证码
                        totalFee = billingVoiceCodeRecordService.getTotalFee(enterpriseId, startTime, endTime);
                        break;
                    case 3:
                        // 短信消费
                        totalFee = billingSmsRecordService.getTotalFee(enterpriseId, startTime, endTime);
                        break;
                    case 4:
                        // 短信套餐包(余额支付)
                        totalFee = billingSmsPackageRecordService.getTotalFee(enterpriseId, startTime, endTime);
                        break;
                    case 5:
                        // 语音存储
                        totalFee = billingRecordingStorageRecordService.getTotalFee(enterpriseId, startTime, endTime);
                        break;
                    case 6:
                        // 双向呼叫
                        totalFee = billingDoubleCallingRecordService.getTotalFee(enterpriseId, startTime, endTime);
                        break;
                    case 7:
                        // 余额支付(应用市场)
                        totalFee = billingAccountBalanceRecordService.getTotalFee(enterpriseId, startTime, endTime);
                        break;
                    case 8:
                        // 海外短信消费
                        totalFee = billingInternationalSmsRecordService.getTotalFee(enterpriseId, startTime, endTime);
                        break;
                    default:
                        totalFee = 0.0D;
                        break;
                }
                feeMap.put("totalFee", totalFee);
                list.add(feeMap);
            }
        }
        return ServiceResponse.success(list);
    }

}
