package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dto.CustomGuideTopDTO;
import com.gic.enterprise.entity.TabCustomGuideTop;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.exception.CommonException;
import com.gic.enterprise.service.CustomGuideTopApiService;
import com.gic.enterprise.service.CustomGuideTopService;
import org.apache.commons.lang3.StringUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/2 4:34 PM 
 */
@Service("customGuideTopApiService")
public class CustomGuideTopApiServiceImpl implements CustomGuideTopApiService{
    private static final Logger LOGGER = LogManager.getLogger(CustomGuideTopApiServiceImpl.class);
    @Autowired
    private CustomGuideTopService customGuideTopService;

    @Override
    public ServiceResponse<Void> saveCustomGuideTop(String guideTopColor, Integer titleColor, Integer enterpriseId, String appKey, Integer pageId) {
        if (StringUtils.isBlank(guideTopColor) || titleColor == null) {
            throw new CommonException(ErrorCode.PARAMETER_ERROR.getCode(), "参数为空");
        }
        TabCustomGuideTop record = customGuideTopService.getCustomGuideTop(pageId);
        if (record == null) {
            customGuideTopService.saveCustomGuideTop(new TabCustomGuideTop()
                    .setAppid(appKey)
                    .setEnterpriseId(enterpriseId)
                    .setGuideTopColor(guideTopColor)
                    .setTitleColor(titleColor)
                    .setPageId(pageId));
        } else {
            customGuideTopService.editCustomGuideTop(new TabCustomGuideTop()
            .setGuideTopId(record.getGuideTopId())
            .setTitleColor(titleColor)
            .setGuideTopColor(guideTopColor));
        }
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<CustomGuideTopDTO> getCustomGuideTop(Integer enterpriseId, String appKey) {
        LOGGER.info("查询参数:{}-{}", enterpriseId, appKey);
        TabCustomGuideTop record = new TabCustomGuideTop();
        record.setGuideTopColor("#ffffff");
        record.setTitleColor(1);
        return ServiceResponse.success(EntityUtil.changeEntityNew(CustomGuideTopDTO.class, record));
    }

    @Override
    public ServiceResponse<CustomGuideTopDTO> getCustomGuideTop(Integer pageId) {
        TabCustomGuideTop record = customGuideTopService.getCustomGuideTop(pageId);
        if (record == null) {
            new TabCustomGuideTop().setTitleColor(1).setGuideTopColor("#ffffff");
        }
        return ServiceResponse.success(EntityUtil.changeEntityNew(CustomGuideTopDTO.class, record));
    }
}
