package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.constant.ThemeEnum;
import com.gic.enterprise.service.CustomThemeApiService;
import com.gic.enterprise.service.CustomThemeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
/**
 *
 * @ClassName: CustomThemeApiServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:29
 */
@Service("customThemeApiService")
public class CustomThemeApiServiceImpl implements CustomThemeApiService {
    @Autowired
    private CustomThemeService customThemeService;

    @Override
    public ServiceResponse<Integer> saveTheme(Integer enterpriseId, String appid, Integer theme, Integer type) {
        int i = this.customThemeService.saveTheme(enterpriseId, appid, theme, type);
        return ServiceResponse.success(i);
    }

    @Override
    public ServiceResponse<Integer> getTheme(Integer enterpriseId, String appid) {
        Integer theme = this.customThemeService.getTheme(enterpriseId, appid);
        return ServiceResponse.success(theme);
    }

    @Override
    public ServiceResponse<String> getTheme(Integer theme) {
        ThemeEnum[] values = ThemeEnum.values();
        String themeStr = "black-blue";
        for(ThemeEnum themeEnum : values){
            if(themeEnum.getCode().intValue() == theme.intValue()){
                themeStr = themeEnum.getMsg();
            }
        }
        return ServiceResponse.success(themeStr);
    }
}
