package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.constant.WechatServiceFieldEnum;
import com.gic.enterprise.dto.CustomChatFiledDTO;
import com.gic.enterprise.dto.CustomUdeskFieldDTO;
import com.gic.enterprise.entity.TabCustomUdeskField;
import com.gic.enterprise.service.CustomUdeskFieldApiService;
import com.gic.enterprise.service.CustomUdeskFieldService;
import com.gic.redis.data.util.RedisUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
/**
 *
 * @ClassName: CustomUdeskFieldApiServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:29
 */
@Service("customUdeskFieldApiService")
public class CustomUdeskFieldApiServiceImpl implements CustomUdeskFieldApiService {
    @Autowired
    private CustomUdeskFieldService customUdeskFieldService;

    @Override
    public ServiceResponse<List<CustomChatFiledDTO>> listAllField() {

        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Integer> saveEnterpriseField(CustomUdeskFieldDTO dto) {
        int i = this.customUdeskFieldService.saveEnterpriseField(EntityUtil.changeEntityByJSON(TabCustomUdeskField.class, dto));
        return ServiceResponse.success(i);
    }

    @Override
    public ServiceResponse<Integer> editEnterpriseField(CustomUdeskFieldDTO dto) {
        customUdeskFieldService.editEnterpriseField(dto);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<List<CustomUdeskFieldDTO>> listEnterpriseField(Integer enterpriseId, String appId) {
        List<TabCustomUdeskField> list = this.customUdeskFieldService.listEnterpriseField(enterpriseId, appId);
        return ServiceResponse.success(EntityUtil.changeEntityListByJSON(CustomUdeskFieldDTO.class, list));
    }

    @Override
    public ServiceResponse<List<CustomUdeskFieldDTO>> listEnableEnterpriseField(Integer enterpriseId, String appId) {
        List<TabCustomUdeskField> list = this.customUdeskFieldService.listEnableEnterpriseField(enterpriseId, appId);
        return ServiceResponse.success(EntityUtil.changeEntityListByJSON(CustomUdeskFieldDTO.class, list));
    }

    @Override
    public ServiceResponse<CustomUdeskFieldDTO> getDetail(Integer id) {
        TabCustomUdeskField detail = this.customUdeskFieldService.getDetail(id);
        return ServiceResponse.success(EntityUtil.changeEntityByJSON(CustomUdeskFieldDTO.class, detail));
    }

    @Override
    public ServiceResponse<Integer> deleteField(Integer id) {
        int i = this.customUdeskFieldService.deleteFiled(id);
        return ServiceResponse.success(i);
    }

    @Override
    public ServiceResponse<Integer> updateStatus(Integer id, Integer status) {
        int i = this.customUdeskFieldService.updateStatus(id, status);
        return ServiceResponse.success(i);
    }
}
