package com.gic.enterprise.service.outer.impl;

import java.util.List;

import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.entity.TabEnterpriseResourceRel;
import com.gic.enterprise.service.EnterpriseGoodsResourceApiService;
import com.gic.enterprise.service.EnterpriseResourceRelService;
/**
 * 商品权限验证接口
 * @ClassName: EnterpriseGoodsResourceApiServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/19 5:01 PM 
 */
@Service("enterpriseGoodsResourceApiService")
public class EnterpriseGoodsResourceApiServiceImpl implements EnterpriseGoodsResourceApiService {

    @Autowired
    private EnterpriseResourceRelService enterpriseResourceRelService;

    @Override
    public ServiceResponse<Boolean> validGoodsAuth(Integer enterpriseId) {
        List<TabEnterpriseResourceRel> businessFront = enterpriseResourceRelService.getByEnterpriseId(enterpriseId);
        //是否有商品管理权限
        boolean hasGoodsAuth = false;
        if (CollectionUtils.isNotEmpty(businessFront)) {
            hasGoodsAuth = businessFront.stream().anyMatch(e -> "goods".equals(e.getResourceCode()) && e.getResourceSwitch().intValue() == 1);
        }
        //去掉前置资源，全部有权限
        return ServiceResponse.success(true);
    }
}
