package com.gic.enterprise.service.outer.impl.pay;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.ApprovalCallBackDTO;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.dto.OutPayDTO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/20 15:33
 */
public interface PayStrategy {
    /**
     * 预支付，生成二维码, 保存支付信息
     * @Title: savePrePayInfo
     * @Description:
     * @author zhiwj
     * @param outPayDTO 企业id
     * @return com.gic.enterprise.dto.BillingPayInfoDTO  codeUrl:二维码url
     * @throws
     */
    ServiceResponse<BillingPayInfoDTO> savePrePayInfo(OutPayDTO outPayDTO);
    /**
     * 确认支付
     * @Title: confirmPay
     * @Description:
     * @author zhiwj
     * @param outPayDTO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingPayInfoDTO>
     * @throws
     */
    ServiceResponse<BillingPayInfoDTO> confirmPay(OutPayDTO outPayDTO);

    /**
     * 查询支付状态 并更新
     * @Title: queryAndUpdatePayStatus
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param serialNumber
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Boolean> queryAndUpdatePayStatus(Integer enterpriseId, String serialNumber);


    /**
     * callBack
     * @Title: callBack
     * @Description: 
     * @author taogs 
     * @param resData
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> callBack(ApprovalCallBackDTO resData);



}
