package com.gic.enterprise.utils.chart;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;
import java.util.Set;

import com.gic.enterprise.utils.ApplicationContextUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.core.io.support.PropertiesLoaderUtils;

/**
 * 计费中心首页图表 服务配置解读
 * @ClassName: ReadFeeChartConfig 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/3 2:01 PM 
 */
public class ReadFeeChartConfig {

    private static Logger LOGGER = LogManager.getLogger(ReadFeeChartConfig.class);


    /**
     * 解读 计费中心首页图表 服务配置
     * @return
     */
    public static Map<Integer, IFeeChart> read() {
        Map<Integer, IFeeChart> map = new HashMap<>(16);
        Properties properties = new Properties();

        try {
            properties = PropertiesLoaderUtils.loadAllProperties("config/feechart.properties");

            Set<Map.Entry<Object, Object>> entrySet = properties.entrySet();
            for (Map.Entry<Object, Object> entry : entrySet) {
                map.put(Integer.parseInt((String) entry.getKey()), ApplicationContextUtils.getBean((String) entry.getValue()));
            }
        } catch (Exception e) {
            LOGGER.warn("解析config/feechart.properties文件失败:{}", e.getMessage(), e);
        }

        return map;
    }

    private static IFeeChart createClass(String url) throws ClassNotFoundException, IllegalAccessException, InvocationTargetException, InstantiationException, NoSuchMethodException {
        Class clazz = Class.forName(url);
        Constructor constructor = clazz.getDeclaredConstructor();
        return (IFeeChart) constructor.newInstance();
    }

    public static void main(String[] args) {
    }
}
