package com.gic.enterprise.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.BillingCouponCardDTO;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.qo.PageQO;
import com.gic.enterprise.response.EnterpriseRestResponse;
import com.gic.enterprise.service.BillingCouponCardApiService;
import com.gic.enterprise.utils.UserDetailUtils;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
/**
 *
 * @ClassName: BillingCoupCardController
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:25
 */
@RestController
public class BillingCoupCardController {
    private static final Logger log = LogManager.getLogger(BillingCoupCardController.class);

    @Autowired
    private BillingCouponCardApiService billingCouponCardApiService;

    @RequestMapping("page-coup-card")
    public RestResponse pageCoupCard(String startDate, String endDate, PageQO pageQO){
        Integer enterpriseId = UserDetailUtils.getUserDetail().getEnterpriseId();
        ServiceResponse<Page<BillingCouponCardDTO>> pageServiceResponse = this.billingCouponCardApiService.
                pageBillingCouponCard(enterpriseId, startDate, endDate, pageQO.getCurrentPage(), pageQO.getPageSize());
        if(pageServiceResponse.isSuccess()){
            return RestResponse.success(pageServiceResponse.getResult());
        }
        return EnterpriseRestResponse.failure(pageServiceResponse);
    }

    @RequestMapping("list-coup-card-enabled")
    public RestResponse listCoupCardEnabled(Integer code){
        if(code == null){
            return EnterpriseRestResponse.failure(ErrorCode.MISS_PARAMETER);
        }
        Integer enterpriseId = UserDetailUtils.getUserDetail().getEnterpriseId();
        ServiceResponse<List<BillingCouponCardDTO>> listServiceResponse = this.billingCouponCardApiService.listBillingCouponCardEnable(enterpriseId, code);
        if(listServiceResponse.isSuccess()){
            return RestResponse.success(listServiceResponse.getResult());
        }
        return EnterpriseRestResponse.failure(listServiceResponse);
    }
}
