package com.gic.enterprise.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.DownloadLogDTO;
import com.gic.enterprise.qo.DownloadLogQO;
import com.gic.enterprise.service.DownloadLogApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;
import com.gic.enterprise.web.vo.DownloadLogVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-30 0:38
 */
@RestController
public class DownloadLogController {

    @Autowired
    private DownloadLogApiService downloadLogApiService;

    @RequestMapping("/list-download-log")
    public RestResponse listDownloadLog(@Validated({DownloadLogQO.SelectValidView.class}) DownloadLogQO downloadLogQO) {
        downloadLogQO.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        ServiceResponse<Page<DownloadLogDTO>> serviceResponse = downloadLogApiService.listDownload(downloadLogQO);
        return ResultControllerUtils.commonPageResult(serviceResponse, DownloadLogVO.class);
    }

}
