package com.gic.enterprise.web.utils.goods;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dto.EnterpriseResourceRelDTO;
import com.gic.enterprise.service.EnterpriseApiService;
import com.gic.enterprise.service.EnterpriseGoodsResourceApiService;
import com.gic.enterprise.web.vo.EnterpriseResourceRelVO;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
/**
 * 应用方式
 * @ClassName: AppResource 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/19 2:49 PM 
 */
@Component
public class AppResource extends AbstractGoodsStrategy{
    @Autowired
    private EnterpriseApiService enterpriseApiService;
    @Autowired
    private EnterpriseGoodsResourceApiService enterpriseGoodsResourceApiService;

    @Override
    public List<EnterpriseResourceRelVO> getGoodsAuthData(Integer enterpriseId) {
        //商品资源获取接口调整
        boolean hasGoodsAuth = enterpriseGoodsResourceApiService.validGoodsAuth(enterpriseId).getResult();

        List<EnterpriseResourceRelVO> result = new ArrayList<>();
        ServiceResponse<List<EnterpriseResourceRelDTO>> resourceResponse = this.enterpriseApiService.getBusinessFrontRes(enterpriseId);
        if (resourceResponse.isSuccess()) {
            result.addAll(EntityUtil.changeEntityListNew(EnterpriseResourceRelVO.class, resourceResponse.getResult()));
        }

        /**
         * 商品选择器 code
         */
        String goodsSelectCode = "901";
        if (CollectionUtils.isNotEmpty(result)) {
            result.forEach(e -> {
                if (goodsSelectCode.equals(e.getResourceCode())) {
                    e.setResourceCode("Deprecated");
                }
            });
        }

        EnterpriseResourceRelVO vo = new EnterpriseResourceRelVO();
        vo.setResourceCode(goodsSelectCode);
        vo.setResourceName("商品选择器");
        if (hasGoodsAuth) {
            vo.setResourceSwitch(1);
        } else {
            vo.setResourceSwitch(0);
        }
        result.add(vo);
        return result;
    }
}
