package com.gic.enterprise.web.utils.goods;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dto.EnterpriseResourceRelDTO;
import com.gic.enterprise.service.EnterpriseApiService;
import com.gic.enterprise.web.vo.EnterpriseResourceRelVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
/**
 * 前置资源方式
 * @ClassName: FrontResource 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/19 2:47 PM 
 */
@Component
public class FrontResource extends AbstractGoodsStrategy{
    @Autowired
    private EnterpriseApiService enterpriseApiService;

    @Override
    public List<EnterpriseResourceRelVO> getGoodsAuthData(Integer enterpriseId) {
        List<EnterpriseResourceRelVO> result = new ArrayList<>(2);
        ServiceResponse<List<EnterpriseResourceRelDTO>> resourceResponse = this.enterpriseApiService.getBusinessFrontRes(enterpriseId);
        if (resourceResponse.isSuccess()) {
            result.addAll(EntityUtil.changeEntityListNew(EnterpriseResourceRelVO.class, resourceResponse.getResult()));
        }
        return result;
    }
}
