package com.gic.enterprise.web.utils.union;

import com.gic.enterprise.web.vo.union.OwnerMemberCardVO;
import com.gic.platform.member.constant.enums.CuTypeEnum;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 会员卡域
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 1:38 PM 
 */
public class MemberAreaData implements IUserAreaData<OwnerMemberCardVO>{
    @Override
    public List<OwnerMemberCardVO> getUserArea(Map<Integer, Object> areaMap, Map<String, List<String>> authDataArr) {
        //会员卡域
        List<OwnerMemberCardVO> memberAreaVoList = new ArrayList<>();
        List<OwnerMemberCardVO> memberArea = (List<OwnerMemberCardVO>) areaMap.get(CuTypeEnum.MCU.getType());
        List<String> memberCardIdArr = authDataArr.get(String.valueOf(CuTypeEnum.MCU.getType()));
        if (memberCardIdArr != null) {
            Map<Long, OwnerMemberCardVO> memberCardMap = memberArea.stream().collect(Collectors.toMap(OwnerMemberCardVO::getCardConfigId, e -> e));
            if (memberArea != null) {
                for (String cu : memberCardIdArr) {
                    if (memberCardMap.containsKey(Long.valueOf(cu))) {
                        memberAreaVoList.add(memberCardMap.get(Long.valueOf(cu)));
                    }
                }
            }
        }
        return memberAreaVoList;
    }
}
