package com.gic.enterprise.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 下载中心列表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/17 3:57 PM 
 */
public class DownloadReportVO implements Serializable{
    private static final long serialVersionUID = -708734703914189764L;

    /**
     *
     */
    private Integer downloadReportId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 报告id
     */
    private String reportId;

    /**
     *
     */
    private Integer applyUserId;

    /**
     *
     */
    private String applyUserName;

    /**
     * 开始时间
     */
    private Date reportStartTime;

    /**
     * 结束时间
     */
    private Date reportEndTime;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 数据源， 用  "-" 隔开上级和本级
     */
    private String dataContent;

    /**
     * 数据源超链接
     */
    private String dataUrl;

    /**
     * 报告类型  1：完整数据， 2：脱敏数据， 3：二维码
     */
    private Integer dataType;

    /**
     * 数据总量
     */
    private Integer dataCount;

    private String projectCode;

    /**
     * 审批结果 0:未审核   1：审核通过  2：审核失败
     */
    private Integer auditResult;

    /**
     * 审批到期时间
     */
    private Date auditExpireTime;

    /**
     * 文件路径
     */
    private String downloadUrl;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private Integer downloadReportStatus;

    /**
     * 审核人
     */
    private Integer auditorId;

    /**
     * 审核人name
     */
    private String auditorName;

    /**
     * 审核人手机
     */
    private String auditorPhone;

    /**
     * 拒绝理由
     */
    private String auditReason;

    public Integer getDownloadReportId() {
        return downloadReportId;
    }

    public DownloadReportVO setDownloadReportId(Integer downloadReportId) {
        this.downloadReportId = downloadReportId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DownloadReportVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getReportId() {
        return reportId;
    }

    public DownloadReportVO setReportId(String reportId) {
        this.reportId = reportId;
        return this;
    }

    public Integer getApplyUserId() {
        return applyUserId;
    }

    public DownloadReportVO setApplyUserId(Integer applyUserId) {
        this.applyUserId = applyUserId;
        return this;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public DownloadReportVO setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
        return this;
    }

    public Date getReportStartTime() {
        return reportStartTime;
    }

    public DownloadReportVO setReportStartTime(Date reportStartTime) {
        this.reportStartTime = reportStartTime;
        return this;
    }

    public Date getReportEndTime() {
        return reportEndTime;
    }

    public DownloadReportVO setReportEndTime(Date reportEndTime) {
        this.reportEndTime = reportEndTime;
        return this;
    }

    public String getFileName() {
        return fileName;
    }

    public DownloadReportVO setFileName(String fileName) {
        this.fileName = fileName;
        return this;
    }

    public String getDataContent() {
        return dataContent;
    }

    public DownloadReportVO setDataContent(String dataContent) {
        this.dataContent = dataContent;
        return this;
    }

    public String getDataUrl() {
        return dataUrl;
    }

    public DownloadReportVO setDataUrl(String dataUrl) {
        this.dataUrl = dataUrl;
        return this;
    }

    public Integer getDataType() {
        if (dataType != null && dataType == 3) {
            //如果是二维码，则变成完整数据类型
            return 1;
        }
        return dataType;
    }

    public DownloadReportVO setDataType(Integer dataType) {
        this.dataType = dataType;
        return this;
    }

    public Integer getDataCount() {
        return dataCount;
    }

    public DownloadReportVO setDataCount(Integer dataCount) {
        this.dataCount = dataCount;
        return this;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public DownloadReportVO setProjectCode(String projectCode) {
        this.projectCode = projectCode;
        return this;
    }

    public Integer getAuditResult() {
        return auditResult;
    }

    public DownloadReportVO setAuditResult(Integer auditResult) {
        this.auditResult = auditResult;
        return this;
    }

    public Date getAuditExpireTime() {
        return auditExpireTime;
    }

    public DownloadReportVO setAuditExpireTime(Date auditExpireTime) {
        this.auditExpireTime = auditExpireTime;
        return this;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public DownloadReportVO setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public DownloadReportVO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DownloadReportVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DownloadReportVO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDownloadReportStatus() {
        return downloadReportStatus;
    }

    public DownloadReportVO setDownloadReportStatus(Integer downloadReportStatus) {
        this.downloadReportStatus = downloadReportStatus;
        return this;
    }

    public Integer getAuditorId() {
        return auditorId;
    }

    public DownloadReportVO setAuditorId(Integer auditorId) {
        this.auditorId = auditorId;
        return this;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public DownloadReportVO setAuditorName(String auditorName) {
        this.auditorName = auditorName;
        return this;
    }

    public String getAuditorPhone() {
        return auditorPhone;
    }

    public DownloadReportVO setAuditorPhone(String auditorPhone) {
        this.auditorPhone = auditorPhone;
        return this;
    }

    public String getAuditReason() {
        return auditReason;
    }

    public DownloadReportVO setAuditReason(String auditReason) {
        this.auditReason = auditReason;
        return this;
    }

    @Override
    public String toString() {
        return "DownloadReportVO{" +
                "downloadReportId=" + downloadReportId +
                ", enterpriseId=" + enterpriseId +
                ", reportId='" + reportId + '\'' +
                ", applyUserId=" + applyUserId +
                ", applyUserName='" + applyUserName + '\'' +
                ", reportStartTime=" + reportStartTime +
                ", reportEndTime=" + reportEndTime +
                ", fileName='" + fileName + '\'' +
                ", dataContent='" + dataContent + '\'' +
                ", dataUrl='" + dataUrl + '\'' +
                ", dataType=" + dataType +
                ", dataCount=" + dataCount +
                ", projectCode='" + projectCode + '\'' +
                ", auditResult=" + auditResult +
                ", auditExpireTime=" + auditExpireTime +
                ", downloadUrl='" + downloadUrl + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", downloadReportStatus=" + downloadReportStatus +
                ", auditorId=" + auditorId +
                ", auditorName='" + auditorName + '\'' +
                ", auditorPhone='" + auditorPhone + '\'' +
                ", auditReason='" + auditReason + '\'' +
                '}';
    }
}
