package com.gic.enterprise.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @ClassName: MemberCardVO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:33
 */
public class MemberCardVO implements Serializable{
    private static final long serialVersionUID = 6105446271994108954L;

    /**
     * 会员卡基本信息表主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long cardConfigId;

    private String cardName;

    /**
     * 1-自有，2-共享
     */
    private Byte type;

    private Integer ownerEntId;

    private Integer enterpriseId;

    /**
     * 1：默认会员卡（创建最早的卡）0:否
     */
    private Integer isDefault;

    private Long minMemberCardId;

    public Long getCardConfigId() {
        return cardConfigId;
    }

    public MemberCardVO setCardConfigId(Long cardConfigId) {
        this.cardConfigId = cardConfigId;
        return this;
    }

    public String getCardName() {
        return cardName;
    }

    public MemberCardVO setCardName(String cardName) {
        this.cardName = cardName;
        return this;
    }

    public Byte getType() {
        if (Objects.equals(enterpriseId, ownerEntId)) {
            return 1;
        }
        return 2;
    }

    public MemberCardVO setType(Byte type) {
        this.type = type;
        return this;
    }

    public Integer getOwnerEntId() {
        return ownerEntId;
    }

    public MemberCardVO setOwnerEntId(Integer ownerEntId) {
        this.ownerEntId = ownerEntId;
        return this;
    }

    public MemberCardVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getIsDefault() {
        if (Objects.equals(cardConfigId, minMemberCardId)) {
            return 1;
        }
        return 0;
    }

    public MemberCardVO setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
        return this;
    }

    public MemberCardVO setMinMemberCardId(Long minMemberCardId) {
        this.minMemberCardId = minMemberCardId;
        return this;
    }

    @Override
    public String toString() {
        return "MemberCardVO{" +
                "cardConfigId=" + cardConfigId +
                ", cardName='" + cardName + '\'' +
                ", type=" + type +
                ", ownerEntId=" + ownerEntId +
                ", enterpriseId=" + enterpriseId +
                ", isDefault=" + isDefault +
                '}';
    }
}
