package com.gic.enterprise.web.vo;

import java.io.Serializable;
import java.util.List;

/**
 * 公众号自定义菜单
 * @ClassName: WechatMenuVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/29 9:48 AM 
 */
public class WechatMenuVO implements Serializable{
    private static final long serialVersionUID = 8821617988057483655L;

    /**
     * 菜单ID
     */
    private Integer menuId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 父级菜单ID
     */
    private Integer parentMenuId;

    /**
     * 菜单类型（1：消息，2：外链，3：内链 4：小程序链接）
     */
    private Integer menuType;

    /**
     * 菜单编码，用于解析出URL
     */
    private String menuCode;

    /**
     * 链接地址
     */
    private String menuUrl;

    /**
     * 指定菜单对应的参数，针对门店活动、卡券展架、门店导航等选择指定门店的参数信息
     */
    private String menuUrlPara;

    /**
     * 消息对接字段
     */
    private String content;

    /**
     * 公众号key
     */
    private String appKey;

    private List<WechatMenuVO> child;


    public Integer getMenuId() {
        return menuId;
    }

    public WechatMenuVO setMenuId(Integer menuId) {
        this.menuId = menuId;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public WechatMenuVO setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    public String getMenuName() {
        return menuName;
    }

    public WechatMenuVO setMenuName(String menuName) {
        this.menuName = menuName;
        return this;
    }

    public Integer getParentMenuId() {
        return parentMenuId;
    }

    public WechatMenuVO setParentMenuId(Integer parentMenuId) {
        this.parentMenuId = parentMenuId;
        return this;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public WechatMenuVO setMenuType(Integer menuType) {
        this.menuType = menuType;
        return this;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public WechatMenuVO setMenuCode(String menuCode) {
        this.menuCode = menuCode;
        return this;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public WechatMenuVO setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
        return this;
    }

    public String getMenuUrlPara() {
        return menuUrlPara;
    }

    public WechatMenuVO setMenuUrlPara(String menuUrlPara) {
        this.menuUrlPara = menuUrlPara;
        return this;
    }

    public String getContent() {
        return content;
    }

    public WechatMenuVO setContent(String content) {
        this.content = content;
        return this;
    }

    public String getAppKey() {
        return appKey;
    }

    public WechatMenuVO setAppKey(String appKey) {
        this.appKey = appKey;
        return this;
    }

    public List<WechatMenuVO> getChild() {
        return child;
    }

    public WechatMenuVO setChild(List<WechatMenuVO> child) {
        this.child = child;
        return this;
    }

    @Override
    public String toString() {
        return "WechatMenuVO{" +
                "menuId=" + menuId +
                ", sort=" + sort +
                ", menuName='" + menuName + '\'' +
                ", parentMenuId=" + parentMenuId +
                ", menuType=" + menuType +
                ", menuCode='" + menuCode + '\'' +
                ", menuUrl='" + menuUrl + '\'' +
                ", menuUrlPara='" + menuUrlPara + '\'' +
                ", content='" + content + '\'' +
                ", appKey='" + appKey + '\'' +
                ", child=" + child +
                '}';
    }
}
