package com.gic.enterprise.web.vo.index;

import java.io.Serializable;
/**
 * 首页-用户数量占比
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/25 9:24 AM 
 */
public class ChannelUserRateVO implements Serializable{
    private static final long serialVersionUID = -9148715335260696834L;

    private Integer memberCount;

    /**
     * 服务门店/开卡门店会员总数
     */
    private Integer mcuCount;

    /**
     * 小程序会员数
     */
    private Integer acuCount;

    /**
     * 服务号会员数
     */
    private Integer scuCount;

    /**
     * CuTypeEnum枚举
     */
    private Integer cuType;

    /**
     * 域ID
     */
    private Long areaId;

    /**
     * 域名称
     */
    private String areaName;

    /**
     * 共享标志
     */
    private Integer ownType;

    public Integer getMemberCount() {
        return memberCount;
    }

    public ChannelUserRateVO setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
        return this;
    }

    public Integer getCuType() {
        return cuType;
    }

    public ChannelUserRateVO setCuType(Integer cuType) {
        this.cuType = cuType;
        return this;
    }

    public Long getAreaId() {
        return areaId;
    }

    public ChannelUserRateVO setAreaId(Long areaId) {
        this.areaId = areaId;
        return this;
    }

    public String getAreaName() {
        return areaName;
    }

    public ChannelUserRateVO setAreaName(String areaName) {
        this.areaName = areaName;
        return this;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public ChannelUserRateVO setOwnType(Integer ownType) {
        this.ownType = ownType;
        return this;
    }

    public Integer getMcuCount() {
        if (mcuCount == null && cuType != null && cuType ==3) {
            return memberCount;
        }
        return mcuCount;
    }

    public ChannelUserRateVO setMcuCount(Integer mcuCount) {
        this.mcuCount = mcuCount;
        return this;
    }

    public Integer getAcuCount() {
        if (acuCount == null && cuType != null && cuType ==1) {
            return memberCount;
        }
        return acuCount;
    }

    public ChannelUserRateVO setAcuCount(Integer acuCount) {
        this.acuCount = acuCount;
        return this;
    }

    public Integer getScuCount() {
        if (scuCount == null && cuType != null && cuType ==2) {
            return memberCount;
        }
        return scuCount;
    }

    public ChannelUserRateVO setScuCount(Integer scuCount) {
        this.scuCount = scuCount;
        return this;
    }

    @Override
    public String toString() {
        return "ChannelUserRateVO{" +
                "memberCount=" + memberCount +
                ", mcuCount=" + mcuCount +
                ", acuCount=" + acuCount +
                ", scuCount=" + scuCount +
                ", cuType=" + cuType +
                ", areaId=" + areaId +
                ", areaName='" + areaName + '\'' +
                ", ownType=" + ownType +
                '}';
    }
}
