package com.gic.enterprise.web.vo.union;

import java.io.Serializable;
import java.util.Date;

/**
 * 自有商户列表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 4:39 PM 
 */
public class OwnEnterpriseListVO implements Serializable{
    private static final long serialVersionUID = -7276918784638940478L;

    private String userName;

    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    private String enterpriseName;

    private String companyName;

    private String address;

    private Integer enterpriseId;

    private String logo;

    /**
     * 1:有效 2:解除中 3: 已解除联合
     */
    private Integer statusFlag;

    /**
     * 解除时间
     */
    private Date relieveTime;

    /**
     * 最新解除时间（最后一项资源收回完毕时间）
     */
    private Date lastRelieveTime;

    /**
     * 解除生效时间，保留X个自然日后开始解除资源
     */
    private Integer relieveEffectDate;

    /**
     * 最新联合完成时间（最后一项资源授权完毕时间
     */
    private Date lastUnionTime;

    /**
     * 联合商户记录主键
     */
    private Integer unionEnterpriseAuthId;

    public String getUserName() {
        return userName;
    }

    public OwnEnterpriseListVO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public OwnEnterpriseListVO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public OwnEnterpriseListVO setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public OwnEnterpriseListVO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public OwnEnterpriseListVO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public OwnEnterpriseListVO setAddress(String address) {
        this.address = address;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public OwnEnterpriseListVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public OwnEnterpriseListVO setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
        return this;
    }

    public Date getRelieveTime() {
        return relieveTime;
    }

    public OwnEnterpriseListVO setRelieveTime(Date relieveTime) {
        this.relieveTime = relieveTime;
        return this;
    }

    public Date getLastRelieveTime() {
        return lastRelieveTime;
    }

    public OwnEnterpriseListVO setLastRelieveTime(Date lastRelieveTime) {
        this.lastRelieveTime = lastRelieveTime;
        return this;
    }

    public Integer getRelieveEffectDate() {
        return relieveEffectDate;
    }

    public OwnEnterpriseListVO setRelieveEffectDate(Integer relieveEffectDate) {
        this.relieveEffectDate = relieveEffectDate;
        return this;
    }

    public Date getLastUnionTime() {
        return lastUnionTime;
    }

    public OwnEnterpriseListVO setLastUnionTime(Date lastUnionTime) {
        this.lastUnionTime = lastUnionTime;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public OwnEnterpriseListVO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public OwnEnterpriseListVO setLogo(String logo) {
        this.logo = logo;
        return this;
    }

    @Override
    public String toString() {
        return "OwnEnterpriseListVO{" +
                "userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", address='" + address + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                ", logo='" + logo + '\'' +
                ", statusFlag=" + statusFlag +
                ", relieveTime=" + relieveTime +
                ", lastRelieveTime=" + lastRelieveTime +
                ", relieveEffectDate=" + relieveEffectDate +
                ", lastUnionTime=" + lastUnionTime +
                ", unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                '}';
    }
}
