package com.gic.enterprise.web.vo.union;

import com.gic.auth.dto.ResourceGroupCustomUserDTO;

import java.io.Serializable;
import java.util.List;

/**
 * 自有商户资源详情
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 9:46 AM 
 */
public class OwnEnterpriseResourceDetailVO implements Serializable{
    private static final long serialVersionUID = -8730655831272896649L;

    /**
     *
     */
    private Integer resourceGroupId;

    /**
     * 资源名称
     */
    private String resourceGroupName;

    /**
     * 用户域 0:不授予 1:授予
     */
    private Integer customUser;

    /**
     * 用户域配置，json格式 [{"type":1,"sort":1,"areaValue":"","cuSelectId":""}]
     */
    private String customUserData;

    private List<ResourceGroupCustomUserDTO> customUserList;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源
     */
    private Long goodsResourceId;

    /**
     * 线下门店订单 1:用户在授权管辖门店范围内的订单 2:用户下所有订单
     */
    private Integer storeOrderArea;

    /**
     * 微盟商城订单 1:用户在授权店铺范围内的订单 2:不授予
     */
    private Integer weimobOrderArea;

    /**
     * 微盟店铺多选，weimob_order_area选择1时选择店铺,英文逗号隔开
     */
    private String weimobStoreId;

    private List<String> weimobName;

    /**
     * 短信签名多选，英文逗号隔开
     */
    private String smsId;

    private List<String> smsName;

    private List<OwnEnterpriseAuditedGroupVO> auditedGroup;

    private List<OwnEnterpriseAccountGroupVO> accountGroup;

    /**
     * 数据加密字段 1：用户手机号、卡号 2:用户收获地址 。多选，英文逗号隔开
     */
    private String dataEncryField;

    /**
     * 用户修改权限 1：用户归属修改权限 2:用户等级修改权限 3:用户积分修改权限 4:用户手机号修改权限 。多选，英文逗号隔开
     */
    private String userEditAuth;

    /**
     * 白名单用户授权 1:是 0:否
     */
    private Integer whiteListAuth;

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public OwnEnterpriseResourceDetailVO setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public OwnEnterpriseResourceDetailVO setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
        return this;
    }

    public Integer getCustomUser() {
        return customUser;
    }

    public OwnEnterpriseResourceDetailVO setCustomUser(Integer customUser) {
        this.customUser = customUser;
        return this;
    }

    public String getCustomUserData() {
        return customUserData;
    }

    public OwnEnterpriseResourceDetailVO setCustomUserData(String customUserData) {
        this.customUserData = customUserData;
        return this;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public OwnEnterpriseResourceDetailVO setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
        return this;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public OwnEnterpriseResourceDetailVO setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
        return this;
    }

    public Integer getStoreOrderArea() {
        return storeOrderArea;
    }

    public OwnEnterpriseResourceDetailVO setStoreOrderArea(Integer storeOrderArea) {
        this.storeOrderArea = storeOrderArea;
        return this;
    }

    public Integer getWeimobOrderArea() {
        return weimobOrderArea;
    }

    public OwnEnterpriseResourceDetailVO setWeimobOrderArea(Integer weimobOrderArea) {
        this.weimobOrderArea = weimobOrderArea;
        return this;
    }

    public String getWeimobStoreId() {
        return weimobStoreId;
    }

    public OwnEnterpriseResourceDetailVO setWeimobStoreId(String weimobStoreId) {
        this.weimobStoreId = weimobStoreId;
        return this;
    }

    public String getSmsId() {
        return smsId;
    }

    public OwnEnterpriseResourceDetailVO setSmsId(String smsId) {
        this.smsId = smsId;
        return this;
    }

    public List<OwnEnterpriseAuditedGroupVO> getAuditedGroup() {
        return auditedGroup;
    }

    public OwnEnterpriseResourceDetailVO setAuditedGroup(List<OwnEnterpriseAuditedGroupVO> auditedGroup) {
        this.auditedGroup = auditedGroup;
        return this;
    }

    public List<OwnEnterpriseAccountGroupVO> getAccountGroup() {
        return accountGroup;
    }

    public OwnEnterpriseResourceDetailVO setAccountGroup(List<OwnEnterpriseAccountGroupVO> accountGroup) {
        this.accountGroup = accountGroup;
        return this;
    }

    public String getDataEncryField() {
        return dataEncryField;
    }

    public OwnEnterpriseResourceDetailVO setDataEncryField(String dataEncryField) {
        this.dataEncryField = dataEncryField;
        return this;
    }

    public String getUserEditAuth() {
        return userEditAuth;
    }

    public OwnEnterpriseResourceDetailVO setUserEditAuth(String userEditAuth) {
        this.userEditAuth = userEditAuth;
        return this;
    }

    public Integer getWhiteListAuth() {
        return whiteListAuth;
    }

    public OwnEnterpriseResourceDetailVO setWhiteListAuth(Integer whiteListAuth) {
        this.whiteListAuth = whiteListAuth;
        return this;
    }

    public List<ResourceGroupCustomUserDTO> getCustomUserList() {
        return customUserList;
    }

    public OwnEnterpriseResourceDetailVO setCustomUserList(List<ResourceGroupCustomUserDTO> customUserList) {
        this.customUserList = customUserList;
        return this;
    }

    public List<String> getWeimobName() {
        return weimobName;
    }

    public OwnEnterpriseResourceDetailVO setWeimobName(List<String> weimobName) {
        this.weimobName = weimobName;
        return this;
    }

    public List<String> getSmsName() {
        return smsName;
    }

    public OwnEnterpriseResourceDetailVO setSmsName(List<String> smsName) {
        this.smsName = smsName;
        return this;
    }

    @Override
    public String toString() {
        return "OwnEnterpriseResourceDetailVO{" +
                "resourceGroupId=" + resourceGroupId +
                ", resourceGroupName='" + resourceGroupName + '\'' +
                ", customUser=" + customUser +
                ", customUserData='" + customUserData + '\'' +
                ", customUserList=" + customUserList +
                ", storeResource=" + storeResource +
                ", goodsResourceId=" + goodsResourceId +
                ", storeOrderArea=" + storeOrderArea +
                ", weimobOrderArea=" + weimobOrderArea +
                ", weimobStoreId='" + weimobStoreId + '\'' +
                ", weimobName=" + weimobName +
                ", smsId='" + smsId + '\'' +
                ", smsName=" + smsName +
                ", auditedGroup=" + auditedGroup +
                ", accountGroup=" + accountGroup +
                ", dataEncryField='" + dataEncryField + '\'' +
                ", userEditAuth='" + userEditAuth + '\'' +
                ", whiteListAuth=" + whiteListAuth +
                '}';
    }
}
