package com.gic.enterprise.web.vo.union;

import java.io.Serializable;
/**
 * 联合商户资源授权。
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 11:32 AM 
 */
public class UnionEnterpriseAuthResQO implements Serializable{
    private static final long serialVersionUID = 3278113677530099094L;

    /**
     * 资源组ID
     */
    private Integer resourceGroupId;

    /**
     * 受审组，多选，英文逗号隔开
     */
    private String auditeeGroup;

    /**
     * 账号分组，多选，英文逗号隔开
     */
    private String accountGroup;

    /**
     * 数据加密字段 1：用户手机号、卡号 2:用户收获地址 。多选，英文逗号隔开
     */
    private String dataEncryField;

    /**
     * 用户修改权限 1：用户归属修改权限 2:用户等级修改权限 3:用户积分修改权限 4:用户手机号修改权限 。多选，英文逗号隔开
     */
    private String userEditAuth;

    /**
     * 白名单用户授权 1:是 0:否
     */
    private Integer whiteListAuth;

    /**
     *
     */
    private Integer enterpriseId;

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public UnionEnterpriseAuthResQO setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getAuditeeGroup() {
        return auditeeGroup;
    }

    public UnionEnterpriseAuthResQO setAuditeeGroup(String auditeeGroup) {
        this.auditeeGroup = auditeeGroup;
        return this;
    }

    public String getAccountGroup() {
        return accountGroup;
    }

    public UnionEnterpriseAuthResQO setAccountGroup(String accountGroup) {
        this.accountGroup = accountGroup;
        return this;
    }

    public String getDataEncryField() {
        return dataEncryField;
    }

    public UnionEnterpriseAuthResQO setDataEncryField(String dataEncryField) {
        this.dataEncryField = dataEncryField;
        return this;
    }

    public String getUserEditAuth() {
        return userEditAuth;
    }

    public UnionEnterpriseAuthResQO setUserEditAuth(String userEditAuth) {
        this.userEditAuth = userEditAuth;
        return this;
    }

    public Integer getWhiteListAuth() {
        return whiteListAuth;
    }

    public UnionEnterpriseAuthResQO setWhiteListAuth(Integer whiteListAuth) {
        this.whiteListAuth = whiteListAuth;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UnionEnterpriseAuthResQO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthResQO{" +
                "resourceGroupId=" + resourceGroupId +
                ", auditeeGroup='" + auditeeGroup + '\'' +
                ", accountGroup='" + accountGroup + '\'' +
                ", dataEncryField='" + dataEncryField + '\'' +
                ", userEditAuth='" + userEditAuth + '\'' +
                ", whiteListAuth='" + whiteListAuth + '\'' +
                ", enterpriseId=" + enterpriseId +
                '}';
    }
}
