package com.gic.enterprise.web.vo.union;

import com.gic.enterprise.constant.union.UnionEnterpriseAuthResTypeEnum;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 联合商户首页显示自有商户列表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/8 11:30 AM 
 */
public class UnionEnterpriseIndexVO implements Serializable{
    private static final long serialVersionUID = -7531909863237188767L;

    private String userName;

    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    private String enterpriseName;

    private String companyName;

    private String address;

    private Integer enterpriseId;

    private String logo;

    /**
     * 最新联合完成时间（最后一项资源授权完毕时间
     */
    private Date lastUnionTime;

    private List<String> resourceName;

    public String getUserName() {
        return userName;
    }

    public UnionEnterpriseIndexVO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public UnionEnterpriseIndexVO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public UnionEnterpriseIndexVO setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public UnionEnterpriseIndexVO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public UnionEnterpriseIndexVO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public UnionEnterpriseIndexVO setAddress(String address) {
        this.address = address;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UnionEnterpriseIndexVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public UnionEnterpriseIndexVO setLogo(String logo) {
        this.logo = logo;
        return this;
    }

    public Date getLastUnionTime() {
        return lastUnionTime;
    }

    public UnionEnterpriseIndexVO setLastUnionTime(Date lastUnionTime) {
        this.lastUnionTime = lastUnionTime;
        return this;
    }

    public List<String> getResourceName() {
        List<String> result = new ArrayList<>();
        for (UnionEnterpriseAuthResTypeEnum type : UnionEnterpriseAuthResTypeEnum.values()) {
            result.add(type.getMessage());
        }
        return result;
    }

    public UnionEnterpriseIndexVO setResourceName(List<String> resourceName) {
        this.resourceName = resourceName;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseIndexVO{" +
                "userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", address='" + address + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                ", logo='" + logo + '\'' +
                ", lastUnionTime=" + lastUnionTime +
                ", resourceName=" + resourceName +
                '}';
    }
}
