package com.gic.enterprise.web.vo.union;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 联合商户列表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 2:16 PM 
 */
public class UnionEnterpriseListVO implements Serializable{
    private static final long serialVersionUID = -2875250048224774263L;

    private String userName;

    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    private String enterpriseName;

    private String companyName;

    private String address;

    private Integer enterpriseId;

    /**
     * 1:有效 2:解除中 3: 已解除联合 4:待解除
     */
    private Integer statusFlag;

    /**
     * 解除时间
     */
    private Date relieveTime;

    /**
     * 最新解除时间（最后一项资源收回完毕时间）
     */
    private Date lastRelieveTime;

    /**
     * 解除生效时间，保留X个自然日后开始解除资源
     */
    private Integer relieveEffectDate;

    /**
     * 将解除时间时间yyyy-MM-dd
     */
    private String startRelieveTime;

    /**
     * 资源对象
     */
    private List<UnionEnterpriseResourceVO> unionEnterpriseResourceList;

    public String getUserName() {
        return userName;
    }

    public UnionEnterpriseListVO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public UnionEnterpriseListVO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public UnionEnterpriseListVO setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public UnionEnterpriseListVO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public UnionEnterpriseListVO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public UnionEnterpriseListVO setAddress(String address) {
        this.address = address;
        return this;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public UnionEnterpriseListVO setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
        return this;
    }

    public Date getRelieveTime() {
        return relieveTime;
    }

    public UnionEnterpriseListVO setRelieveTime(Date relieveTime) {
        this.relieveTime = relieveTime;
        return this;
    }

    public Date getLastRelieveTime() {
        return lastRelieveTime;
    }

    public UnionEnterpriseListVO setLastRelieveTime(Date lastRelieveTime) {
        this.lastRelieveTime = lastRelieveTime;
        return this;
    }

    public Integer getRelieveEffectDate() {
        return relieveEffectDate;
    }

    public UnionEnterpriseListVO setRelieveEffectDate(Integer relieveEffectDate) {
        this.relieveEffectDate = relieveEffectDate;
        return this;
    }

    public List<UnionEnterpriseResourceVO> getUnionEnterpriseResourceList() {
        return unionEnterpriseResourceList;
    }

    public UnionEnterpriseListVO setUnionEnterpriseResourceList(List<UnionEnterpriseResourceVO> unionEnterpriseResourceList) {
        this.unionEnterpriseResourceList = unionEnterpriseResourceList;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UnionEnterpriseListVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getStartRelieveTime() {
        return startRelieveTime;
    }

    public UnionEnterpriseListVO setStartRelieveTime(String startRelieveTime) {
        this.startRelieveTime = startRelieveTime;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseListVO{" +
                "userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", address='" + address + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                ", statusFlag=" + statusFlag +
                ", relieveTime=" + relieveTime +
                ", lastRelieveTime=" + lastRelieveTime +
                ", relieveEffectDate=" + relieveEffectDate +
                ", startRelieveTime='" + startRelieveTime + '\'' +
                ", unionEnterpriseResourceList=" + unionEnterpriseResourceList +
                '}';
    }
}
