package com.gic.operation.web.controller;

import com.gic.auth.dto.BusinessFrontResDTO;
import com.gic.auth.service.BusinessFrontResApiService;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
/**
 * 
 * @ClassName: BusinessFrontResController
 * @Description:  
 * @author taogs
 * @date 2020/9/16 16:52
 */
@RestController
@RequestMapping("/business-front-resource")
public class BusinessFrontResController {
    private static final Logger LOGGER = LoggerFactory.getLogger(BusinessFrontResController.class);

    @Autowired
    private BusinessFrontResApiService businessFrontResApiService;

    @RequestMapping("/save")
    public RestResponse save(BusinessFrontResDTO dto) {
        return ResultControllerUtils.commonResult(businessFrontResApiService.save(dto));
    }

    @RequestMapping("/edit")
    public RestResponse edit(BusinessFrontResDTO dto) {
        return ResultControllerUtils.commonResult(businessFrontResApiService.edit(dto));
    }

    @RequestMapping("/delete")
    public RestResponse delete(Integer resourceId) {
        return ResultControllerUtils.commonResult(businessFrontResApiService.delete(resourceId));
    }

    @RequestMapping("/list")
    public RestResponse list(String search, Integer resourceType) {
        return ResultControllerUtils.commonResult(businessFrontResApiService.listByParams(search, resourceType));
    }
}
