package com.gic.operation.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.response.EnterpriseRestResponse;
import com.gic.enterprise.service.CustomSettingApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Map;

@Controller
public class CustomSettingController {
    @Autowired
    CustomSettingApiService customSettingApiService;

    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param tableName
     * @param param  {"enterpriseId":1166,"ttt":3}
     * @return com.gic.commons.webapi.reponse.RestResponse
     * @throws
     */
    @RequestMapping("save")
    @ResponseBody
    public RestResponse save(String tableName, String param){
        ServiceResponse<String> save = customSettingApiService.save(tableName, param);
        if(save.isSuccess()){
            return RestResponse.success();
        }
        return EnterpriseRestResponse.failure(save);
    }

    /**
     * getDetail
     * @Title: getDetail
     * @Description:
     * @author taogs
     * @param tableName
     * @param searchParams  {"id":1}
     * @return com.gic.commons.webapi.reponse.RestResponse
     * @throws
     */
    @RequestMapping("get-detail")
    @ResponseBody
    public RestResponse getDetail(String tableName, String searchParams){
        ServiceResponse<Map<String, Object>> detail = customSettingApiService.getDetail(tableName, searchParams);
        if(detail.isSuccess()){
            return RestResponse.success(detail.getResult());
        }
        return EnterpriseRestResponse.failure(detail);
    }

    @RequestMapping("page")
    @ResponseBody
    public RestResponse page(String tableName, String searchParams, @RequestParam(defaultValue = "1") Integer currentPage, @RequestParam(defaultValue = "20") Integer pageSize){
        ServiceResponse<Page<Map>> page = customSettingApiService.page(tableName, searchParams, currentPage, pageSize);
        if(page.isSuccess()){
            return RestResponse.success(page.getResult());
        }
        return EnterpriseRestResponse.failure(page);
    }

    @RequestMapping("delete")
    @ResponseBody
    public RestResponse delete(String tableName, String id){
        ServiceResponse<Integer> delete = customSettingApiService.delete(tableName, id);
        if(delete.isSuccess()){
            return RestResponse.success();
        }
        return EnterpriseRestResponse.failure(delete);
    }
}
