package com.gic.operation.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.authcenter.security.core.dto.UserDetailsVO;
import com.gic.authcenter.security.core.util.UserUtils;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.IndexModuleDTO;
import com.gic.enterprise.qo.IndexModuleQO;
import com.gic.enterprise.service.IndexModuleApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 9:11
 */
@RestController
public class IndexModuleController {

    @Autowired
    private IndexModuleApiService indexModuleApiService;

    @RequestMapping("/save-index-module")
    public RestResponse saveIndexModule(IndexModuleQO indexModuleQO) {
        IndexModuleDTO indexModuleDTO = EntityUtil.changeEntityByJSON(IndexModuleDTO.class, indexModuleQO);
        String enterpriseIds = indexModuleQO.getEnterpriseIds();
        if (StringUtils.isNotBlank(enterpriseIds)) {
            List<Integer> enterpriseIdList = Stream.of(enterpriseIds.split(GlobalInfo.FLAG_COMMA)).map(Integer::valueOf).collect(Collectors.toList());
            indexModuleDTO.setEnterpriseIdList(enterpriseIdList);
        }
        UserDetailsVO user = UserUtils.getUser();
        indexModuleDTO.setCreateUserLoginName(user.getLoginName());
        ServiceResponse<Void> serviceResponse = indexModuleApiService.saveIndexModule(indexModuleDTO);
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/get-index-module")
    public RestResponse getIndexModule(Integer indexModuleId) {
        ServiceResponse<IndexModuleDTO> serviceResponse = indexModuleApiService.getIndexModule(indexModuleId);
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/list-index-module")
    public RestResponse listIndexModule() {
        ServiceResponse<List<IndexModuleDTO>> serviceResponse = indexModuleApiService.listIndexModule();
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/sort-index-module")
    public RestResponse sortIndexModule(Integer indexModuleId, Integer seq) {
        ServiceResponse<Void> serviceResponse = indexModuleApiService.sortIndexModule(indexModuleId, seq);
        return ResultControllerUtils.commonResult(serviceResponse);
    }
}
