package com.gic.operation.web.vo.enterprise;

import java.io.Serializable;

import org.apache.commons.lang.StringUtils;

import com.alibaba.fastjson.JSONObject;

/**
 * 转账审批-优惠方式
 * @ClassName: ServiceDiscountVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/11 2:35 PM 
 */
public class ServiceDiscountVO implements Serializable{
    private static final long serialVersionUID = 7800263465180502087L;
    /**
     * 优惠方式名称
     */
    private String discountTypeStr;
    /**
     * 优惠名称
     */
    private String discountName;

    /**
     * 优惠金额
     */
    private String fee;

    /**
     * 优惠详情{200:卡券}
     */
    private String discountDetail;


    public String getDiscountTypeStr() {
        if (StringUtils.isBlank(discountDetail)) {
            return "--";
        }
        String twoHundred = "200";
        JSONObject jsonObject = JSONObject.parseObject(discountDetail);
        if (jsonObject.containsKey(twoHundred)) {
            return "卡券";
        }
        return "--";
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public String getFee() {
        if (StringUtils.isBlank(discountDetail)) {
            return "--";
        }
        String twoHundred = "200";
        JSONObject jsonObject = JSONObject.parseObject(discountDetail);
        if (jsonObject.containsKey(twoHundred)) {
            return jsonObject.getString(twoHundred);
        }
        return "--";
    }

    public void setDiscountDetail(String discountDetail) {
        this.discountDetail = discountDetail;
    }

    @Override
    public String toString() {
        return "ServiceDiscountVO{" +
                "discountTypeStr='" + discountTypeStr + '\'' +
                ", discountName='" + discountName + '\'' +
                ", fee='" + fee + '\'' +
                ", discountDetail='" + discountDetail + '\'' +
                '}';
    }
}
