package com.gic.operation.web.vo.sms;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 短信通道模板列表
 * @ClassName: SmsTemplateVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/12 10:49 AM 
 */
public class SmsTemplateVO implements Serializable{
    private static final long serialVersionUID = -4271435356220392959L;

    /**
     * 0普通 1营销
     */
    private Integer type;

    /**
     * 模板名称
     */
    private String name;
    /**
     * 模板内容 (变量)
     */
    private String content;
    /**
     * 模板内容 ({1}转化为 {会员名称})
     */
    private String contentDesc;

    private Date createTime;
    private Date updateTime;
    private Long creatorId;
    private String creatorName;

    /** 状态：0：已通过；1：待审核；2：已拒绝 */
    private Integer status;
    private String auditResult;

    /** 渠道短信id **/
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long channelTemplateId;
    /**短信通道类型(1:腾讯云, 2:大汉三通)*/
    private Integer channelType;
    /**第三方运营商模板id*/
    private String templateId;

    public Integer getType() {
        return type;
    }

    public SmsTemplateVO setType(Integer type) {
        this.type = type;
        return this;
    }

    public String getName() {
        return name;
    }

    public SmsTemplateVO setName(String name) {
        this.name = name;
        return this;
    }

    public String getContent() {
        return content;
    }

    public SmsTemplateVO setContent(String content) {
        this.content = content;
        return this;
    }

    public String getContentDesc() {
        return contentDesc;
    }

    public SmsTemplateVO setContentDesc(String contentDesc) {
        this.contentDesc = contentDesc;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public SmsTemplateVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public SmsTemplateVO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public SmsTemplateVO setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
        return this;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public SmsTemplateVO setCreatorName(String creatorName) {
        this.creatorName = creatorName;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public SmsTemplateVO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Long getChannelTemplateId() {
        return channelTemplateId;
    }

    public SmsTemplateVO setChannelTemplateId(Long channelTemplateId) {
        this.channelTemplateId = channelTemplateId;
        return this;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public SmsTemplateVO setChannelType(Integer channelType) {
        this.channelType = channelType;
        return this;
    }

    public String getTemplateId() {
        return templateId;
    }

    public SmsTemplateVO setTemplateId(String templateId) {
        this.templateId = templateId;
        return this;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public SmsTemplateVO setAuditResult(String auditResult) {
        this.auditResult = auditResult;
        return this;
    }

    @Override
    public String toString() {
        return "SmsTemplateVO{" +
                "type=" + type +
                ", name='" + name + '\'' +
                ", content='" + content + '\'' +
                ", contentDesc='" + contentDesc + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", creatorId=" + creatorId +
                ", creatorName='" + creatorName + '\'' +
                ", status=" + status +
                ", auditResult='" + auditResult + '\'' +
                ", channelTemplateId=" + channelTemplateId +
                ", channelType=" + channelType +
                ", templateId='" + templateId + '\'' +
                '}';
    }
}
